== Redmine changelog

Redmine - project management software
Copyright (C) 2006-  Jean-Philippe Lang
https://www.redmine.org/

== 2026-08-26 v7.0.1

=== [Accounts / authentication]

* Defect #44343: Deleting a user who has authorized an OAuth2 application fails with ActiveRecord::InvalidForeignKey
* Defect #44360: Lost password page is unreachable by admins when two-factor authentication setup is required
* Patch #44368: Revert removal of user scope in 2FA backup code lookup
* Defect #44245: Password reset page exposes whether an email address is registered through different redirect behavior

=== [Administration]

* Defect #44273: Applications item is not highlighted in the administration menu
* Defect #44289: No status icon is displayed after checking for plugin updates on the Plugins page
* Feature #44268: Prevent browsers from autofilling the administrator's own password into the user account form

=== [Attachments]

* Defect #44216: Backport uploading files with excessively long extensions may fail
* Defect #44225: Add and configure pandoc on GitHub Actions
* Defect #44228: Uploading an attachment with a NUL byte in the filename causes an Internal Server Error
* Defect #44335: PDF preview of .ai attachments triggers an automatic download

=== [Code cleanup/refactoring]

* Defect #44243: Fix RuboCop Style/ArrayIntersect offenses
* Defect #44321: Random test failure in OauthProviderSystemTest due to incomplete sign out
* Patch #44259: New context menu controller tests don't run with standard rake tasks
* Patch #44265: WebhookTest occasionally hangs
* Patch #44330: Convert CRLF line endings to LF in three test fixture files

=== [Documentation]

* Patch #44232: Document Ghostscript as an optional dependency in doc/INSTALL

=== [Email notifications]

* Defect #44220: Backport password reset security notification does not include IP address

=== [Gantt]

* Defect #44234: Gantt issue relation lines break when collapsing objects

=== [Issues]

* Defect #44258: Deleting an issue journal (note) shifts #note-N anchors of later journals, breaking existing links

=== [Performance]

* Defect #44348: Formatting a text is much slower in 7.0.0 when its container has many attachments

=== [Permissions and roles]

* Patch #44328: Reading issue categories should be granted by view_issues, not manage_categories

=== [REST API]

* Feature #44353: Add project to wiki page list API response

=== [Rails support]

* Patch #44303: Update Rails to 8.1.3.1

=== [SCM]

* Defect #44223: Setup Subversion and Mercurial on GitHub Actions
* Defect #44354: GitAdapterTest#test_diff_path_invalid fails with Git 2.55.0

=== [Security]

* Patch #44371: Filter key parameter from logging
* Defect #44249: API requests can affect a user's session and circumvent security policies
* Defect #44308: Stored XSS in Redmine Textile Formatter via <notextile> Tag-Restoration ("Frankenstein tag")
* Defect #44309: Nested issue-relations endpoints bypass source issue visibility
* Defect #44310: Child project inherit_members updates bypass member-management authorization

=== [Text formatting]

* Defect #13723: Collapse doesn't work with section edit link

=== [Third-party libraries]

* Defect #44294: Charts are broken: empty app/assets/javascripts/chart.min.js shadows vendor/javascript/chart.min.js

=== [Translations]

* Defect #44277: Translation missing: text_users_remove_from_group_confirmation
* Defect #44291: Fix typos and inconsistent "e-mail" spelling in Czech translation
* Patch #44323: French translation update for 7.0-stable

=== [UI]

* Defect #44221: "Selected Columns" checkbox does not enable or disable the column lists on the new Gantt query form
* Defect #44318: Tab bar wraps to a semi-visible second row when the tabs are wider than 2000px
* Defect #44351: Fix top menu position in Classic theme
* Patch #44293: Add a caret to the account menu to indicate it opens a dropdown
* Patch #44341: Increase top menu hover highlight by increasing the padding of the elements

== 2026-06-30 v7.0.0

=== [Accounts / authentication]

* Feature #43808: Change default admin email to admin@dummy.invalid for clarity
* Feature #44052: Enable sudo mode by default

=== [Administration]

* Feature #44062: Add an Environment heading to the admin information page

=== [Attachments]

* Defect #44029: Wide tables in attachment preview overflow the container border
* Defect #44126: SVG attachments are displayed as XML source instead of image previews
* Defect #44186: Uploading files with excessively long extensions may fail
* Feature #8959: Preview support for Microsoft Office and LibreOffice Writer files
* Feature #22483: Show PDF attachments and repo entries instead of downloading them
* Feature #43943: AVIF images support

=== [Calendar]

* Feature #43728: Change calendar today indicator from yellow background to blue date circle

=== [Code cleanup/refactoring]

* Defect #42408: Typo in Javascript function name 'toggleExpendCollapseIcon': s//Expend/Expand
* Patch #42737: Replacing html-pipeline with Loofah for HTML Filtering
* Patch #43206: Remove deprecated icon-* classes from stylesheets
* Patch #43276: Replace the use of form.text_area with form.textarea
* Patch #43289: Incorrect comments_count value in News fixture for news_001
* Patch #43321: Remove deprecated method ApplicationHelper#render_if_exist
* Patch #43388: Remove CSS hacks for Internet Explorer
* Patch #43429: Remove unused method addable_watcher_users from acts_as_watchable.rb
* Patch #43643: Align the Textile processing approach with CommonMark by using Loofah
* Patch #43702: Remove unused CSS rules
* Patch #43745: Move parse_hires_images and parse_inline_attachments to scrubbers
* Patch #43802: Avoid using non-reserved domain names in examples and tests
* Patch #44074: ignored and unnecessary scope in twofa token lookup
* Patch #44117: Remove obsolete .hgignore file
* Patch #44169: Refactor context menus controller to namespaced sub-controllers
* Patch #44195: Add `__pycache__` directory to .gitignore

=== [Custom fields]

* Feature #44129: Allow relative default values for date format custom fields

=== [Documentation]

* Patch #43800: Add local license files under doc/licenses for bundled third-party components
* Patch #43822: Use logical CSS property in CommonMark help examples for RTL support
* Patch #43931: Remove .github/PULL_REQUEST_TEMPLATE.md as pull requests are disabled

=== [Email notifications]

* Defect #38513: Incorrect case of MIME-Version email header field name
* Defect #44173: Password reset security notification does not include IP address
* Feature #2716: User option to automatically add assignee to watchers
* Feature #37978: Add a mail notification option for watched objects only

=== [Filters]

* Defect #38055: Filter operator "doesn't contain" on custom fields ignores issues with no value

=== [Gantt]

* Feature #43397: Organize Gantt chart code by separating it into views and Stimulus controllers
* Feature #43678: Improve Gantt chart behavior in RTL environments

=== [Gems support]

* Patch #43323: Update RuboCop Performance to 1.26
* Patch #43324: Update Rubyzip to 3.4
* Patch #43395: Update roadie-rails to 3.4
* Patch #43396: Update propshaft to 1.3
* Patch #43408: Update Commonmark gem to 2.5
* Patch #43437: Update RuboCop to 1.88
* Patch #43438: Update RuboCop Rails to 2.34
* Patch #43465: Update pg gem to 1.6
* Patch #43466: Update sqlite3 gem to 2.9
* Patch #43472: Update Mail gem to 2.9
* Patch #43594: Update Commonmarker gem to 2.8
* Patch #43981: Update net-ldap to 0.20
* Patch #44032: Update Trilogy gem to 2.12
* Patch #44139: Update Rouge to 5.0
* Patch #44200: Update I18n gem to 1.15

=== [Groups]

* Patch #43640: Improve Group Controller – Enable Adding/Removing Multiple Users from Users View

=== [Hook requests]

* Patch #43084: Add view_issues_edit_top hook to customize the issue editing form

=== [I18n]

* Feature #4507: Make first and last name field order follow Users display format setting
* Patch #44065: Remove unused i18n keys

=== [Importers]

* Defect #41434: CSV import fails on CRLF files when first row has quoted field with newline
* Feature #43363: Improve error message display in imports view
* Feature #43918: Deprecate broken Mantis and Trac migration rake tasks

=== [Issues]

* Feature #9432: Default value for the private issue flag
* Feature #31518: Default due date for new issues with configurable offset from today
* Feature #43085: Scroll to notes section instead of top of edit form when quoting issue content
* Feature #43885: Align issue previous/next link styling with pagination buttons
* Feature #43895: Disable "Use current date as start date for new issues" by default for new installations
* Feature #43969: Add icons to Add links in Subtasks and Related issues sections of the issue view
* Feature #43996: Add setting to choose users/groups order in assignee dropdown
* Feature #44015: "Users by group" display option for assignee drop-down

=== [Issues filter]

* Feature #43968: Allow 0:45h time span format input in the estimated_hours and spent_time filter of IssueQuery

=== [Issues list]

* Feature #43615: Right-align all time-tracking columns in Issues list

=== [Performance]

* Defect #43742: Missing #wrapper positioning may increase reflow cost
* Defect #43838: User mentions using the @login syntax cause performance issues when rendering content on instances with a large number of users.
* Feature #43957: Improve workflow update performance
* Feature #44194: Cache user mention autocomplete responses to reduce redundant requests
* Patch #43934: Optimize `Issue#visible_journals_with_index` preload to skip user email_address when Gravatar is disabled
* Patch #44190: Improve @mention performance by limiting initial suggestions

=== [Project settings]

* Feature #44013: Add links to groups in the project Settings > Members tab

=== [Projects]

* Feature #37480: CSV export of project memberships
* Feature #43818: Show warning for closed projects on all project pages not only on Overview

=== [REST API]

* Defect #44152: Custom Fields API does not return visible roles for custom fields other than issue custom fields
* Defect #44165: Basic authentication challenge is sent for API key authentication failures
* Feature #43569: Adds project to wiki page API response
* Feature #43938: Track last usage of API and Atom access keys
* Feature #44153: Include associated projects in issue custom fields API response

=== [Rails support]

* Feature #43205: Update to Rails 8

=== [Roadmap]

* Feature #39882: Highlight selected version on the Roadmap view

=== [Ruby support]

* Feature #43650: Ruby 4.0 support

=== [SCM]

* Defect #43965: "Previous" and "Next" links in changeset view do not match the changeset list order
* Patch #42762: Improve Git/Mercurial revision graph on the repository page

=== [Text formatting]

* Feature #42444: Allow use of the CSS text-decoration property in text formatting
* Feature #43950: Add support for pasting spreadsheet tables as CommonMark/Textile tables in wiki textareas
* Feature #44061: Support Tab/Shift+Tab indentation of selected textarea lines in CommonMark Markdown

=== [Third-party libraries]

* Patch #43845: Remove the Raphael.js dependency by switching to SVG API
* Patch #44018: Update Chart.js to 4.5.1 and migrate to ES Modules
* Patch #44038: Update Tabler Icons to v3.43.0

=== [Time tracking]

* Feature #15167: Hide unused Options section in spent time report
* Feature #43948: Allow 0:45h time span format input in the hours filter of TimeEntryQuery

=== [UI]

* Defect #25114: Context menu is mispositioned when `#content` is relatively positioned by themes
* Defect #43588: Right column in issue view uses splitcontentleft CSS class instead of splitcontentright
* Defect #43876: Text in select, input, and button is clipped due to fixed height when font size is increased
* Feature #31353: Replace user related links in the top menu bar with a proper user menu.
* Feature #34917: Use "Remove" instead of "Delete" for non-destructive unlink/removal action labels
* Feature #43256: Introduce Open Color to unify and standardize CSS colors
* Feature #43279: Simplify fieldset borders in issue edit form
* Feature #43381: Improve visibility of error message during file upload
* Feature #43390: Remove avatars-on / avatars-off classes from body element
* Feature #43506: Declare text direction on HTML element for better RTL/LTR styling support
* Feature #43515: Improve RTL layouts by removing rtl.css and integrating its overrides into application.css using CSS logical properties
* Feature #43563: Increase top padding of div#content to improve visual spacing and readability
* Feature #43575: Clean up box-like UI elements by adjusting borders and padding
* Feature #43658: Add "Color" to the list of default gravatar options
* Feature #43700: Improve RTL layout support by replacing physical CSS properties with logical ones in core CSS files
* Feature #43797: Show file-type icons instead of paperclip icons in attachment lists
* Feature #43805: Update file-type icons for additional MIME types
* Feature #43824: Improve usability and visual appearance by increasing page-side spacing
* Feature #43825: Preserve checkbox selection in user search dialogs
* Feature #43836: Unify spacing around section separators on issue details page
* Feature #43937: Redesign the header with a navigation bar and lighter visual weight
* Feature #43988: Align sidebar selected link color with the main menu indicator
* Feature #44071: Make context menu width flexible to avoid wrapping labels
* Patch #44111: Improve layout consistency of roadmap, news, and documents index pages

=== [Webhooks]

* Feature #29664: Webhook triggers in Redmine

=== [Wiki]

* Feature #43978: Export all Wiki pages as ZIP archive

== 2026-06-15 v6.1.3

=== [Code cleanup/refactoring]

* Defect #43985: Flaky IssuesSystemTest caused by `!page.has_css?`
* Defect #44010: Too much INFO log of asset paths when starting Rails
* Defect #44072: OauthProviderSystemTest#test_application_creation_and_authorization fails randomly
* Patch #44073: TimeEntryTest#test_should_not_accept_closed_issue fails randomly depending on locale

=== [Documentation]

* Defect #43906: Wiki help does not display localized content for locales with a region subtag
* Defect #43920: German and Tamil CommonMark wiki help pages lack the Alerts section
* Patch #43447: Update INSTALL document to mention additional_environment.rb
* Patch #43896: Remove obsolete db:migrate:upgrade_plugin_migrations step from doc/UPGRADING
* Patch #43897: Use `bin/rails` instead of `rake` in documentation
* Patch #43929: German translation for Alerts section on CommonMark wiki help page
* Patch #43930: Add blockquote formatting in CommonMark wiki help pages

=== [Issues]

* Defect #44042: Watchers section in the sidebar is incorrectly updated when watching a subtasks or related issue via context menu

=== [Projects]

* Defect #43910: Projects with the identifiers "autocomplete" or "bulk_destroy" cannot perform some operations

=== [REST API]

* Defect #43698: ArgumentError occurs on /oauth/authorize when REST API is disabled

=== [Rails support]

* Patch #43909: Update Rails to 7.2.3.1

=== [SCM]

* Defect #43964: `IconsHelper#scm_change_icon` ignores passed options
* Patch #43966: Tighten SVN repository URL validation

=== [Security]

* Patch #43986: Improve the `config.filter_parameters` setting
* Defect #43951: Bulk attachment download bypasses View files permission for project/version attachments
* Defect #44109: PreAuth leak name of private Projects
* Defect #44118: Any project member with add_issue_notes permission can add notes to private issues they cannot view, via the MailHandler reply dispatch
* Defect #44138: Stored XSS in Textile formatter due to restore_redmine_links
* Defect #44145: PostScript execution in Redmine::Thumbnail.generate via %% DSC-comment prefix
* Defect #44146: Time-entry API hidden custom-field leak
* Defect #44174: OAuth scope enforcement bypass in user account

=== [Translations]

* Defect #43921: Tamil CommonMark help page incorrectly translates CSS property names
* Patch #43922: Japanese translation update for `recent_pages` macro help on `project` and `include_subprojects` options
* Patch #44005: Fix French translation of label_auto_watch_on_issue_created

=== [UI]

* Defect #43984: Current page background in pagination overflows its border
* Defect #44069: Remove redundant underline from abbr elements
* Defect #44127: Replace legacy group avatar icon with SVG
* Defect #44170: Toggling between board and list in projects query do not work properly

== 2026-03-16 v6.1.2

=== [Calendar]

* Defect #43718: Issue beginning/ending arrows should be flipped in RTL calendars

=== [Code cleanup/refactoring]

* Patch #43649: Remove MySQL 5.7-related comments from database.yml.example
* Patch #43713: Add missing entries "apps" and "shield-check" to icon_source.yml
* Patch #43872: Update GitHub Actions workflow dependencies

=== [Database]

* Patch #43668: Serialize address limit checks during email_addresses#create

=== [Issues]

* Defect #33610: Submitting the issue edit form without changes unexpectedly updates updated_on
* Feature #43837: Add a hint to the issue relation add form that clarifies multiple comma-separated issue IDs are accepted

=== [Issues filter]

* Patch #43736: author.group filter test fix

=== [Issues list]

* Defect #31972: An empty group_count badge is displayed when grouped with created_on

=== [Performance]

* Defect #43651: Searching issues with searchable custom fields causes a performance regression on MySQL

=== [Permissions and roles]

* Feature #43659: Set minimum width for Permission column in permission report

=== [Security]

* Defect #43661: Unsafe eval usage in AttachmentsHelper
* Defect #43690: Directory Traversal via Backslash-Separated Paths in Filesystem SCM
* Defect #43691: DOM (Stored) XSS in @mention autocomplete via unescaped user name
* Defect #43692: LDAP Injection (Unescaped Input in LDAP Search Filter)
* Defect #43694: DOM XSS: HTML Injection via Custom Field Name in Query Filter Generation
* Defect #43830: User who is allowed to view only their own time entries can retrieve other users’ time entry details by directly specifying the TimeEntry ID via the REST API
* Defect #43840: Update Nokogiri to 1.19.1

=== [Text formatting]

* Defect #40918: Wiki "Edit this section" does not extract SeText headings correctly in CommonMark Markdown
* Defect #43662: Cursor may move to incorrect position when pasting inline images from clipboard

=== [Themes]

* Feature #43087: Allow to change icons sprites from theme

=== [UI]

* Defect #43664: Project menu tab left/right buttons are broken in RTL layout
* Defect #43672: Indent icons for subtasks and subprojects in list tables are misplaced in RTL layout
* Defect #43674: Unintended global `ol` styling in changeset CSS
* Defect #43675: "Add filter" dropdown in query form appears on the wrong side in RTL layout
* Defect #43714: Arrow buttons for Available/Selected columns are misleading in the issues query form on RTL layouts
* Defect #43715: Project selector does not indent subprojects in RTL layout
* Defect #43804: Custom field preview does not work on bulk issue edit
* Defect #43869: Default assignee selected by category is not shown in UI

=== [Wiki]

* Feature #43631: Add "include_subprojects" parameter to recent_pages macro to include pages from subprojects

== 2026-01-05 v6.1.1

=== [Administration]

* Defect #43282: Locked users are not shown in gray in the user list

=== [Code cleanup/refactoring]

* Defect #43441: Fix failures in test/system/issues_test.rb
* Patch #43257: Remove unused files related to the quote reply feature
* Patch #43638: Update copyright year to 2026

=== [Custom fields]

* Defect #43409: Progress bar custom field shows only "%" instead of "0%" when value is nil
* Defect #43521: Saving a custom field fails with 500 when regular expression is invalid

=== [Documentation]

* Defect #43491: Fix incorrect link for the Japanese CommonMark Quick Reference

=== [Email notifications]

* Defect #43420: Markdown alerts are missing styling in email notifications

=== [Gems support]

* Defect #43609: Tests fail with minitest 6.0

=== [I18n]

* Defect #43522: "Ratio interval" custom field label is not localized
* Patch #43379: Localize default commonmark alert titles (note, tip, warning, caution and important)

=== [Issues list]

* Defect #43283: Overdue due date text does not turn light gray when issue is selected
* Defect #43603: Delete link is missing from the context menu when using a relative URL root

=== [No category]

* Patch #43275: Remove continue-on-error: true from the system test job in GitHub CI

=== [Rails support]

* Patch #43633: Update Rails to 7.2.3

=== [Security]

* Defect #43451: PostScript disguised as PDF can lead to arbitrary file operations via thumbnail generation
* Defect #43634: Authorization bypass in Redmine allows modification of attachment metadata on invisible issues
* Defect #43635: Authorization bypass in Redmine allows deletion of attachment on invisible issues external

=== [SCM]

* Defect #43525: "label_added" is not translated in the repository revision view legend

=== [Text formatting]

* Defect #43526: When using the include macro in the project description, an execution error occurs in the project list (list view)
* Defect #43612: Inline code rendering does not preserve multiple spaces
* Feature #43234: Enable CJK-friendly emphasis extension for CommonMark
* Feature #43425: Update colors of Markdown "Warning" and "Caution" alerts to be consistent with standards
* Patch #43328: List marker missing when regular items and task list items are mixed

=== [Translations]

* Patch #43326: Bulgarian translation update for 6.1-stable
* Patch #43370: Russian translation update for 6.1-stable
* Patch #43400: Japanese translation update for 6.1-stable
* Patch #43433: Persian translation update for 6.1-stable
* Patch #43490: Japanese translation update (jstoolbar-ja.js) for 6.0-stable
* Patch #43493: Japanese translation update (field_ratio_interval and setting_issue_done_ratio_interval)
* Patch #43620: Italian translation update for 6.1-stable
* Patch #43630: Traditional Chinese translation update for 6.1-stable

=== [UI]

* Defect #41680: Incorrect label/value order on the issue view in RTL layout
* Defect #43265: Automatic list marker does not work for task list items
* Defect #43378: Column headers are slightly shifted to the right in tables in list views
* Defect #43422: File format custom fields use legacy download icon instead of SVG icon
* Defect #43492: Initials avatar shrink in the Activity view when event titles are long
* Defect #43504: Unexpected file name shown when hovering over a link in the Files column
* Defect #43507: Markdown alerts do not respect RTL text direction
* Defect #43509: Avatar in issue view is positioned incorrectly in RTL layout
* Defect #43510: Reaction buttons are positioned incorrectly in RTL layout
* Defect #43511: "Lost password" link in login form is positioned incorrectly in RTL layout
* Defect #43512: Copy button on code blocks is positioned incorrectly in RTL layout
* Defect #43514: Legacy icons still displayed alongside new SVG icons on some RTL pages
* Defect #43520: Repository browser does not indent directory hierarchy in RTL layout
* Defect #43523: Avatar layout breaks for initials icon in user import completion page
* Defect #43527: Login and Email columns are unexpectedly center-aligned on the Users page since Redmine 5.1
* Defect #43591: Context menu is hidden behind sidebar in RTL layout
* Defect #43592: Ajax indicator is broken in RTL layouts
* Feature #43280: Improve visual distinction of link presence in SVG icons

=== [Wiki]

* Patch #43372: Allow macro recent_pages to display pages from a specific  project

== 2025-09-21 v6.1.0

=== [Accounts / authentication]

* Feature #42880: Make 'auto watch issues' default user settings configurable

=== [Activity view]

* Feature #42041: Increase the maximum description length to 240 characters in the Activity view
* Feature #42043: Abbreviate quoted text in descriptions in Activity view
* Feature #43221: Unify Activity date header color with the issue journal header

=== [Administration]

* Feature #42441: Improve error message on role deletion by listing projects using the role
* Patch #41560: Improve clarity of translations in Self-registration settings

=== [Attachments]

* Feature #42133: Refactor thumbnail markup for improved structure and semantics

=== [Code cleanup/refactoring]

* Patch #35648: Changelog generator should allow merging two or more versions
* Patch #42124: Refactor `Member#role_ids=` method for improved clarity and efficiency in removing obsolete member roles
* Patch #42515: Reimplement partial quote feature using Stimulus
* Patch #42602: Replaces deckar01-task_list with commonmarks tasklist extension
* Patch #42859: Remove custom Redmine::I18n::Backend
* Patch #42934: Add model/controller generators tests
* Patch #43130: Fix random test failures by calling Setting.clear_cache after all tests

=== [Custom fields]

* Feature #42335: "Progress bar" custom field format

=== [Database]

* Feature #42675: Add support for Trilogy adapter, a MySQL-compatible database adapter

=== [Documentation]

* Patch #43215: Add Japanese CommonMark Markdown help

=== [Email receiving]

* Feature #41738: Allow IMAP4 email receiving to skip SSL certificate verification with `ssl=force` option

=== [Gems support]

* Defect #37394: commonmarker gem is marked optional but required at runtime
* Feature #42510: Add Stimulus as a JavaScript framework
* Patch #40197: Update commonmarker to 2.3.0
* Patch #41723: Update roadie-rails to 3.3
* Patch #41761: Update Rubocop Performance to 1.25
* Patch #41865: Update SQLite3 gem to 2.5
* Patch #41884: Update RuboCop to 1.76
* Patch #41964: Update Nokogiri to 1.18
* Patch #42044: Update Rubocop Rails to 2.32
* Patch #42071: Update rubyzip to 2.4
* Patch #42104: Update MiniMagick to 5.2

=== [Issues]

* Feature #42073: Remove navigation parameters from issue detail URLs after updates
* Feature #42477: Configurable columns for the lists of child and related issues

=== [No category]

* Patch #43229: Update database versions on Github CI

=== [Performance]

* Defect #35927: Slow loading of /time_entries/new
* Feature #42077: Optimize activity view performance through association preloading for journals
* Feature #42121: Optimize Version#wiki_page method
* Feature #42144: Optimize IssuesController#show by skipping time tracking queries when disabled
* Feature #42150: Optimize TimeEntryActivity#default_activity_id method by introducing early returns to reduce SQL queries
* Feature #42555: Adds the Bullet gem to detect query problems such as N+1 and improve performance
* Feature #42589: Optimize watchers list rendering by eager loading email addresses
* Feature #42663: Optimize Gantt chart rendering by reducing version-related queries
* Feature #42671: Avoid unnecessary SQL query for subprojects in ProjectsController#show when project has no children
* Feature #42673: Optimize `Version::FixedIssuesExtension#issues_progress` by avoiding repeated `Issue#closed?` calls
* Feature #42681: Avoid unnecessary SQL queries by reordering conditions in Gantt version subject rendering
* Feature #42682: Optimize the rendering of versions on the roadmap by preloading the email addresses of issue assignees
* Patch #43208: Reduce requests sent for issue numbers, usernames, and Wiki page name autocompletion
* Patch #43214: Optimize Project.allowed_to_condition by replacing `projects.status <> ...` with `projects.status IN (...)`

=== [Projects]

* Defect #41975: Uniqueness of Project model fields is not checked sufficiently

=== [REST API]

* Feature #24808: OAuth2 support for Redmine API Apps (OAuth2 Provider)

=== [Ruby support]

* Feature #41976: Ruby 3.4 support
* Patch #42496: Drop support for Ruby 3.1

=== [SCM]

* Feature #33784: Update Mercurial repository support to be compatible with Python 3 and remove support for Mercurial < 5.1

=== [Text formatting]

* Feature #38501: recent_pages macro that displays a list of recently updated Wiki pages
* Feature #38504: Display pasted images in appropriate size on HiDPI displays
* Feature #42603: Enable commonmark alert extension

=== [Time tracking]

* Feature #13596: Add setting to allow/deny time logging on closed issues

=== [Translations]

* Defect #42580: Array#to_sentence produces incorrect output due to missing translation keys
* Patch #43106: Add translation to imports/show

=== [UI]

* Defect #42818: Unnecessary margin below icons on the board-style projects page
* Feature #5953: Copy RSS/REST API keys to clipboard
* Feature #29214: Button to copy `pre` code block content to the clipboard
* Feature #29824: Add user initials when Gravatar is disabled
* Feature #31531: Change quote note icon to quotation mark icon
* Feature #35616: Remove "Delete" from the context menu for related issues and subtasks
* Feature #40588: Add new setting "JavaScript based table sorting in wiki content " to disable table sort
* Feature #40744: Refresh history tabs look and feel
* Feature #41725: Add SVG icons sample view
* Feature #41910: Bold current user's name in Assignee and Author columns on issues list
* Feature #42305: Changes watch button icon to eye image to align icon with function and improve visual clarity
* Feature #42598: Drop Atom icon in "Also available in" links
* Feature #42623: Adds initials to the list of default Gravatar options
* Feature #42630: Introduce reaction feature to issues, notes, news, and forums
* Feature #42684: Add a sticky header to keep the issue subject visible on scroll
* Feature #43095: Support automatic list marker insertion in textareas
* Patch #42966: Replace legacy loader.gif with SVG icon in attachment upload form and in ajax indicator
* Patch #42972: Refactor and unify the structure of journals, replies and comments

=== [UI - Responsive]

* Defect #38795: Submit button incorrectly displayed in the middle of the form on mobile view

== 2025-09-21 v6.0.7

=== [Administration]

* Defect #43174: CookieOverflow error when deleting a tracker used by many projects

=== [Code cleanup/refactoring]

* Patch #43035: Remove empty rubyonrails.yml on 6.0-stable branch

=== [Documentation]

* Defect #43204: Adds missing documentation for issue macro to fr and ru languages

=== [Gantt]

* Defect #43014: Content in selected columns overflows to the right in Gantt chart

=== [Importers]

* Defect #42957: Incorrect "for" attribute in labels of issue relations import

=== [Issues]

* Defect #43192: Done ratio interval in issue context menu does not respect Done Ratio Interval setting

=== [Rails support]

* Patch #43141: Update Rails to 7.2.2.2

=== [Security]

* Defect #42998: Username and password stored in login form
* Defect #43083: Information disclosure in Two-Factor Authentication
* Defect #43161: When copying issues, all existing custom values are set to the new issue without sufficient validation

=== [SCM]

* Defect #43002: RepositoriesSubversionControllerTest fails in 5.1-stable due to missing foo.js in test repository

=== [Translations]

* Patch #42971: Italian translation update for 6.0-stable

=== [UI]

* Defect #43004: Watchers list is not properly displayed in Gantt table
* Defect #43175: Fix some issues with missing or misplaced html tags
* Patch #43008: Display icon-actions on hover with the same color as links
* Patch #43196: Improve spacing of checkboxes in CSV export options dialog

== 2025-07-07 v6.0.6

=== [Attachments]

* Defect #42920: Missing icon in attachments upload form

=== [Code cleanup/refactoring]

* Defect #42687: Fix random failures in several system tests with Chrome 133 and later
* Patch #42422: Use Capybara's assert_current_path in "log_user" steps to wait for page in ApplicationSystemTestCase
* Patch #42600: Suppress "Change your password" popup for stable system tests
* Patch #42756: Update tests for rails-dom-testing 2.3.0 whitespace collapsing

=== [Database]

* Defect #42622: Joining both atom_token and api_token on the User model causes an error due to the ambiguous column name "action"

=== [Documentation]

* Defect #42644: Noto Sans fonts are not applied on Wiki syntax help pages
* Defect #42657: Update documentation links and fix config flag typo
* Patch #42618: Add missing allowed CSS properties to the CommonMark Markdown help

=== [Email receiving]

* Defect #42962: Mail handler fails to create issues from emails over 4MB on Rack >= 3.1.14

=== [Gems support]

* Defect #42606: RuboCop warning about deprecated `EnsureNode#body` with rubocop-ast >= 1.41

=== [I18n]

* Defect #42815: Limit available locales to those defined by Redmine itself no longer works

=== [Issues list]

* Defect #42807: Progress Bar in issues list has a border above it

=== [Issues workflow]

* Defect #42875: "Page not found" error when saving workflows with many statuses on Rack >= 3.1.14

=== [No category]

* Patch #42688: Run system tests on GitHub CI

=== [Performance]

* Defect #42933: Fix N+1 query issue in Wiki history page when loading authors of  Wiki content versions

=== [SCM]

* Defect #42839: Downloading .js files from the repository browser fails with a 422 error due to ActionController::InvalidCrossOriginRequest
* Patch #42597: Skip some Mercurial tests when using Mercurial 5.1 or later in Redmine 6.0 or 5.1

=== [Security]

* Patch #42662: Require net-imap gem 0.2.5, 0.3.9, 0.4.20, 0.5.7, or later to address CVE-2025-43857

=== [Text formatting]

* Defect #42332: "Edit this section" button is missing for headings rendered as multiline HTML
* Defect #42648: Wiki/CommonMark: Broken references for multiple footnote usage

=== [Translations]

* Patch #42739: Persian translate update for 6.0-stable
* Patch #42754: Swedish translation update for 6.0-stable

=== [UI]

* Defect #42640: Query totals overlaps query buttons when an RTL language is used
* Defect #42654: Text in project jump box is vertically misaligned
* Defect #42773: Padding in the Preview tab is larger than in the actual rendered content
* Defect #42786: "Clear" button for custom queries has incorrect styling inside the flyout menu
* Defect #42797: Loading and waiting icons use legacy icons and overlap filename when attaching files
* Defect #42953: Replace legacy other download icon with SVG icon
* Patch #42641: Improve SVG contrast when an item is selected in administration sidebar
* Patch #42794: Hide irrelevant information when printing

=== [Wiki]

* Defect #42558: JPEG images are not shown in exported PDF files

== 2025-04-20 v6.0.5

=== [Administration]

* Defect #42584: NoMethodError when creating a user with an invalid email address and domain restrictions are enabled

=== [Attachments]

* Defect #42394: Inconsistent behaviour between attachment download routes with and without filename

=== [Code cleanup/refactoring]

* Patch #42562: Fix random test failure in ProjectAdminQueryTest due to missing language setting
* Patch #42572: Fix random test failure in MemberTest#test_update_roles_with_inherited_roles due to non-deterministic ordering

=== [Custom fields]

* Defect #42342: Missing thousands separator in Integer and Float custom field totals
* Patch #41935: Add "editable" attribute in the custom fields API response

=== [Gantt]

* Defect #42145: MiniMagick (> 5) removed cli_path, result crash when supplied imagemagick_convert_command

=== [Issues]

* Defect #42458: "For all projects" checkbox should be disabled when editing an existing query in which the checkbox is already checked

=== [Performance]

* Defect #40728: Slow loading of global spent time list in MySQL
* Feature #42574: Optimize autocomplete issue listing triggered by typing "##" by eager loading trackers

=== [Plugin API]

* Defect #42509: Plugin activity icons broken when multiple plugins are loaded

=== [Projects]

* Patch #42440: Fix project selector focus by explicitly targeting the first selected item

=== [SCM]

* Patch #42500: Skip repository tests when the SCM client command is unavailable

=== [Text formatting]

* Defect #42545: Commit message in issue history might be rendered in incorrect context

=== [UI]

* Defect #41828: In mobile view, delete relation svg icon in 'Related Issues' on an issue page, overflow text
* Defect #41833: Tabs left / right buttons use legacy icons
* Defect #41947: Collapse arrow shows the wrong direction at /workflows/edit
* Defect #41952: Flash notice icons use the legacy icons
* Defect #41967: Replace SCM action legacy icons with SVG icons in the tree view of the repository browser
* Defect #42181: Project jump box uses legacy caret icons
* Defect #42285: Icon expanded for closed fixed versions missing
* Defect #42286: Context menu right arrow uses the legacy icon
* Defect #42369: Expander icons not switch in Collapse all/Expand all
* Defect #42465: Improve SVG icon compatibility with RTL languages
* Defect #42487: Improve SVG contrast when a row is selected on table list
* Defect #42520: PNG icon displayed instead of SVG in subtasks list when viewing all tasks
* Defect #42532: Expander icon not working in repository tree
* Defect #42575: Fix sidebar switch button display in RTL language
* Defect #42576: Newly attached files are displayed using the legacy icons
* Patch #42497: Adjust the position of the news comment delete button
* Patch #42577: Replace legacy Atom icon with SVG icon
* Patch #42596: Do not show user icon in add watchers modal when gravatar is disabled

== 2025-03-10 v6.0.4

=== [Administration]

* Feature #42008: Expose default Rails health check endpoint "/up" for load balancers and uptime monitoring

=== [Code cleanup/refactoring]

* Defect #42200: InlineAutocompleteSystemTest login test fails randomly
* Patch #42244: Fix random failures in IssuesTest#test_bulk_copy due to StaleElementReferenceError

=== [Custom fields]

* Defect #42233: Float custom values with ',' as decimal separator are not converted to '.' and cause SQL errors when sorting or summing

=== [Gems support]

* Defect #42245: 5.1-stable: Redmine fails to start with error: Unknown database adapter `"mysql2"` found in config/database.yml

=== [No category]

* Feature #30069: Use GitHub Actions as a secondary CI solution to run tests through the existing mirroring

=== [Project settings]

* Defect #42192: Project settings members tab may raise ArgumentError if orphaned member records exist

=== [Security]
* Defect #42238: Stored Cross-Site Scripting (XSS) in custom query
* Defect #42326: Stored Cross-Site Scripting (XSS) in macros
* Defect #42352: ProjectQuery leaks details of private projects
* Defect #42194: /my/account does not correctly enforce sudo mode
* Patch #42333: Update Nokogiri to 1.18.3

=== [Time tracking]

* Defect #42172: `format_hours` method produces incorrect output for negative time values when `Setting.timespan_format` is "minutes"

=== [Translations]

* Defect #42170: Fix Turkish translation of field_assignable
* Patch #42239: Czech translation update for 6.0-stable

=== [UI]

* Defect #42229: Latest news box on home page misses icons

=== [UI - Responsive]

* Defect #42182: Poor color contrast of icons on flyout menu

== 2025-01-29 v6.0.3

=== [Accounts / authentication]

* Defect #41930: Redirection after signing in fails when the back_url includes a port number

=== [Activity view]

* Defect #42003: Misalignment of icons and titles in Activity view
* Defect #42070: Whitespace missing after hyphen between project name and event title in Activity view
* Feature #42038: Improve readability by adjusting font sizes and colors in activity view and search results

=== [Attachments]

* Defect #42084: Placeholder icon for non-existent thumbnail flickers rapidly on hover

=== [Code cleanup/refactoring]

* Defect #42088: Fix incorrect syntax in application.css on 6.0-stable
* Patch #41961: Use `fixtures :all` to ensure consistent test data and improve test reliability
* Patch #42089: Fix Lint workflow error on 6.0-stable due to unsupported ruby/setup-ruby on Ubuntu 24.04
* Patch #42140: Update footer copyright year to 2025

=== [Gantt]

* Defect #41925: Context menu submenus close unexpectedly on Gantt chart due to z-index conflict

=== [Gems support]

* Defect #42013: Redmine fails to start with error: Unknown database adapter `"mysql2"` found in config/database.yml

=== [Issues]

* Defect #42066: NoMethodError exception occurs in IssuePriority#high and #low when both default and active priorities are absent

=== [Permissions and roles]

* Defect #42106: Member roles are incorrectly added when a user's memberships are updated

=== [Rails support]

* Defect #42113: Redmine 5.x not starting with ActiveSupport Logger error
* Patch #41970: Updates Rails to 7.2.2.1

=== [UI]

* Defect #42023: Search results page uses legacy icons
* Defect #42051: "Font used for text areas" setting causes inconsistent font size
* Defect #42117: Key-value list reorder icon uses legacy icon
* Defect #42126: The member table layout breaks due to .icon class on td elements
* Defect #42130: Multiselect toggle uses legacy icons
* Feature #42005: Improve readability of error pages by updating fonts and layout
* Feature #42072: Adjust font size for breadcrumb and subtitle to improve readability and consistency

== 2024-12-11 v6.0.2

=== [Accounts / authentication]

* Feature #41927: Enable browser autocomplete for 2FA input fields
* Feature #41937: Enable browser autocomplete for login input fields

=== [Code cleanup/refactoring]

* Defect #41795: Missing fixture: a test does not pass if the 'issue_categories' fixtures are not already loaded
* Patch #41623: Fix tests that randomly failed due to required fixtures not being loaded
* Patch #41861: Add License URLs to Icons Credits
* Patch #41881: Improper deletion of custom fields in IssueNestedSetConcurrencyTest causes test failures of other tests
* Patch #41889: Fix random test failures in Redmine::Acts::MentionableTest due to unsorted mentioned_users
* Patch #41894: Fix random test failure by ensuring WatchersController#find_objects_from_params returns results in consistent order
* Patch #41901: Fix random test failure in DestroyProjectsJobTest due to unsorted @projects
* Patch #41902: Fix class name to match file name in keyboard_shortcuts_test.rb
* Patch #41914: Fix random test failure in UserTest#test_validate_password_complexity due to missing explicit language setting
* Patch #41931: Fix random failures in IssueRelationTest#test_create_with_initialized_journals due to ambiguous conditions for retrieving the expected detail
* Patch #41934: Fix random test failure in ProjectsControllerTest::test_post_copy_should_copy_requested_items due to missing :issue_categories fixture
* Patch #41951: Fix random test failure in IssueTest due to unsorted expected_statuses

=== [Documentation]

* Feature #41754: Add asset precompilation instructions to doc/INSTALL and doc/UPGRADING

=== [Email receiving]

* Defect #41737: Deprecation warning for IMAP4 email receiving: "Call Net::IMAP.new with keyword options"

=== [Gantt]

* Defect #41786: Long subject may not be displayed in Gantt chart with narrow column width

=== [Gems support]

* Defect #41749: Warning during startup: "Unresolved or ambiguous specs during Gem::Specification.reset"
* Defect #41860: FrozenError when using SQLite3 gem version 2.0.0 or later

=== [Issues]

* Defect #40301: Error when create a version with custom field of "File" type from Issue page

=== [Plugin API]

* Defect #41880: Plugin activity icons broken after switching to SVG icons

=== [REST API]

* Defect #41791: Projects endpoint returns list of all projects
* Defect #41819: Time entry API returning `hours` as Rational instead of Float

=== [SCM]

* Patch #41775: Adjust the vertical alignment of icons in the tree view of the repository browser

=== [Time tracking]

* Defect #41895: Spent time CSV report returning `hours` as Rational instead of Float

=== [Translations]

* Patch #41736: Update Turkish translation of label_description from "Yorum" to "Açıklama"
* Patch #41945: Bulgarian translation update for 6.0-stable

=== [UI]

* Defect #41714: Replace search and magnifier icons with SVG icon
* Defect #41756: An unnecessary scroll bar is displayed on the user's profile page
* Defect #41778: Name field in custom query creation/edit form is not marked as required
* Defect #41779: Restore `margin-top` for `#sidebar h3`
* Defect #41780: Unnecessary indentation for "Completed versions" in the Roadmap sidebar
* Defect #41789: HTML syntax broken for sidebar-wrapper
* Defect #41818: Redundant tooltip appearing after clicking the ellipsis button in the action menus
* Defect #41821: Icons shrink in the Activity view when event titles are long
* Defect #41853: Group icons in watchers and membership modals are using a mix of legacy and SVG icons
* Defect #41864: Report tab of Spent time page still displays deprecated raster icons instead of SVGs
* Defect #41873: Table layout breaks due to .icon class on td elements
* Defect #41883: Download button in issue comments still uses deprecated raster icon
* Defect #41918: Replaces warning icon with SVG in watcher list and workflow warnings
* Defect #41957: Remove nesting selectors because are not support in old browsers
* Feature #41748: Optimize font loading by replacing variable fonts with specific weights for Noto Sans

=== [UI - Responsive]

* Defect #41822: First icon on the Activity page is replaced with chevrons-left or chevrons-right in responsive mode

== 2024-11-12 v6.0.1

=== [Gems support]

* Defect #41729: Installing Redmine 6.0.0 may cause a LoadError for svg_sprite
* Patch #41728: Update Rouge gem to 4.5

=== [Issues list]

* Defect #40303: Layout distortion in issue list descriptions with code blocks

== 2024-11-10 v6.0.0

=== [Accounts / authentication]

* Defect #28243: Principal.not_member_of scope does not accept ActiveRecord::Relation
* Feature #37279: Reject passwords that are the same as login, first name, last name, or email
* Feature #38853: Changes user visibility from "all" to "member of visible projects" for new roles and existing builtin roles
* Feature #39500: Change the default notification option for users to "Only for things I watch or I am assigned to"

=== [Administration]

* Feature #12521: Improve tracker deletion error message to display projects containing issues under the tracker
* Feature #40913: Add bulk lock/unlock feature to user list context menu

=== [Attachments]

* Defect #38966: Attachment custom fields not removed when issue is deleted
* Feature #37530: Add timeout for thumbnail generation process

=== [Calendar]

* Patch #41509: Replace "even" and "odd" CSS classes with "this-month" and "other-month" for calendar days

=== [Code cleanup/refactoring]

* Defect #31507: Test fails if trailing whitespaces are removed
* Defect #31831: Back url parse in validation
* Defect #32985: Remove unnecessary use of instance variables in CSV and Atom response handlers
* Defect #37730: Missing copyright headers in source files
* Defect #39527: Deprecate unused ApplicationHelper#render_if_exist
* Defect #40205: ThemesTest may fail if a third-party theme having theme.js is installed
* Feature #39111: Enable Asset Pipeline Integration using Propshaft
* Feature #40190: Stop appending the utf8 checkmark parameter to form URLs
* Patch #27510: Introduce active? method to Group via Principal model
* Patch #32523: Replace `for` loops with `forEach` in buildFilterRow function
* Patch #35217: Replace use of Digest::MD5 / Digest::SHA1 with ActiveSupport::Digest
* Patch #36806: Remove rss_* deprecated methods
* Patch #38975: Use ApplicationRecord instead of ActiveRecord::Base
* Patch #39110: Replacing request_store with ActiveSupport::CurrentAttributes
* Patch #39380: Replace hardcoded issues count check with `limit` variable in IssuesController#retrieve_previous_and_next_issue_ids
* Patch #39558: Remove deprecated methods in Repository and AbstractAdapter
* Patch #39777: Remove useless method #run_in_request? from db/migrate/20221214173537_add_select_project_publicity_permission.rb
* Patch #39971: Remove specific platform constraints for database adapter gems
* Patch #40087: Rewrite ApplicationHelper#favicon_url method using image_url
* Patch #40124: Remove deprecated empty status param to get all users from API
* Patch #40210: Remove overrides that inserts a non-breaking space (nbsp) to empty option elements
* Patch #40211: Remove appveyor.yml
* Patch #40506: Remove redundant ApplicationHelper inclusions
* Patch #40513: Fix initial_page_content method to avoid referencing @page instance variable in wiki formatting helpers
* Patch #40652: Replace MD5 with SHA256 when creating the hash for gravatar URL
* Patch #40691: Remove ambiguity in queries utilizing a Project scope
* Patch #40801: Add missing fixture journal_details to JournalsHelperTest
* Patch #40882: Remove unused "label_browse" from all locales
* Patch #41023: Set default age parameter for User.prune to 30 days
* Patch #41142: Add missing assertion in Redmine::MenuManager::MapperTest#test_push_onto_root
* Patch #41188: Refactor Calendar#first_wday method for improved readability and efficiency
* Patch #41238: Fix test failure in IssuesSystemTest due to incorrect attachment count expectation
* Patch #41287: Add .vscode to svn:ignore, .gitignore, and .hgignore
* Patch #41402: Remove Internet Explorer-specific CSS rules and vendor prefixes

=== [Custom fields]

* Defect #27543: Key/value-pair custom field type not available to all customisable contents
* Feature #39997: Add an option to render values of Integer- and Float-format custom fields with thousands delimiters

=== [Database]

* Feature #35014: Review and update supported database engines and versions
* Patch #34218: Increase size of value field in settings

=== [Documentation]

* Feature #40681: Dynamic generation of supported code highlighting languages in help section
* Patch #40202: Add LICENSE.txt in the root directory
* Patch #41011: Add more configuration examples to config/additional_environment.rb.example
* Patch #41469: Update helps and docs to use HTTPS links instead of HTTP

=== [Email notifications]

* Feature #13359: Add project identifier to List-Id header in notification emails for better Gmail filtering
* Feature #40569: Add an option to send email notification when an attachment is added
* Feature #41450: Include attachment filename in "File added" email notification subject

=== [Feeds]

* Feature #34025: Raise the maximum length of the title element in the Atom feed from 100 to 300 characters

=== [Forums]

* Defect #41234: Forum message's subject field overflows beyond container

=== [Gems support]

* Patch #37258: Switch default backend of ActiveSupport::XmlMini from rexml to Nokogiri
* Patch #39547: Prevent automatic requiring of unnecessary gems at runtime
* Patch #39887: Update RuboCop to 1.68
* Patch #39888: Update RuboCop Performance to 1.22
* Patch #39889: Update RuboCop Rails to 2.27
* Patch #39972: Update Nokogiri to 1.16.0
* Patch #39985: Update SQLite3 gem to 1.7
* Patch #40685: Update roadie-rails to 3.2.0
* Patch #41312: Update MiniMagick to 5.0

=== [Hook requests]

* Feature #41044: Add view hooks in My page

=== [I18n]

* Feature #21677: Support localized decimal separator for hours in the web UI
* Feature #22024: Support localized decimal separators for float values
* Feature #29208: Support email addresses with IDN (internationalized domain names) in user accounts
* Patch #39879: Fix hardcoded string on user preferences page

=== [Importers]

* Defect #41464: CSV file encoding auto-detection may fail with multibyte characters
* Feature #39511: Auto-detection of field wrapper type when importing CSV file

=== [Issues]

* Defect #41572: `updated_by_id` in Journal retains deleted user id instead of being set to `User.anonymous`
* Feature #691: Add column totals to Issues Summary Report
* Feature #9309: Add description field to custom queries
* Feature #16045: Add "Author / Previous assignee" group to assignee dropdown in issue form
* Feature #31756: Introduce setting for done ratio options interval
* Feature #36197: Add configurable setting for copying attachments when copying an issue
* Feature #41202: Change the default CSV export encoding to UTF-8

=== [Issues filter]

* Feature #7867: Add filters for "Author's group" and "Author's role" to issues list
* Feature #39805: Extend "contains" operator in "Parent task" filter to support multiple issue IDs

=== [Issues list]

* Feature #29894: View watchers on the issue list
* Feature #37862: Estimated time remaining issue query column

=== [Performance]

* Patch #23328: Optimize Project#notified_users to improve issue create/update speed
* Patch #39835: Optimize repository menu visibility check
* Patch #39837: Optimize query models by replacing `map` with `pluck`
* Patch #39840: Optimize `Issue#relations` method to fetch both `relations_from` and `relations_to` using a single query
* Patch #39847: Cache the result of `Journal#attachments`
* Patch #39849: Optimize IssueCategory SQL queries when showing an issue
* Patch #39852: Optimize queries visibility check
* Patch #39857: Optimize users visibility check
* Patch #39993: Optimize loading of journals, relations, and allowed_statuses in IssuesController#show for API requests
* Patch #40000: Optimize gantt chart rendering for issues without subtasks
* Patch #40008: Replace String#sub with delete_prefix / delete_suffix
* Patch #40010: Replace regular expression matches with String#start_with? / end_with?
* Patch #40775: Reduce an extra SQL query in IssuesController#retrieve_default_query
* Patch #40798: Optimize Version model

=== [Projects]

* Feature #23954: Shows the date of the last activity on Projects administration
* Feature #40829: Expose project updated_on column and filter in project query

=== [REST API]

* Feature #23307: Include auth_source field in User API response
* Feature #38948: Add user status to users list API
* Feature #40449: Add updated_on and updated_by fields to Issues API journal response

=== [Rails support]

* Defect #38155: RuntimeError when reloading Rails console
* Feature #36320: Migrate to Rails 7.2
* Feature #40092: Drop FastCGI support

=== [Roadmap]

* Defect #4682: Completed version with wrong progress bar status
* Defect #24457: Progress of version should be calculated the same way as parent tasks

=== [Ruby support]

* Feature #38585: Drop Ruby 2.7 and 3.0 support
* Feature #39761: Ruby 3.3 support

=== [SCM]

* Defect #39747: Diff of a javascript file in repository module is not displayed with layout
* Defect #40020: ScmData.binary? incorrectly considers UTF-8 text as binary
* Feature #39238: Redirect to repositories#show after repositories#fetch_changesets to avoid the user-visible browser URL

=== [Search engine]

* Feature #38446: Support multiple multi-word phrases in the search engine

=== [Text formatting]

* Defect #34473: Displaying the table of content on the right causes wrong position
* Defect #40515: Displaying issue descriptions in the issues list ignores CommonMark table alignment
* Defect #40650: Fix duplicate alt and title attributes when alt text is specified for attached images in Textile formatter
* Defect #41467: Unexpected font size on CommonMark Markdown help pages due to missing doctype declaration
* Feature #20620: Add data-text-formatting attribute for selected markup language to body tag
* Feature #36594: Relax rouge version dependency in Gemfile
* Feature #40149: Drop deprecated Redcarpet based Markdown formatter
* Patch #40014: Add support for quoted arguments containing commas in wiki macros
* Patch #40939: Add "underline" button to jsToolbar for CommonMark Markdown formatting

=== [Themes]

* Defect #26778: Invalid "theme-*" CSS class in body element when theme name contains spaces

=== [Third-party libraries]

* Feature #40853: Upgrade jQuery to 3.7.1
* Feature #40864: Upgrade jQuery UI to 1.13.3

=== [Time tracking]

* Defect #36897: The minutes part of a time entry is displayed as 60 instead of being carried over
* Defect #40914: Fix precision issues in TimeEntry#hours calculation by returning Rational instead of Float
* Defect #41401: Hours column in "Details" tab of Spent time is not right-aligned
* Feature #41053: Add "User's group" and "User's role" filters to Spent time list

=== [UI]

* Defect #37390: Extraneous whitespace when selecting and copying issue number on Chrome/Windows
* Defect #38915: Duplicate spacer id in jsToolBar
* Defect #39795: Fix improper error highlighting for description field in issue form
* Feature #2464: Add placeholder "h:mm" to hours field for better user guidance
* Feature #2499: Change CSS font-size units from px to rem to respect browser font settings
* Feature #21808: Make the Sidebar collapsible, stateful
* Feature #23980: Replace icon images with Tabler SVG icons
* Feature #40901: Disable custom query links while loading to prevent multiple requests
* Feature #41266: Improve header design with gradient background
* Feature #41272: Improve tooltip positioning for thumbnails
* Feature #41294: Partial quoting feature for Issues and Forums
* Feature #41298: Refine UI with updated box styling and border colors
* Feature #41321: Improve readability by refining font sizes and switching to Noto Sans font
* Feature #41475: Improve table readability by adding row borders
* Feature #41500: Swap odd and even table row background colors
* Patch #33638: Add informative default welcome text for new installations

=== [UI - Responsive]

* Feature #39806: Improve filter rendering on narrow screens by replacing the layout tables with a flex layout

== 2024-11-03 v5.1.4

=== [Code cleanup/refactoring]

* Patch #41313: Fix test/unit/issue_test.rb to use correct IANA timezone name "Asia/Hong_Kong" instead of deprecated "Hongkong"

=== [Filters]

* Defect #41079: Incorrect sorting of users grouped by status in issue filters for administrators

=== [Gantt]

* Defect #41263: Gantt progress line misrendering for 0% progress issues/versions with future start dates beyond chart range

=== [I18n]

* Defect #37072: Capitalization issue for object names in I18n keys: button_save_object, button_edit_object, and button_delete_object
* Defect #39778: Untranslated string "OK" in the repository browser

=== [Importers]

* Defect #41465: "Import issues" and "Import time entries" pages are visible to users without "Add issues" and "Log spent time" permissions

=== [Issues]

* Defect #8539: Fix NoMethodError in Issue#blocked? due to invalid issue_from_id in Issue#relations_from
* Defect #40860: Creating a new issue fails with an internal error if no issue priorities are defined

=== [Projects]

* Defect #41217: Broken project list table when filter scheduled for deletion

=== [Ruby support]

* Patch #41489: Update Rails to 6.1.7.10

=== [Security]

* Defect #40946: Watcher list visible with only add watchers permissions

=== [SCM]

* Defect #40948: ActiveRecord::ValueTooLong error with git author longer than 255 characters

=== [Text formatting]

* Defect #41096: "##" syntax auto complete does not work

=== [Time tracking]

* Defect #40924: Spent Hours ignoring "Time Span Format" Setting on several pages

=== [Translations]

* Patch #40875: Improve Czech translation for "two-factor authentication"
* Patch #40950: Improve english translation for invalid watcher notice
* Patch #41254: Brazilian Portuguese translation update for 5.1-stable
* Patch #41420: Italian translation update for 5.1-stable

=== [UI]

* Patch #41624: CSS-fix to prevent 'blinking' tooltips

=== [Wiki]

* Defect #40655: Revisions count is wrong on the wiki content page
* Defect #40716: "Edit this section" on Wiki pages misinterprets issue links with double hash (##nnn) as ATX headings

== 2024-06-12 v5.1.3

=== [Code cleanup/refactoring]

* Defect #40389: Missing fixture: add :groups_users fixture to Redmine::ApiTest::UsersTest

=== [Gems support]

* Defect #40603: Mocha 2.2.0 causes test failure: "unexpected invocation"
* Patch #40802: Support builder 3.3.0

=== [Issues]

* Defect #40410: Watcher groups on new issue form get dereferenced on validation error
* Defect #40412: Issue list filter "Watched by: me" only shows issues watched via group for projects with the view_issue_watchers permission
* Feature #40556: Focus on the textarea after clicking the Edit Journal button

=== [Issues workflow]

* Patch #40693: Ignore status in roleld_up_status if workflow only defines identity transition

=== [Performance]

* Defect #40610: Slow display of projects list when including project description column

=== [Rails support]

* Patch #40818: Update Rails to 6.1.7.8

=== [Translations]

* Patch #40682: Czech translation update for 5.1-stable

== 2024-03-04 v5.1.2

=== [Activity view]

* Defect #39995: Project Activities and Roadmap views disclose presence of private sub projects

=== [Administration]

* Defect #40166: Internationalize "Check all / Uncheck all" tooltip in project list for admins

=== [Code cleanup/refactoring]

* Defect #39864: Backport fix of random failing integration test for plugin routes
* Defect #40239: Add missing fixtures in Redmine::ApiTest::IssuesTest
* Patch #39894: Explicitly render a 404 on non-JS requests to watchers#new
* Patch #39999: Explicitly render a 404 on non-JS requests to messages#quote
* Patch #40043: Remove year ranges from all copyright headers

=== [Database]

* Patch #39865: Extend mysql8? test helper to handle complex version strings

=== [Filters]

* Defect #39991: Fix "any" operator for text filters to exclude empty text values

=== [Issues]

* Defect #39932: Incorrect position of "Edited" mark in issue notes with h4 headings

=== [Plugin API]

* Defect #39862: Attachments functionality for (custom) plugins broken since fix for CVE-2022-44030
* Feature #39948: Add Redmine::Plugin proxy method for Redmine::Acts::Attachable::ObjectTypeConstraint.register_object_type

=== [REST API]

* Defect #40099: User api filtering by status=* broke on upgrade from 5.0 to 5.1

=== [Rails support]

* Patch #40319: Update Rails to 6.1.7.7

=== [SEO]

* Defect #40208: An ActionController::RespondToMismatchError occurred in welcome#robots

=== [Security]

* Defect #39875: Mitigate CVE-2023-23913 (rails-ujs)

=== [Text formatting]

* Defect #39755: CommonMark Markdown help page does not reflect user's language setting
* Defect #40193: Performance issue with email address auto-linking in the default ("none") formatter
* Feature #39884: Allow multiple footnotes per single word

=== [Translations]

* Defect #39801: Fix typo in Russian translation of text_status_no_workflow
* Patch #39751: Additional translation for Tamil language
* Patch #39781: Persian translation update for 5.1-stable
* Patch #39782: Russian translation update for 5.1-stable
* Patch #40240: Catalan translation update for 5.1-stable

=== [UI]

* Defect #39780: User select element on activity sidebar views cutoff when displaying long user names
* Defect #39802: Fix click event handling in mobile view after closing flyout menu
* Defect #40237: Error in autocomplete (`ActionController::BadRequest (Invalid query parameters: invalid %-encoding (%)`)

== 2023-11-27 v5.1.1

=== [Database]

* Defect #39437: MySQL / MariaDB issue nested set deadlocks and consistency
* Defect #39443: Invalid statement query error on MSSQL when role filter is used in issues query
* Patch #39737: Support MySQL 8

=== [Email notifications]

* Defect #39553: Mention notification is not sent (MENTION_PATTERN / LINKS_RE inconsistency)

=== [Filters]

* Defect #39714: Query grouping filter not working for custom field relations

=== [Gems support]

* Defect #39576: `rake yard` does not work with Ruby >= 3.2

=== [Issues]

* Defect #39521: Mention autocomplete not displaying for users without "Edit issues" permission

=== [PDF export]

* Defect #39534: Error (undefined method) in issue list PDF export

=== [Text formatting]

* Defect #38852: ## issue syntax is not kept when selecting an issue from the inline autocomplete

=== [Translations]

* Patch #39513: Bulgarian translation update for 5.1-stable
* Patch #39551: Simplified Chinese translation update for 5.1-stable

== 2023-10-31 v5.1.0

=== [Accounts / authentication]

* Defect #6254: Remove "Unknown user" notification on password request with non-existent email address
* Defect #36969: EmailAddress regex matches invalid email addresses
* Feature #33660: Information text on sudo password entry
* Feature #35450: Better validation error message when the domain of email is not allowed
* Feature #37679: Raise the maximum length of the last name to 255 characters

=== [Administration]

* Defect #37692: Plugins page does not have a table header
* Feature #33422: Re-implement admin project list using ProjectQuery system
* Feature #36691: Background job and dedicated status for project deletion
* Feature #36695: Add check in Redmine information page if default queue adapter is used in production
* Feature #36891: Ask more specific confirmation questions when closing/reopening/archiving projects
* Feature #37674: Upgrade Admin/Users list to use the query system

=== [Attachments]

* Feature #38168: WebP images support
* Patch #37597: Don't create two thumbnails of different resolutions for a single image

=== [Calendar]

* Feature #27346: Use the new pagination style for the calendars view
* Feature #33682: Display calendar in vertical list layout on mobile screens

=== [Code cleanup/refactoring]

* Defect #15667: Fix shadowing variable in ApplicationHelper#textilizable
* Defect #20042: A test fail when running it with PostgreSQL
* Defect #37389: Add missing fixture to JournalObserverTest
* Defect #37586: Typo in method names
* Defect #37587: Unnecessary requirement in /lib/redmine/scm/adapters/filesystem_adapter.rb
* Defect #38145: Unreachable branch in ApplicationHelper#format_object due to the use of the deprecated Fixnum class
* Defect #38250: config/settings.yml not closed in Setting.load_available_settings
* Defect #39180: Fix an intermittent test failure in JournalTest
* Feature #37119: Drop redcarpet dependency for common_mark formatter
* Patch #36844: Cleanup orphaned query and role ids from habtm join table queries_roles
* Patch #37448: Add missing fixture users to RoleTest
* Patch #37451: Add missing fixture versions to IssuesPdfHelperTest
* Patch #37466: Add missing fixture issue_categories to VersionTest
* Patch #37469: Add missing fixture versions to RepositoryTest
* Patch #37470: Add missing fixture versions to MailHandlerControllerTest
* Patch #37477: Add missing fixture issue_categories to MyControllerTest
* Patch #37482: Replace JQuery `.focus()` method with HTML `autofocus` attribute
* Patch #37507: Normalize HTML in app/views/settings/_users.html.erb
* Patch #37591: Use start_with? or end_with? to check the first or last character of a string
* Patch #37599: Remove extra call of Attachment#thumbnailable? in AttachmentsController#thumbnail
* Patch #37614: Cleanup app/models/repository/git.rb
* Patch #37657: Rename Repository#supports_all_revisions? to Repository#supports_history?
* Patch #37668: Fix bad I18n `t` call in macro error handler
* Patch #37682: Add the `# frozen_string_literal: true` magic comment to config/initializers/secret_token.rb
* Patch #37851: Add missing fixture to test/integration/issue_test.rb
* Patch #37974: Database migration to remove unused "mention_users" permission
* Patch #38054: Remove unused i18n keys label_sort_highest, label_sort_higher, label_sort_lower, and label_sort_lowest
* Patch #38091: Fix redundant 'private' modifier in repositories_git_controller_test.rb
* Patch #38093: Use require_relative instead of generating the full path for a file
* Patch #38139: Add guard clause to time_tag method to handle nil time
* Patch #38228: Remove X-UA-Compatible meta tag for Internet Explorer
* Patch #38478: Remove unused i18n key label_last_login
* Patch #38496: Add missing fixtures to SearchControllerTest
* Patch #38646: Remove unused locale entry: label_optgroup_others
* Patch #38772: <=> should return nil when invoked with an incomparable object
* Patch #39021: Add ".byebug_history" to svn:ignore, .gitignore, and .hgignore
* Patch #39066: Remove set_language_if_valid from MyController
* Patch #39109: Improving Test Reliability with Capybara Assertions
* Patch #39184: Cleanup debug code in app/models/mail_handler.rb
* Patch #39207: Replace `YAML.load` with `YAML.load_file` in locales.rake and improve error reporting for invalid YAML files

=== [Custom fields]

* Patch #37750: Use existing html pipeline based sanitization for links in custom fields

=== [Email notifications]

* Feature #2746: Send out issue priority in the email notification header
* Feature #34302: Show parent issues in notification email
* Feature #38238: Auto watch issues on issue creation

=== [Email receiving]

* Feature #38263: Try importing journal replies as issue reply where applicable
* Feature #38273: Improve errors in MailHandler: add MissingContainer and LockedTopic exception
* Feature #38274: Receive e-mail replies to news and news comments
* Patch #38408: Remove experimental flag from "Preferred part of multipart (HTML) emails" setting

=== [Filters]

* Feature #38435: "contains any of" operator for text filters to perform OR search of multiple terms
* Feature #38456: OR search with multiple terms for "starts with" and "ends with" filter operators

=== [Gems support]

* Patch #36919: Update RuboCop to 1.57
* Patch #37236: Update Rouge to 4.2
* Patch #37247: Update RuboCop Performance to 1.19
* Patch #37248: Update RuboCop Rails to 2.22
* Patch #37401: Update I18n to 1.14
* Patch #37525: Update Pg to 1.5
* Patch #37558: Update webdrivers to 5.0
* Patch #37656: Update sqlite3 gem to 1.5
* Patch #37993: Update Mail gem to 2.8
* Patch #38121: Update MiniMagick to 4.12
* Patch #38122: Remove Bundler from requirements
* Patch #38124: Update csv, net-imap, net-pop, and net-smtp gems to the same versions shipped with Ruby 3.2.0
* Patch #38137: Update SimpleCov to 0.22
* Patch #38181: Update Nokogiri to 1.15.2
* Patch #38187: Update SQLite3 gem to 1.6
* Patch #38220: Update Redcarpet to 3.6
* Patch #39211: Update roadie-rails to 3.1

=== [I18n]

* Defect #38509: Untranslated string "OK" in the repository browser
* Feature #37878: Allow using ideographic space (U+3000) as a separator for search terms
* Patch #38529: Limit available locales to those defined by Redmine itself

=== [Importers]

* Feature #36823: Allow to import time entries for issues in different projects

=== [Issues]

* Defect #38458: Display order of watchers in the sidebar is indeterminate
* Defect #38493: The related issues count on the issue view is not updated after deleting one of the related issues
* Defect #39186: Missing synchronization between watchers and watcher_users for unsaved objects
* Feature #2568: Description for issue statuses
* Feature #16207: Use query name as the file name when exporting queries
* Feature #31505: Mark edited journal notes as "Edited"
* Feature #37362: CSV export of issues report
* Feature #37532: Add CSS class for relation type to related issues list
* Feature #37621: Add field separator option to CSV export dialog
* Feature #38416: Ability to disable the priority field
* Patch #38820: Retry in case of stale issue during Issue.update_versions

=== [Issues filter]

* Feature #38301: Multiple issue ids in "Related to" filter
* Feature #38402: "Any searchable text" filter for issues
* Feature #38527: New issues filter operators "has been", "has never been", and "changed from"

=== [Issues workflow]

* Defect #37635: Respect Role#consider_workflow? when checking for allowed status transitions
* Patch #37636: Ignore statuses if workflow only defines identity transition

=== [News]

* Feature #2631: Add breadcrumbs to news pages

=== [PDF export]

* Feature #38368: WebP images support in PDF output

=== [Performance]

* Patch #29171: Add an index to improve the performance of issue queries involving custom fields
* Patch #37057: Query optimization for attachments activity
* Patch #37528: Don't load changesets when IssuesController#show processes API requests without "include=changesets"
* Patch #37687: Retrieve attachments with a single query when rendering a journal
* Patch #38146: Fix all performance-related RuboCop offenses
* Patch #38198: Improve MySQL query plan for Project#project_condition
* Patch #38319: Optimize IssueQuery#sql_for_assigned_to_role_field for PostgreSQL performance
* Patch #38474: Preload default_status when listing trackers

=== [Permissions and roles]

* Feature #37807: Allow access to /robots.txt even if logins are required
* Feature #38048: Introduce permission to set a project public

=== [Plugin API]

* Defect #31116: Database migrations don't run correctly for plugins when specifying the `VERSION` env variable
* Defect #38707: Fix order of loading plugins' config/routes.rb
* Feature #38730: Generate snake-case file name by redmine_plugin_migration

=== [REST API]

* Defect #38668: Unable to retrieve custom fields set as "For all projects" via Projects API
* Feature #37617: Add description field to custom fields API
* Feature #39113: Add missing Homepage attribute in Projects API response

=== [Rails support]

* Feature #38216: Add template filenames as comments to HTML output in development mode

=== [Roadmap]

* Feature #36679: Export a version as changelog text

=== [Ruby support]

* Feature #37159: Drop Ruby 2.5 support
* Feature #38099: Add Ruby 3.2 support
* Feature #38134: Drop Ruby 2.6 support

=== [SCM]

* Feature #35432: Git: View annotation prior to the change

=== [Search engine]

* Feature #38459: Support "My bookmarks" in the search
* Feature #38481: Further narrow search results with issues filter

=== [Text formatting]

* Feature #34863: Change default text formatter for new installations from textile to common_mark
* Patch #36807: Remove CommonMark experimental flag and mark as deprecated the RedCarpet Markdown

=== [Third-party libraries]

* Feature #39400: Migrate Stylelint to 15.11.0
* Patch #37538: Update Chart.js to 3.9.1
* Patch #38162: Update jQuery UI Datepicker i18n files to 1.13.2

=== [Time tracking]

* Feature #10314: Make the only enabled activity in a project the default one for time entry
* Feature #27821: "Issue's subject" filter for spent time
* Feature #29286: Add default spent time activity per role
* Feature #37623: Add Parent task filter and column to Spent time

=== [Translations]

* Defect #38477: Fix the English and Japanese translations of field_last_login_on
* Defect #38871: Fix mistranslation of label_board_sticky in Spanish translation
* Feature #34924: Add Tamil language support
* Feature #36938: Update translations of field_principal to User or Group
* Patch #32435: Change Russian translation for "Submit"

=== [UI]

* Feature #1069: Open Help in a separate tab
* Feature #36908: Improve wording on password change form
* Feature #38231: Limit the year to 4 digits in date input
* Patch #38449: Align buttons in modal dialogs to the left instead of right

=== [UI - Responsive]

* Patch #38360: Do not apply table-layout:fixed in potentially wide tables of detailed issue reports

=== [Wiki]

* Defect #34634: Deletion of project wiki leaves the project wiki inaccessible (404) until module reactivation

== 2023-09-30 v5.0.6

=== [Code cleanup/refactoring]

* Defect #38797: Fix incorrect argument format for assert_select

=== [Custom fields]

* Defect #38464: Rendering a custom field with a URL pattern set and containing " :" in the value raises Addressable::URI::InvalidURIError

=== [Gantt]

* Defect #38728: Correctly escape issue text in Gantt PNG export for ImageMagick convert

=== [Gems support]

* Patch #39070: Allow using the latest version of mocha even when using Ruby < 2.7

=== [Groups]

* Defect #38443: Cannot add a user to a group if the group is a member without roles in a certain project

=== [PDF export]

* Defect #37694: CommonMark Markdown task list item markers are not exported to PDF

=== [Project settings]

* Defect #37166: Roles of a project member should not be made empty

=== [Projects]

* Defect #38286: "Cannot delete enumeration" error may occur when attempting to delete a project with time entries

=== [Rails support]

* Patch #38374: Update Rails to 6.1.7.6

=== [Ruby support]

* Defect #38617: Redmine 4.2 on Ruby 2.4 is not compatible with loofah 2.21 or higher

=== [Security]

* Defect #38539: Update Nokogiri to 1.15.2 in 5.0-stable and 4.2-stable
* Defect #38807: XSS in Textile formatter
* Defect #38806: XSS in Markdown formatter
* Defect #38417: XSS Vulnerability in Thumbnails

=== [Text formatting]

* Defect #38697: Exception during thumbnail macro to image tag conversion in emails

=== [Time tracking]

* Defect #39079: NoMethodError when trying to remove the date of an existing time entry

=== [Translations]

* Defect #38507: Fix typo in French translation of setting_bulk_download_max_size
* Patch #38533: Improve the clarity of German translation of label_user_mail_notify_about_high_priority_issues_html

=== [UI]

* Defect #33502: Issue field labels for fields with descriptions are missing styling on issues show view
* Defect #38448: The margin below the Submit button on the issue edit page is too narrow
* Patch #38359: Render numeric axes in charts as Integers

== 2023-03-05 v5.0.5

=== [Code cleanup/refactoring]

* Patch #38141: Update copyright year to 2023

=== [Documentation]

* Defect #38114: Example plugin (extra/sample_plugin) breaks Activity page

=== [Gems support]

* Defect #38239: Test failure with Commonmarker 0.23.8
* Patch #38135: Allow use of Puma 6.0.0 or later
* Patch #38272: Update RBPDF to 1.21

=== [Groups]

* Patch #38144: Refactoring: Use Group.visible instead of manual visibility check in GroupsController

=== [Importers]

* Defect #38254: Time Entry Import fails to import custom fields with "User" format

=== [Issues]

* Defect #37755: Mentioning users with certain characters renders incorrectly
* Defect #38217: "Property changes" tab does not appear when all issue journals have both notes and property changes

=== [PDF export]

* Defect #32740: Incorrect characters when copying out of a Redmine generated PDF
* Defect #36452: Infinite loop on PDF export if image included with attributes

=== [Project settings]

* Defect #38064: Avoid exception when adding a project without any givable roles defined

=== [Rails support]

* Defect #36273: Modifying the source code of a plugin does not reload it after r21295
* Defect #38199: Fix deprecation warning for db:structure:dump in db:migrate when using sql schema format
* Patch #38191: Update Rails to 6.1.7.2

=== [Security]

* Defect #38063: Avoid double-render error with ApplicationController#find_optional_project
* Defect #38070: Role#permission_tracker? and related does not consider whether the base permission is (still) set
* Defect #38133: Update Nokogiri to fix several security issues
* Defect #38297: Insufficient permission checks when adding attachments to issues

=== [SEO]

* Defect #38201: Fix robots.txt to disallow issue lists with a sort or query_id parameter in any position

=== [Text formatting]

* Defect #37881: Thumbnails are no longer fetched for all notes of an issue
* Defect #38073: CommonMark Markdown formatter does not support min-width, max-width, min-height, and max-height CSS properties
* Defect #38215: Nested CommonMark Markdown task lists are not indented

=== [Time tracking]

* Defect #35066: Missing project_id in redirect after clicking "Create and add another" button
* Defect #38237: Unable to choose any user other than the current user when logging spent time after clicking "Create and add another"

== 2022-12-01 v5.0.4

=== [Activity view]

* Defect #37875: Unnecessary closing li element when there is no "Next" button on Activity page

=== [Code cleanup/refactoring]

* Patch #37938: Unused permission "Mention user"

=== [Documentation]

* Defect #37983: Duplicate vertical-align property in wiki_syntax.css

=== [Gems support]

* Defect #37884: All system tests fail on 4.2-stable branch with "ArgumentError: unknown keyword: :desired_capabilities"
* Patch #37867: Limit puma < 6.0.0 to avoid system test error
* Patch #37883: Limit mocha version to < 2.0.0 when Ruby version is < 2.7 to avoid test error

=== [Issues]

* Defect #37958: Groups added to watchers are not shown as links

=== [Issues workflow]

* Defect #37685: Read-only field permission for the project field is ignored if the current project has subprojects

=== [Projects]

* Defect #37925: Do not allow unkown display_type for query

=== [Rails support]

* Defect #37814: Plugins that serialize Date or Time objects cause Psych::DisallowedClass exception

=== [Security]

* Defect #37772: Access Control Issue in attachments#download_all
* Defect #37751: Persistent XSS in textile formatting due to blockquote citation
* Defect #37767: Redmine contains a cross-site scripting vulnerability
* Defect #37880: Open Redirect in attachments#download_all

=== [Translations]

* Defect #37812: "Yes" and "No" are swapped in Polish translation

== 2022-10-02 v5.0.3

=== [Code cleanup/refactoring]

* Defect #37609: Remove obsolete remnant public/images/openid-bg.gif
* Defect #37449: Passing a wrong parameter to `with_settings` in UserTest::test_random_password_include_required_characters

=== [Filters]

* Defect #36940: Chained custom field filter doesn't work for User fields
* Defect #37349: Chained custom field filter for User fields returns 500 internal server error when filtering after a float value

=== [Issues]

* Defect #37369: Mention auto-complete not works in bulk-edit comments
* Defect #37499: Default query should not be applied if the query is not allowed to be set as the default
* Defect #37473: Focus IssueId not working when linking issues

=== [Issues list]

* Defect #37268: Performance problem with Redmine 4.2.7 and 5.0.2

=== [Rails support]

* Patch #37452: Update Rails to 6.1.7

=== [Security]

* Defect #37492: Update jQuery UI to 1.13.2

=== [SCM]

* Defect #33953: Repository tab is not displayed if no repository is set as the main repository
* Defect #36258: Support revision without any message in Mercurial repositories
* Defect #37585: Do not show "History" tab for content in Filesystem repository
* Defect #37626: Diff of a javascript file in repository module is not displayed with layout
* Defect #37718: Repository browser does not show "+" (plus sign) in filename

=== [SCM extra]

* Defect #37562: POST Requests to repository WS fail with "Can't verify CSRF token authenticity"

=== [Text formatting]

* Defect #37237: Common Markdown Formatter does not render all properties on HTML elements
* Patch #37713: Add rel="noopener" to all external links that would open a new tab/window
* Defect #37379: Thumbnail macro does not work when a file is attached and preview is displayed immediately

=== [Translations]

* Defect #37529: Fix mistranslation of label button_create_and_follow in Russian translation
* Defect #37603: Missing translation for label_default_queries.for_this_user
* Patch #35613: German translation update of Wiki syntax help for 5.0-stable
* Patch #37263: Lithuanian translation update for 5.0-stable
* Patch #37698: Persian translation update for 4.2-stable

=== [UI]

* Defect #36901: Jump to project is misaligned in Safari 15.4 and later
* Defect #37282: Subtask isn't displayed correctly since 4.2.7
* Defect #37481: Fix the unintentional selection of rows with the context menu
* Defect #37566: The number of the ordered list in the project description is not displayed and the indentation does not match the unordered list

== 2022-06-21 v5.0.2

=== [Email notifications]

* Defect #37138: Mentions of users with "@" in their username
* Patch #37065: When someone is member of watcher group, 'watched_by' may be wrong and incomplete
* Defect #37162: Missing space between notification sentence and author name when edit a wiki page

=== [Email receiving]

* Defect #37187: no-permission-check allows issue creation in closed/archived projects

=== [Gems support]

* Defect #35892: Redmine::WikiFormatting::CommonMark::FormatterTest#test_footnotes fails with CommonMarker 0.23.2
* Defect #37249: Missing rexml gem causes errors in PUT - Adding the gem manually everything works

=== [Issues]

* Defect #37151: The done ratio of a parent issue may not be 100% even if all subtasks have a done ratio of 100%
* Patch #37155: Issue#last_notes fallback does not respect notes visibility
* Defect #37171: Ability to change the issue category or issue target version with nonexistent value for the specific project

=== [Performance]

* Patch #37135: Reduce extra queries in ProjectQuery.default

=== [REST API]

* Defect #37157: Internal server error when trying to retrieve AnonymousUser's information via Users API

=== [Security]

* Defect #37255: Information Leak in QueryAssociationColumn/QueryAssociationCustomFieldColumn
* Defect #37256: Medium severity XSS security vulnerabilities (3x) in jQuery UI v1.12.1
* Defect #37136: Remote code execution vulnerability in commonmarker

=== [Text formatting]

* Defect #37130: Wiki notation `attachment:file_name` cannot make a link to a file attached to other journals

=== [Time tracking]

* Defect #33914: Even if the default value of Activities (time tracking) is set, it may not be reflected.

=== [UI - Responsive]

* Defect #36453: Issue subject overflow in subtasks and relations tables

== 2022-05-16 v5.0.1

=== [Administration]

* Defect #36932: Handle nil return of Redmine::Themes.theme(Setting.ui_theme) in Redmine::Info.environment

=== [Attachments]

* Defect #36887: copyImageFromClipboard function failed to generate a unique file name
* Patch #36817: copyImageFromClipboard function targets the first file input of the page and may conflict with other plugins
* Defect #37053: Attachments are lost when the status of the ticket is changed

=== [Documentation]

* Defect #36862: Duplicate v5.0.0 section in Changelog
* Defect #36863: Missing v4.2.5 section in Changelog

=== [Email notifications]

* Defect #36909: Mentions not working if status is changed

=== [Email receiving]

* Defect #37030: Requests fail with "Can't verify CSRF token authenticity" in mail handler

=== [Gems support]

* Defect #36892: Redmine does not start when installed --without markdown

=== [I18n]

* Defect #36998: Revert lazy loading of i18n files introduced in Redmine 5.0

=== [Rails support]

* Patch #36917: Update Rails to 6.1.6

=== [Security]

* Patch #36912: Update Nokogiri versions to fix two critical CVE's

=== [Text formatting]

* Defect #36958: Crafted input breaks CommonMark Markdown formatter

=== [Translations]

* Patch #36905: German translation update for 5.0-stable
* Patch #36930: Bulgarian translation update for 5.0-stable
* Patch #36934: Russian translation update for 5.0-stable
* Patch #37003: Czech translation update for 5.0-stable
* Patch #37024: Galician translation update for 5.0-stable
* Patch #37025: Polish translation update for 5.0-stable

== 2022-03-28 v5.0.0

=== [Accounts / authentication]

* Feature #30998: Add an rake task to prune registered users after a certain number of days
* Feature #31920: Require 2FA only for certain user groups
* Feature #33345: Include an authentication method name in LDAP connection error messages
* Feature #35001: Disable API authentication with username and password when two-factor authentication is enabled for the user
* Feature #35439: Option to require 2FA only for users with administration rights
* Feature #36825: Increase email address length limit from 60 to 254

=== [Administration]

* Defect #35421: Unhandled exception when a YAML syntax error is detected in configuration.yml
* Feature #32116: Add configured theme to Redmine::Info
* Feature #35562: Show warning in admin/info when there are pending migrations
* Feature #35934: Show 2FA status in users list from administration with option to filter
* Feature #36391: Change the default value for "Time span format" from "decimal" to "minutes"

=== [Attachments]

* Defect #35539: Race condition (possible filename collision)  in Attachment.disk_filename
* Feature #32898: PDF thumbnails support on Windows
* Feature #35462: Download all attachments in a journal

=== [Code cleanup/refactoring]

* Defect #31132: Remove unused column trackers.is_in_chlog
* Defect #36149: Typo in CSS class for lists expander icon
* Defect #36361: IssueRelationsControllerTest#test_bulk_create_should_show_errors randomly fails
* Defect #36394: Avoid passing ActionController::Parameters outside of MailHandlerController
* Feature #34337: Remove jQuery Migrate
* Feature #35259: Output test coverage report to the console
* Feature #35671: Move subtasks section on issues show view into a separate partial
* Patch #15118: Deprecate and rename rss_* methods to atom_* methods
* Patch #31035: Remove redefinition of ActionMailer::LogSubscriber#deliver which is no longer necessary because of the removal of Setting.bcc_recipients
* Patch #32922: Reload detached attachments
* Patch #33079: Remove unused argument from Redmine::Helpers::TimeReport
* Patch #33337: Clean-up workflows controller
* Patch #34976: Add missing fixtures to TimeEntryCustomFieldTest
* Patch #35024: System test fails in Windows due to "/" path separator
* Patch #35026: Remove rake task check_parsing_by_psych
* Patch #35031: Remove deprecated code that are supposed to be removed in Redmine 5
* Patch #35075: Use named routes in base layout and account sidebar
* Patch #35076: Menu manager - generate correct URLs when rendering from a namespaced controller
* Patch #35208: Use `Time.use_zone` instead of `Time.zone=`
* Patch #35230: Fix typo in ApplicationHelper.html_title comment
* Patch #35396: Use base_scope for issue query results
* Patch #35466: Rename test/fixtures/configuration/*.yml.example to test/fixtures/files/configuration/*.yml
* Patch #35610: Cleanups after Wiki tab removal from project settings (#26579)
* Patch #35727: Add missing fixtures to Redmine::ProjectJumpBoxTest
* Patch #35773: Move sidebar content on versions index view (roadmap) into a  separate partial
* Patch #35952: Explicitly specify text formatting in the test suite
* Patch #35975: Add missing fixtures to UserTest
* Patch #36005: Adopt 2FA emails to new Mailer interface
* Patch #36241: MenuManagerTest randomly fails
* Patch #36347: Add missing fixture to IssuesHelperTest
* Patch #36358: Use File.exist? instead of deprecated File.exists?
* Patch #36379: Update copyright year in source files to 2022
* Patch #36716: IssuesControllerTest randomly fails
* Patch #36730: Replace Member.find_or_new with ActiveRecord's find_or_initialize_by
* Patch #36770: Fix to use a correct exception class ActiveRecord::IrreversibleMigration in migrations

=== [Custom fields]

* Defect #32977: Remove references to deleted user from "user"-Format CustomFields
* Feature #14275: Add hinting to custom fields

=== [Database]

* Feature #35073: Escape values in LIKE statements to prevent injection of placeholders (_ or %)
* Patch #36416: Cleanup more dependent objects on project delete

=== [Documentation]

* Feature #33859: Add a list of supported languages by the code highlighter to the help
* Feature #34978: Add the list of supported browsers to docs and drop support for IE 11

=== [Documents]

* Patch #17924: Structured Document list for more flexible UI design with CSS

=== [Email notifications]

* Defect #32199: Security notification is not sent when an admin changes the password of a user
* Defect #35017: X-Redmine-Issue-Assignee email header field is empty when the assignee of an issue is a group
* Defect #36393: Mailer.with_synched_deliveries doesn't correctly detect other async Queue adapters
* Feature #13919: Mention user on issues and wiki pages using @user with autocomplete
* Feature #30820: Drop setting "Blind carbon copy recipients (bcc)"

=== [Filters]

* Defect #36389: Filter parameters of Query string do not work when default query is enabled
* Feature #5893: Filter issues by notes
* Feature #34715: Filter issues by file description
* Feature #35764: Multiple search terms in the "contains" operator of text filters
* Patch #35312: Gracefully handle invalid operators and associations requested in queries

=== [Gantt]

* Defect #33381: Possible double includes in issue query in gantt helper

=== [Gems support]

* Patch #35000: Update SimpleCov to 0.21
* Patch #35025: Update capybara to 3.36
* Patch #35136: Update RuboCop to 1.25
* Patch #35142: Update RuboCop Performance to 1.13
* Patch #35207: Update RuboCop Rails to 2.14
* Patch #35361: Update CSV to 3.2
* Patch #35691: Update Nokogiri to 1.13
* Patch #36325: Update Rouge to 3.28
* Patch #36355: Update roadie-rails to 3.0
* Patch #36564: Update I18n to 1.10

=== [Groups]

* Feature #12795: View group members by non-admin users

=== [Hook requests]

* Defect #34743: Hooks for queries helper

=== [I18n]

* Defect #36396: Custom I18n Pluralization rules are not applied correctly
* Feature #36728: Reintroduce lazy loading of i18n files

=== [Importers]

* Defect #36377: Encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in Korean, Thai, and Shimplified Chinese
* Feature #34718: Auto guess file encoding when importing CSV file
* Feature #35137: Reject CSV file without data row when importing
* Feature #35365: Allow sending account information when importing users

=== [Issues]

* Defect #15634: Add watching users to a ticket should switch "watch" link to "unwatch" if own user was added
* Defect #33521: Use issue path instead of bulk update issues path when using the context menu with only one issue selected
* Defect #34641: When editing an issue, the Log time and/or Add notes does not show or hide dynamically
* Feature #4347: Contributing to an issue should automatically add the user to the watchers list
* Feature #6033: Allow addition/removal of subtasks to show in parent's history
* Feature #7360: Issue custom query: default query per instance, project and user
* Feature #13099: Issue Summary: add statistics about issues without assignee, version or category
* Feature #29076: Add button to "Create and follow" when adding a subtask from the parent issue
* Feature #31278: Change Delete button name to Delete issue
* Feature #35559: Query links for related issues on issue page

=== [Issues list]

* Feature #34932: "Copy link" feature for issues list

=== [OpenID]

* Feature #35755: Drop OpenID support

=== [PDF export]

* Feature #35683: PDF rendering improvements when exporting an issue or a list of issues

=== [Performance]

* Feature #29041: Update session token only once per minute
* Feature #35324: Preload principal and roles in members#index
* Feature #35374: Reduce amount of work on projects show API
* Feature #36294: Lazy load inline images
* Feature #36505: Reduce database queries when rendering Custom fields box in the project settings tab
* Feature #36696: Improve performance of adding or removing members of a group

=== [Permissions and roles]

* Defect #34029: 403 Forbidden error when non-member try to upload a file

=== [Plugin API]

* Defect #35455: Require redmine/sort_criteria globally

=== [Project settings]

* Defect #13199: "Edit" misaligned in project members view
* Defect #36318: Saving time tracking activities without any change may turn a system activity into a project activity

=== [Projects]

* Feature #35795: Settings for global and user default custom ProjectQuery

=== [REST API]

* Feature #10171: Updating journal notes via REST API
* Feature #15855: Add information about whether an issue is open or closed to Issues API response
* Feature #24976: Include new statuses allowed by workflow in Issues REST API
* Feature #34766: Better error message when no API format is recognised
* Feature #34857: Add total estimated hours, spent hours, total spent hours for issues to issue list API
* Feature #35420: API to archive/unarchive projects
* Feature #35505: Add enabled core fields to /trackers API response
* Feature #35507: API to close/reopen projects
* Feature #36303: Include avatar URL in Users API

=== [Rails support]

* Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading
* Feature #35030: Allow parallel testing
* Patch #35081: Update config/environments/*.rb for Rails 6.1
* Patch #36317: Set default protect from forgery true

=== [Roadmap]

* Feature #6432: Allow unchecking all trackers in Roadmap view sidebar

=== [Ruby support]

* Feature #31128: Drop Ruby < 2.5 support
* Feature #34992: Ruby 3.0 support
* Feature #36205: Ruby 3.1 support

=== [SCM]

* Feature #5242: Display source project for cross-project associated revisions for issues
* Feature #16849: Render Textile and Markdown files in the repository browser

=== [Text formatting]

* Defect #36580: Fix code copying in common browsers
* Feature #20511: Comments for Textile text formatting
* Feature #32424: CommonMark Markdown Text Formatting
* Feature #35677: Preserve leading white space when quoting using the JS toolbar
* Feature #35742: Enable task list items for CommonMark text formatting
* Patch #35104: Code blocks - consistent rendering and retaining user-supplied language name in rendered HTML

=== [Third-party libraries]

* Feature #36701: Update Chart.js to 3.7.1
* Patch #35729: Update jQuery to 3.6.0

=== [Time tracking]

* Defect #21056: Project specific TimeEntryActivity name not updating properly

=== [UI]

* Defect #36524: Query Links on Issues and Time Logs Import Sidebars broken
* Feature #34494: Rename the save, edit and delete buttons on the query form to clarify the scope
* Feature #35770: Change "Edit" label in the context menu to "Bulk Edit" when multiple issues are selected
* Patch #30448: Remove wrapper2 and wrapper3 wrapping containers
* Patch #36429: Make issue tabs DOM more consistent

=== [Wiki]

* Feature #7652: Ability to add watchers to Wiki pages

== 2022-03-28 v4.2.5

=== [Attachments]

* Defect #36013: Paste image mixed with other DataTransferItem

=== [Database]

* Defect #36766: Database migration from Redmine 0.8.7 or earlier fails

=== [Documents]

* Defect #36686: Allow pasting screenshots from clipboard in documents

=== [Gems support]

* Patch #36795: Set the minimum required version of ROTP gem to 5.0.0

=== [Issues filter]

* Defect #30924: Filter on Target version's Status in subproject doesn't work on version from top project

=== [Projects]

* Defect #36593: User without permissions to view required project custom fields cannot create new projects

=== [Rails support]

* Patch #36757: Update Rails to 5.2.6.3

== 2022-02-20 v4.2.4

=== [Gantt]

* Defect #35027: Gantt PNG export ignores imagemagick_convert_command

=== [Gems support]

* Defect #35435: Psych 4: aliases in database.yml cause Psych::BadAlias exception
* Defect #36226: Psych 4: Psych::DisallowedClass exception when unserializing a setting value

=== [Importers]

* Defect #35656: When importing issue relations, the validation messages are not shown in the UI

=== [Issues]

* Defect #36455: Text custom field values are not aligned with their labels when text formatting is enabled

=== [Rails support]

* Patch #36633: Update Rails to 5.2.6.2

=== [Time tracking]

* Defect #20018: Duplicate activities in time entry report when project-specific activies exist
* Defect #36248: Time entries of sub-projects are not listed when activity is specified in filters

=== [Translations]

* Defect #36517: Label error_can_not_execute_macro_html in Russian translation is broken

=== [UI]

* Defect #36446: Watchers autocomplete fails with 403 error when the search is made from multiple objects with different projects
* Patch #35215: Don't display "No Match Found!" when the inline autocomplete doesn't return any result
* Defect #35090: Permission check of the setting button on the issues page mismatches button semantics
* Defect #36363: Cannot select text in a table with a context menu available
* Patch #36378: Update copyright year in the footer to 2022

=== [Wiki]

* Defect #36494: WikiContentVersion API returns 500 if author is nil
* Defect #36561: Wiki revision page does not return 404 if revision does not exist

== 2021-10-10 v4.2.3

=== [Administration]

* Defect #35731: Password and Confirmation fields are marked as required when editing a user

=== [Attachments]

* Defect #35642: Long text custom field values are not aligned with their labels
* Defect #35715: File upload fails when run with uWSGI

=== [Issues]

* Defect #35655: Create duplicated follows relations fails with 500 internal error

=== [Issues planning]

* Defect #35669: Prints of Issues Report details are messed-up due to the size of the graphs

=== [Permissions and roles]

* Defect #35634: Attachments deletable even though issue edit not permitted

=== [Projects]

* Defect #35827: Deleting a closed or archived project returns 403

=== [Roadmap]

* Feature #35758: Add some space around the versions on the Roadmap

=== [Security]

* Defect #35789: Redmine is leaking usernames on activities index view
* Patch #35463: Enforce stricter class filtering in WatchersController

=== [Translations]

* Patch #35662: Mongolian translation update for "Notes", "Totals", and "% Done"
* Patch #35766: Galician translation update for 4.2-stable

=== [UI]

* Defect #34834: Line breaks in the description of a custom field are ignored in a tooltip

== 2021-08-01 v4.2.2

=== [Accounts / authentication]

* Defect #35226: Add SameSite=Lax to cookies to fix warnings in web browsers
* Patch #35372: Better presentation for 2FA recovery codes

=== [Attachments]

* Defect #33752: Uploading a big file fails with NoMemoryError

=== [Documentation]

* Patch #35375: German translation of wiki syntax help file

=== [Gantt]

* Defect #34694: Progress bar for a shared version on gantt disappears when the tree is collapsed and then expanded

=== [Gems support]

* Defect #35621: Bundler fails to install globalid when using Ruby < 2.6.0

=== [Issues]

* Defect #35134: Change total spent time link to global time entries when issue has subtasks that can be on non descendent projects

=== [Issues filter]

* Defect #35201: Duplicate entries in issue filter values

=== [News]

* Defect #35308: "Add news" button on global news index is displayed for users without permissions

=== [Projects]

* Defect #35606: Locked users should not be displayed in the members box of the project overview page

=== [Rails support]

* Patch #35214: Update Rails to 5.2.6

=== [Security]

* Defect #35417: User sessions not reset after 2FA activation

=== [Text formatting]

* Defect #35036: Markdown text sections broken by thematic breaks (horizontal rules)
* Defect #35441: Inline image in Textile is not displayed if the image URL contains ampersands

=== [Time tracking]

* Defect #34856: Time entry error on private issue

=== [Translations]

* Defect #35319: Wrong Japanese translation for permission_delete_message_watchers
* Patch #34979: French translation update for 4.2-stable
* Patch #35016: French translations for two-factor authentication
* Patch #35051: German translation update for 4.2-stable
* Patch #35110: Lithuanian translation update for 4.2-stable
* Patch #35111: Russian translation update for 4.2-stable
* Patch #35267: German translation update (jstoolbar-de.js)

== 2021-04-26 v4.2.1

=== [Accounts / authentication]

* Defect #35087: Users without two-factor authentication enabled cannot sign out when two-factor authentication is required
* Defect #35135: FrozenError when new LDAP users try to login

=== [Activity view]

* Defect #34933: Atom feed of the activity page does not contain items after the second page

=== [Attachments]

* Defect #34999: The result of Attachment.latest_attach is unstable if attachments have the same timestamp

=== [Custom fields]

* Defect #35115: Time entries are broken if grouped by project and issue custom fields

=== [Email receiving]

* Defect #35100: MailHandler raises NameError exception when generating error message

=== [Importers]

* Defect #35131: Issue import - allow auto mapping for Unique ID and relation type fields

=== [Issues]

* Defect #34921: Do not journalize attachments that are added during a "Copy Issue" operation
* Defect #34982: Cannot change the default version and default assignee under settings

=== [Performance]

* Patch #35034: Improve loading speed of workflow page

=== [REST API]

* Defect #35039: API create issue relation method returns undefined method `split' when issue id is sent as integer

=== [Roadmap]

* Defect #34983: Roadmap tab is missing if there are only inherited from parent project versions

=== [Security]

* Defect #34367: Allowed filename extensions of attachments can be circumvented
* Defect #35045: Mail handler bypasses add_issue_notes permission
* Defect #35085: Arbitrary file read in Git adapter

=== [Text formatting]

* Defect #34894: User link using @ not working at the end of line

=== [UI]

* Defect #34998: Cannot open journal dropdown menu after editing note

== 2021-03-28 v4.2.0

=== [Accounts / authentication]

* Defect #33601: Additional email addresses are not displayed in user profile page
* Feature #1237: Add support for two-factor authentication
* Feature #3369: Allowed/Disallowed email domains settings to restrict users' email addresses
* Feature #32998: Change the default value for "Default Gravatar image" to "Identicons"
* Feature #33126: Support custom fields when exporting users to CSV
* Feature #33347: Include updated_on and passwd_changed_on columns when exporting users to CSV
* Feature #34241: Include twofa_scheme (two-factor scheme) column when exporting users to CSV
* Patch #34071: handle AuthSourceExceptions in User.try_to_login

=== [Activity view]

* Feature #1422: Date selection for Activity Page
* Feature #32248: Change the default value for "Days displayed on project activity" setting to 10
* Feature #33602: Add an interface to filter activities by user
* Feature #33692: Improved view of the activity page

=== [Administration]

* Feature #32672: Add Check all / Uncheck all button to filters in permissions report
* Feature #34258: Create tracker by copy
* Feature #34307: Create custom field by copy

=== [Attachments]

* Defect #33357: rendering extra "--" footer of git patch attachment
* Feature #7056: Download all attachments at once
* Feature #18555: Show warning when attempting to attach more than the allowed number of attachments

=== [Calendar]

* Defect #32194: Calendar page lacks buttons to manage custom queries

=== [Code cleanup/refactoring]

* Defect #33392: Fix invalid selector in function displayTabsButtons()
* Defect #33562: Some tests in ApplicationHelperTest are declared as private
* Patch #32054: Add test for 4 byte characters (emoji) support
* Patch #32653: Fix random test failure due to missing call to set_tmp_attachments_directory in WikiControllerTest
* Patch #32813: Clean up toggleMultiSelect js function
* Patch #32888: Use stylelint to avoid errors and enforce conventions in CSS files
* Patch #32890: Fix violations reported by Stylelint
* Patch #32924: tmp/pdf directory is no longer necessary
* Patch #32927: CSS selector in test_index_should_show_warning_when_no_workflow_is_defined is too specific
* Patch #32929: Add missing fixtures to AttachmentsControllerTest
* Patch #32937: test_revisions_latin_1_identifier should be skipped on Windows
* Patch #33069: Update copyright year in source files to 2021
* Patch #33226: Skip thumbnail tests if ImageMagick convert command is not available
* Patch #33268: Add missing test: ProjectCustomField creation
* Patch #33315: IssuesSystemTest#test_bulk_watch_issues_via_context_menu randomly fails due to Capybara clicks out out of context menu
* Patch #33342: Remove unused i18n key "label_overall_activity" and "label_overall_spent_time"
* Patch #33367: Use more efficient "exists?" instead of "first" in tests when checking the existence of rows
* Patch #33376: Add missing fixtures to VersionsHelperTest
* Patch #33384: jQuery: replace deprecated size() method with length
* Patch #33393: Remove unused i18n key "notice_no_issue_selected"
* Patch #33567: Fix typo in watchers_controller.rb
* Patch #33700: Add missing fixture to Redmine::ApiTest::ProjectsTest
* Patch #33728: Remove an unused variable in Query#add_chained_custom_field_filters
* Patch #33785: Add missing fixture to TimelogControllerTest
* Patch #33786: Add missing fixture to UsersControllerTest
* Patch #34119: Fix selenium chrome options so files are downloaded to tmp/downloads in system tests
* Patch #34122: Store inline autocomplete data sources in a JS variable
* Patch #34166: Fix wrong comment for Mailer.deliver_lost_password
* Patch #34169: MessagesControllerTest#test_post_new randomly fails
* Patch #34269: Allow system tests to run on remote Selenium hub (eg: Docker)
* Patch #34321: Add missing fixtures to AttachmentsControllerTest
* Patch #34444: Remove unused key :preview from Redmine::AccessKeys::ACCESSKEYS
* Patch #34492: Fix passing a wrong parameter to assert_select in API test for 'GET /users/:id'
* Patch #34745: Remove unused i18n key "text_min_max_length_info"
* Patch #34750: Remove unsupported encodings ISO-2022-KR and ISCII91 from Setting::ENCODINGS
* Patch #34789: Fix misplaced comment in config/settings.yml

=== [Custom fields]

* Defect #5354: Updating custom fields does not trigger update to "updated_on" field in the customized object
* Defect #33930: 500 error when attempting to create custom field enumeration with empty name
* Feature #30776: Drag and drop file upload to file type custom field
* Feature #32783: Redirect to index page instead of edit page after creating a new custom field

=== [Documentation]

* Defect #32795: Remove RubyGems from Requirements in doc/INSTALL
* Patch #33208: `--without rmagick` option for bundle command is no longer necessary

=== [Email notifications]

* Feature #16006: Include attachments in forum post notifications
* Feature #32628: Notify users about high issues (only)
* Feature #33002: Include attachments in news post notifications
* Feature #33099: Add a link to the issues list in reminder email
* Feature #33834: Show open/closed badge in email notifications
* Feature #34787: Ability to set default value for  "I don't want to be notified of changes that I make myself"

=== [Email receiving]

* Feature #34794: Allow newlines and quote characters within mail body delimiters

=== [Feeds]

* Feature #15212: Atom feed on project with subprojects should show in article title the name of the project

=== [Filters]

* Feature #33296: Load default custom queries when running redmine:load_default_data rake task

=== [Forums]

* Defect #32156: No left padding for first level entries in discussion board list
* Feature #3390: Ability to add watchers to forum threads

=== [Gems support]

* Patch #32453: Update capybara (~> 3.31.0)
* Patch #32468: Update Rouge to 3.26.0
* Patch #32530: Update RuboCop to 1.12
* Patch #32531: Update RuboCop Rails to 2.9
* Patch #32763: Update mini_magick to 4.11
* Patch #32782: Update pg gem (~> 1.2.2)
* Patch #32805: Update request_store to 1.5
* Patch #32841: Drop support for Bundler prior to 1.12.0
* Patch #32906: Update i18n (~> 1.8.2)
* Patch #32950: Update simplecov to 0.18
* Patch #34159: Update RuboCop Performance to 1.10
* Patch #34339: Update net-ldap to  0.17
* Patch #34443: Update roadie-rails to 2.2
* Patch #34579: Use 'webdrivers' gem to manage the Chrome driver for system tests
* Patch #34969: Remove dependency on MimeMagic

=== [Hook requests]

* Patch #34072: Hook after plugins were loaded

=== [I18n]

* Defect #33186: field_activity should be used rather than label_activity in the context of time tracking
* Defect #33232: Hard-coded error messages in ApplicationController
* Defect #33426: Error messages for Wiki macros are not internationalized
* Patch #33741: Decimal separator for Dutch locale should be a comma

=== [Importers]

* Feature #22913: Auto-select fields mapping in Importing
* Feature #28198: Support issue relations when importing issues
* Feature #33102: Import user accounts from CSV file
* Feature #34762: Display more detailed error message when attempting to import malformed CSV file

=== [Issues]

* Defect #10084: Disabled trackers of subprojects are listed in project overview
* Defect #32125: Issues autocomplete may not find issues with a subject longer than 60 characters
* Defect #32471: Layout of the custom field edit page is different between the single edit page and the batch edit page
* Defect #33255: Issue auto complete doesn't work for custom fields with text formatting enabled on issue bulk edit page
* Defect #33419: Show only valid projects on issue form when the issue is a subtask
* Defect #34185: Trackers of subprojects are not displayed in the Issue summary page
* Feature #4511: Allow adding user groups as watchers for issues
* Feature #28471: Query links for subtasks on issue page
* Feature #31881: Add "behind-schedule" CSS class to issues
* Feature #33254: Show open/closed badge on issue page
* Feature #33418: Bulk addition of related issues
* Feature #33832: Move the "Private" badge next to the "Open/Closed" badge
* Feature #34303: Allow to add subtask from context menu
* Feature #34798: Show project tree instead of subprojects in the project selector when you create a new issue
* Patch #33329: Improve watchers functionality to mark the users that are watching a non visible object and to not return watchers that cannot see the object
* Patch #33437: Add missing icon class to items with icon-checked class in the context menu

=== [Issues filter]

* Feature #34700: Allow to use watch_by filter in the global issues list

=== [Issues list]

* Feature #32240: Add download buttons in Files columns of the issues list

=== [Performance]

* Defect #33289: Updating time tracking activities in project setting may take too long time
* Patch #33244: Replace "**" method with bitwise left shift in Tracker#disabled_core_fields and Tracker#core_fields
* Patch #33664: evaluate acts_as_activity_provider's scope lazily
* Patch #34150: Use match? instead of =~ when MatchData is not used
* Patch #34153: Use sum instead of inject(0, :+)
* Patch #34160: Replace Hash#merge! with Hash#[]=
* Patch #34161: Replace gsub with tr, delete, or squeeze
* Patch #34399: Use sum { ... } instead of map { ... }.sum

=== [Permissions and roles]

* Feature #13767: Export permissions report to CSV
* Feature #33945: Allow normal users to delete projects with permission

=== [Plugin API]

* Defect #33290: Unnecessary database access when IssueQuery class is defined
* Patch #33453: Add plugin CSS classes to plugin settings views

=== [Project settings]

* Defect #34032: Project settings tab contains two items with the same id

=== [Projects]

* Defect #33733: No trackers are selected for new projects
* Feature #32818: Add a system setting for default results display format of project query
* Feature #32944: Always preserve the tree structure in the project jump box
* Feature #33174: Show groups in members box on project overview page

=== [Rails support]

* Patch #34966: Update Rails to 5.2.5

=== [REST API]

* Defect #11870: Users can delete their own accounts unconditionally via REST API
* Defect #30121: Projects API should not return invisible trackers
* Feature #22008: Associated Revision API
* Feature #33301: Add option to include enabled issue custom fields in projects#show API response
* Feature #33592: Include updated_on and passwd_changed_on columns in users API response
* Feature #34242: Include two-factor authentication scheme in users API response

=== [Rails support]

* Patch #32886: Rails 6: Use #media_type instead of #content_type to test the MIME type of a response
* Patch #32887: Rails 6: Use "render template:" instead of "render file:" in app/views/layouts/admin.html.erb
* Patch #32911: Rails 6: Fix deprecation warning "Class level methods will no longer inherit scoping"

=== [Roadmap]

* Defect #32860: Invalid links to versions with sharing in project tree
* Feature #7956: Show Roadmap tab when subprojects have defined versions

=== [Ruby support]

* Feature #31500: Ruby 2.7 support
* Feature #34142: Drop Ruby 2.3 support

=== [Security]

* Defect #34950: SysController and MailHandlerController are vulnerable to timing attack

=== [SCM]

* Defect #23055: Error with Fetch commits with Mercurial repository when log has invalid char
* Defect #27790: mercurial: error of double quotes in branch and tag names
* Defect #32153: Repository browser does not render previews for audio/video files
* Feature #8875: Allow manually fetching changesets
* Feature #34942: Support for Git repositories with default branch "main"
* Patch #32835: Make breadcrumbs of repository browser copy-paste friendly

=== [SEO]

* Feature #31617: robots.txt: disallow crawling dynamically generated PDF documents
* Feature #33658: robots.txt: disallow crawling login, register, and lost password form

=== [Text formatting]

* Defect #27780: Case-insensitive matching fails for Unicode filenames when referring to attachments in text formatting
* Feature #1575: Toolbar button to insert a table
* Feature #1718: Table column sorting
* Feature #32528: Make languages in Highlighted code button in toolbar customizable

=== [Third-party libraries]

* Feature #33383: Update jQuery to 3.5.1
* Patch #33424: Update Tribute to 5.1.3

=== [Time tracking]

* Defect #29838: Time logging via commit message does not work when the configured activity has been overridden on the project level
* Defect #33952: Spent time details are displayed in incorrect order when sorted by week and date
* Feature #32436: Add support for grouping by issue on timelog view
* Feature #33256: Show wiki toolbar for spent time custom fields with text formatting enabled

=== [Translations]

* Defect #32828: Fix typos in Russian translation
* Defect #32857: Fix grammatical agreement in translation for "parent issue" in pt and pt-BR
* Defect #34456: Fix Japanese translation for less_than_x_seconds and less_than_x_minutes
* Patch #32238: Improvement of the German translation
* Patch #32380: Change Italian translation for "news"
* Patch #33403: Change Japanese translation for text_file_repository_writable
* Patch #33763: Change Japanese translation for field_onthefly
* Patch #34418: Unify the translation of the word "relation" in Czech
* Patch #34659: Change Traditional Chinese translation for "watch" and "watcher"

=== [UI]

* Defect #33116: Successful deletion notice is not displayed after deleting some types of content
* Defect #33234: Vertical scroll bar in some browsers hide content
* Defect #34580: Custom field labels do not contain class "error" when the field value is invalid
* Defect #34805: Activity tab in cross-project menu is sometimes broken
* Feature #28392: Improve wiki headings style
* Feature #29285: Add "Assign to me" shortcut to issue edit form
* Feature #29473: Submit a form with Ctrl+Enter / Command+Return
* Feature #30459: Switch edit/preview tabs with keyboard shortcuts
* Feature #31589: Show warning and the reason when the issue cannot be closed because of open subtasks or blocking open issue(s)
* Feature #31887: Update jQuery UI to 1.12.1
* Feature #32764: Make form validation errors more obvious for users
* Feature #32976: Display avatar on add watcher dialog
* Feature #33167: "Add news" button in cross-project News tab
* Feature #33820: Auto complete wiki page links
* Feature #33908: Show an icon for a bookmarked project in the projects list
* Feature #34340: Make archived projects visually distinguishable in nested projects lists
* Feature #34417: Require explicit confirmation when deleting a user or a project
* Feature #34549: Add keyboard shortcuts for wiki toolbar buttons
* Feature #34703: "Copy link" feature for issue and issue journal
* Feature #34714: Move delete button for issues and journals to the dropdown menu
* Patch #34955: Update copyright year in the footer to 2021

=== [UI - Responsive]

* Defect #33913: Input fields of the login form are too small in height on mobile

=== [Wiki]

* Defect #31287: Ordering wiki pages should not be case sensitive
* Feature #32629: Add edit button to Wiki sidebar

== 2021-03-21 v4.1.2

=== [Accounts / authentication]

* Defect #33926: Rake tasks "db:encrypt" and "db:decrypt" may fail due to validation error

=== [Administration]

* Defect #33310: Warnings while running redmine:load_default_data rake task
* Defect #33339: Broken layout of the preview tab of "Welcome text" setting due to unexpectedly applied padding-left
* Defect #33355: TypeError when attempting to update a user with a blank email address
* Defect #34247: Web browser freezes when displaying workflow page with a large number of issue statuses
* Patch #32341: Show tooltip when hovering on repeat-value link in Field permission tab

=== [Attachments]

* Defect #33283: Thumbnail support for PDF attachments may not be detected
* Defect #33459: The order of thumbnails in journals does not match the order of file name list
* Defect #33639: Cannot paste image from clipboard when copying the image from web browsers or some apps
* Defect #33769: When creating more than two identical attachments in a single db transaction, the first one always ends up unreadable
* Patch #34479: Fix possible race condition with parallel, identical file uploads

=== [Custom fields]

* Defect #33275: Possible values field in list format custom field form is not marked as required
* Defect #33550: Per role visibility settings for spent time custom fields is not properly checked

=== [Documentation]

* Defect #33939: Unnecessary translation of {{toc}} macros in Russian Wiki formatting help

=== [Filters]

* Defect #33281: Totals of custom fields may not be sorted as configured
* Defect #34375: "is not" operator for Subproject filter incorrectly excludes closed subprojects

=== [Gantt]

* Defect #33140: Gantt bar is not displayed if the due date is the leftmost date or the start date is the rightmost date
* Defect #33175: Starting or ending marker is not displayed if they are on the leftmost or rightmost boundary of the gantt
* Defect #33220: Parent task subject column in gantt is not fully displayed when the column is widened
* Defect #33724: Selected gantt columns are not displayed with MS Edge Legacy

=== [Gems support]

* Defect #33206: Unable to autoload constant Version.table_name if gems uses Version class
* Defect #33768: Bundler may fail to install stringio if Ruby prior to 2.5 is used
* Patch #34461: Update Redcarpet to 3.5.1
* Patch #34619: Update Nokogiri to 1.11

=== [I18n]

* Defect #33452: Untranslated string "diff" in journal detail

=== [Issues]

* Defect #33338: Property changes tab does not show journals with both property changes and notes
* Defect #33576: Done ratio of a parent issue may be shown as 99% even though all subtasks are completed

=== [Issues list]

* Defect #33273: Total estimated time column shows up as decimal value regardless of time setting
* Defect #33548: Column header is clickable even when the column is not actually sortable
* Defect #34297: Subprojects issues are not displayed on main project when all subprojects are closed

=== [Projects]

* Defect #33889: Do not show list for custom fields without list entry on project overview
* Patch #34595: Filter list of recent projects in the project jump box

=== [REST API]

* Defect #33417: Updating an issue via REST API causes internal server error if invalid project id is specified
* Defect #34615: 'Search' falsy parameters are not respected

=== [Security]

* Defect #33846: Inline issue auto complete doesn't sanitize HTML tags

=== [SEO]

* Defect #6734: robots.txt: disallow crawling issues list with a query string

=== [Security]

* Defect #33360: Names of private projects are leaked by issue journal details that contain project_id changes
* Defect #33689: Issues API bypasses add_issue_notes permission
* Feature #33906: Upgrade Rails to 5.2.4.5

=== [Themes]

* Defect #8251: Classic Theme: Missed base line

=== [Time tracking]

* Defect #33341: Time entry user is shown twice in the User drop-down when editing spent time

=== [Translations]

* Defect #34447: Typo in translation string 'setting_issue_list_default_columns': s//Isuses/Issues
* Patch #34200: Portuguese (Brazil) translation for 4.1-stable
* Patch #34439: Spanish translation update for 4.1-stable

=== [UI]

* Defect #33563: File selection buttons are not fully displayed with Google Chrome in some language
* Feature #34123: System tests for inline auto complete feature
* Patch #33958: Jump to end of line in editor when starting list or quote

== 2020-04-06 v4.1.1

=== [Accounts / authentication]

* Defect #32793: Email address with Punycode top-level domain is not accepted

=== [Administration]

* Defect #33176: Sort order icon is missing in users index
* Feature #32945: Show module names in bold in permission report

=== [Attachments]

* Defect #32656: Drag and drop objects from Outlook to Redmine deletes the objects
* Defect #32785: X-Sendfile header field is not set if rack 2.1.0 is installed

=== [Custom fields]

* Defect #33085: Unable to update the values of a custom field for enumerations when multiple values option is enabled
* Defect #33183: Unable to edit user or group that has custom fields with text formatting enabled

=== [Database]

* Defect #30285: Microsoft SQL server support is broken

=== [Gantt]

* Defect #19248: End markers in gantt PDF are misaligned
* Defect #23645: Gantt bars for single-day tasks may be rendered wrongly in PDF
* Defect #32812: Clicking on a parent object in gantt wrongly collapses objects at the same level
* Defect #33082: Links in the last column in gantt are unclickable

=== [Gems support]

* Defect #32839: Redmine 4.1 installation fails due to an attempt to install sprockets 4.0.0 if bundler prior to 1.15.2 is used on Ruby prior to 2.5

=== [Importers]

* Defect #33027: Fix missing closing div in _time_entries_fields_mapping.html.erb

=== [Issues]

* Defect #32737: Duplicate sort keys for issue query cause SQL error with SQL Server
* Defect #33169: Issues CSV export does not include custom fields with "Full width layout" enabled

=== [Issues list]

* Defect #33110: Sort does not work with group by datetime columns
* Defect #33163: Parent task subject column should be in the same style as Subject column

=== [Issues workflow]

* Defect #33059: "Role" dropdown in Workflow page is unexpectedly expanded  when selecting "all"

=== [PDF export]

* Defect #32477: Right-aligned TOC tag is displayed in exported PDF if the text formatting setting is Markdown
* Defect #32832: FrozenError when exporting content to PDF in some languages
* Defect #32858: Exporting issue as PDF fails when the issue has private journal
* Defect #32859: Issue list: long text custom field missing in PDF export
* Defect #33103: Export to PDF fails when subject of parent task is included in issue list

=== [Projects]

* Defect #32769: Unable to sort projects table by custom field
* Defect #32891: Bookmark link on project page should not use full path with hostname
* Defect #32896: Totals not working in projects list view
* Defect #33083: Projects filter "Subproject of" does not work when the given value is "My projects" or "My bookmarks"

=== [REST API]

* Defect #33113: Default version and assignee are not exposed via projects API

=== [Rails support]

* Patch #33196: Update Rails to 5.2.4.2

=== [Ruby support]

* Patch #32788: Specify supported Ruby version in Gemfile and doc/INSTALL

=== [SCM]

* Defect #32449: Diff view for .js files in repositories is broken

=== [Security]

* Defect #32850: XSS vulnerability due to missing back_url validation
* Defect #32934: XSS vulnerabilities in textile inline links
* Defect #33075: Time entries csv export should check issue visibility

=== [Text formatting]

* Defect #32754: Fix missing arrow icon of collapse macro
* Defect #32765: ##123 syntax for linking to issues: Title cannot be distinguished from following text
* Defect #32971: New line between list items break a list

=== [Time tracking]

* Defect #32768: Internal Error when issue text custom field is shown in Spent time query results
* Defect #32774: Creating time tracking entry for other user through rest API fails with 403
* Defect #32959: Fix selected user on log time edit page when user has permissions to log time for another user
* Defect #32973: Editing a time entry for a locked user changes the user to the current user
* Defect #33052: Missing subject and tracker name in CSV export of time entries report
* Feature #3800: Editing time entries should show the person involved

=== [Translations]

* Patch #32659: Russian translation update for 4.1-stable
* Patch #32746: Italian translation update for 4.1-stable
* Patch #32917: Bulgarian translation
* Patch #32928: Czech translation for 4.1-stable
* Patch #32995: Russian translation update for 4.1-stable
* Patch #33070: Simplified Chinese translation update for 4.1-stable
* Patch #33122: German translation update for 4.1-stable
* Patch #33219: Persian translation update for 4.1-stable

=== [UI]

* Defect #32772: Tabs are displayed on two lines when the total width of the tabs is greater than 2000px
* Defect #32829: HTML entity is used in CSS string
* Defect #32838: Typo in application.css: s/paddin-bottom/padding-bottom/
* Defect #32981: Unable to distinguish disabled input fields
* Patch #32991: Make group names bold on tracker summary view
* Patch #33068: Update copyright year in the footer to 2020

=== [UI - Responsive]

* Defect #32889: Responsive layout for issue tree and issue relation on issue page is broken
* Feature #33156: Allow zooming on mobile devices

== 2019-12-20 v4.1.0

=== [Accounts / authentication]

* Feature #4221: Force passwords to contain specified character classes
* Feature #9112: Libravatar and Gravatar-compatible servers support
* Feature #26127: Display user logins on profiles

=== [Administration]

* Defect #29601: Redmine::VERSION::revision may return wrong value
* Feature #8343: Add wiki toolbar to "Email header" and "Email footer" in "Email notifications" admin tab
* Feature #30853: Show warning when no workflow is defined for the role
* Feature #30916: Show warning when no tracker uses the status in the workflows
* Feature #31154: Reject setting RFC non-compliant emission email addresses
* Feature #31361: Include a reason in the error message when an issue status cannot be deleted
* Feature #32343: Ability to filter roles that are displayed on the permissions report
* Patch #29589: Set the first status as a default status in "New tracker" form

=== [Attachments]

* Defect #32289: Don't try to generate thumbnails if convert command is not available
* Feature #3816: Allow pasting screenshots from clipboard
* Feature #22481: Show thumbnails for PDF attachments
* Feature #29752: Render Textile and Markdown attachments on the preview page
* Feature #31553: Preview .webm as video instead of audio
* Feature #32249: Show attachment thumbnails by default
* Patch #13688: Chosen thumbnail has to be bigger than requested one and not smaller
* Patch #30177: Thumbnail lifecycle: reuse thumbs from identical files, delete thumbs when diskfile is deleted

=== [Calendar]

* Feature #27096: Mark non-working days in calendar view

=== [Code cleanup/refactoring]

* Defect #30474: IssuesControllerTest#test_index_sort_by_total_estimated_hours tests practically nothing
* Defect #30806: TimeEntryTest#test_create_should_validate_user_id occasionally fails
* Defect #31053: Some issue fixtures are set inconsistent tracker id which is not available in the project
* Defect #31074: TimelogTest#test_default_query_setting fails depending on the language of the browser
* Defect #31093: Duplicate method definition: ProjectsControllerTest#test_jump_should_not_redirect_to_unknown_tab
* Defect #31387: Don't rescue Exception class
* Defect #31388: ApiTest fails if config.time_zone is set
* Defect #31510: Fix missing closing tags in workflows/permissions.html.erb
* Defect #31929: MarkdownFormatterTest#test_should_support_underlined_text is declared as private
* Patch #29441: Remove code related to JRuby and unsupported Ruby versions
* Patch #30163: Remove unnecessary tests in test/unit/initializers/patches_test.rb
* Patch #30276: Add missing fixtures to several tests
* Patch #30347: test_links_separated_with_line_break_should_link tests nothing
* Patch #30445: Remove unnecessary bgl and bgr wrappers from the footer
* Patch #30466: Remove unused i18n key "label_all_time"
* Patch #30994: Refactor custom field css classes
* Patch #31004: Decode hexadecimal-encoded literals in order to be frozen string literals friendly
* Patch #31034: Remove encoding magic comments
* Patch #31046: Remove unused method ApplicationHelper#generate_csv
* Patch #31059: Use #b shortcut instead of #force_encoding
* Patch #31088: Remove useless code in TimeEntryQuery#sql_for_activity_id_field
* Patch #31131: CalendarsControllerTest#test_show fails depending on the date
* Patch #31205: Replace jquery-rails with vanilla javascript ujs
* Patch #31344: Remove unused i18n key "label_please_login"
* Patch #31391: Small refactorization of avatar methods
* Patch #31402: Add support for customization by block to IssueCustomField.generate!
* Patch #31433: Use "icon icon-*" classes for sort-handler, collapsible fieldsets and collapsible versions
* Patch #31506: Remove trailing whitespaces
* Patch #31509: Add Rubocop to enforce some styles
* Patch #31555: Use Redmine::Database.mysql? instead of a regular expression
* Patch #31705: Add missing fixtures to AttachmentFormatVisibilityTest
* Patch #31865: Add missing fixtures to ImportsControllerTest
* Patch #31941: ThemesTest may fail if a third-party theme with a favicon is installed
* Patch #31965: Add missing fixtures to Redmine::ApiTest::VersionsTest
* Patch #31966: Add missing fixtures to Redmine::Helpers::GanttHelperTest
* Patch #31967: IssueCustomFieldTest randomly fails
* Patch #32023: Add missing fixtures to IssueStatusesControllerTest
* Patch #32025: mail_body method in test/test_helper.rb raises an exception if the message is not multipart
* Patch #32094: Remove unnecessary call to set_tmp_attachments_directory
* Patch #32122: Fix test failure due to missing call to set_tmp_attachments_directory
* Patch #32297: Remove code for unsupported versions of Rails from open_id_authentication
* Patch #32400: Remove unused i18n key "button_duplicate"
* Patch #32431: Invalid association IssueCustomField#issue_custom_values
* Patch #32432: Avoid class name overlap that causes TypeError on `rake test:system test`

=== [Custom fields]

* Defect #29209: Long text custom fields don't accept values longer than 64KB if backend database is MySQL
* Feature #23997: Per role visibility settings for version custom fields
* Feature #29712: Preview and wiki toolbar for full width custom fields
* Feature #31159: "Create and continue" button for custom fields
* Feature #31444: Add  "<< me >>" option to user format issue custom fields
* Feature #31859: Per role visibility settings for spent time custom fields
* Feature #31925: Per role visibility settings for project custom fields
* Patch #31320: Set an appropriate default type in New custom field page depending on the current tab

=== [Database]

* Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL

=== [Documentation]

* Feature #32119: Add TOC to wiki formatting help
* Feature #32123: Add "Highlighted code" section in Wiki Syntax Quick Reference
* Feature #32169: Add links to the detailed Wiki formatting help in Quick Reference
* Patch #30970: Small improvements in appearance of the code coverage index page
* Patch #31169: Wiki syntax help for document image pasting and drag/drop embedding
* Patch #31327: Update CONTRIBUTING.md

=== [Documents]

* Feature #29725: Show recent documents first when sorting documents by date

=== [Email notifications]

* Defect #13888: Daylight savings causes inconsistency of Message-Id in emails
* Defect #14792: Don't add a display name and extra angle brackets in List-Id header field
* Defect #17096: Issue emails cannot be threaded by some mailers due to inconsistent Message-ID and References field
* Defect #31501: reminder.rake should ignore blank parameters
* Feature #5913: Authors name in from  address of email notifications
* Feature #10378: Don't show empty fields in email notifications
* Feature #13111: New setting to include the status changes in issue mail notifications subject
* Feature #13307: Start date and due date in email notifications
* Feature #17840: Option to send email notification on "Target version updated"
* Feature #22771: Option to send email notifications while importing issues from CSV files
* Feature #31104: Show the total number of open issues in a reminder
* Feature #31225: Show the number of days left until the due date in reminders
* Feature #31910: Add additional mail headers for issue tracker

=== [Email receiving]

* Defect #31232: Text may unexpectedly be enclosed in pre tags when an issue is created via HTML email
* Defect #31549: LF line terminators cause misparse of a multi-part email when rdm-mailhandler.rb is invoked from /etc/aliases
* Defect #31695: Convert HTML links to Textile/Markdown links when creating an issue from an email
* Defect #31946: No log message when MailHandler ignored a reply to a nonexistent issue, journal, or message
* Feature #17699: Parse author's name enclosed in parentheses in the From field when creating a user account from an email
* Feature #19903: Change textfield to textarea for "Exclude attachments by name"
* Feature #30838: Option to parse HTML part of multipart (HTML) emails first
* Feature #31231: Better handling of HTML tables when creating an issue from an email
* Patch #31324: Allow to set is_private flag through a keyword in emails
* Patch #31899: Improve MailHandler logging for unauthorized attempts

=== [Gantt]

* Feature #6417: Allow collapse/expand in gantt chart
* Feature #14654: Allow a bigger range for the gantt timeline
* Feature #27672: Show selected columns in gantt chart
* Feature #31373: Previous and next month links in gantt

=== [Gems support]

* Defect #31657: Update capybara (~> 3.25.0)
* Defect #32223: Disable sprockets to avoid Sprockets::Railtie::ManifestNeededError raised by sprockets 4.0.0
* Feature #29946: Update i18n gem (~> 1.6.0)
* Feature #30492: Replace RMagick with MiniMagick
* Feature #30963: Update simplecov gem (~> 0.17.0)
* Feature #31911: Update request_store gem to 1.4
* Patch #31126: Update sqlite3 gem (~> 1.4.0)
* Patch #31556: Update Rouge to 3.12.0
* Patch #31611: Update csv gem (~> 3.1.1)
* Patch #31847: Update redcarpet to 3.5.0
* Patch #31877: Update rbpdf (~> 1.20.0)
* Patch #31919: Update roadie-rails gem (~> 2.1.0)

=== [Groups]

* Feature #12796: Display user's groups on profile

=== [Hook requests]

* Patch #7975: Hook for adding content to the side bar of Wiki page

=== [I18n]

* Defect #5820: Hard-coded string "no subject" in app/models/mail_handler.rb

=== [Importers]

* Defect #21766: CSV import does not keep the project it was clicked from
* Feature #28213: Support external ID when importing issues
* Feature #28234: Add CSV Import for Time Entries
* Feature #31450: Support "YYYY/MM/DD" date format when importing issues

=== [Issues]

* Defect #28502: Support issue[assigned_to_id]=me when prefilling issues
* Feature #442: Add a description for trackers
* Feature #3058: Show issue history using tabs
* Feature #22368: Ability to add private comments from the issue bulk edit page
* Feature #25540: Unify fields of subtasks and related issues on issue page
* Feature #31418: Stacked bar charts in the issue details report
* Feature #31427: Insert a link to the source to the attribution line when quoting a note or a message
* Feature #31499: Show "Due in X days" in issue details page
* Patch #28138: Add link to add a new issue on the version page
* Patch #31493: Add a link to project_issues_report from project_issues_report_details
* Patch #31994: Allow issue auto complete to return 10 issues when there is not search term provided

=== [Issues filter]

* Defect #32546: Issue relations filter lacks "is not"
* Feature #13803: Implement grouping issues by date (start, due, creation, update, closing dates)
* Feature #16904: Add anonymous user to users list in query filters
* Feature #26826: Issue filtering by spent time
* Feature #30482: Multiple issue ids in "Parent task" filter
* Feature #30808: Multiple issue ids in "Subtasks" filter
* Feature #31328: Change the "+" button in the issues filter to a larger one
* Feature #31879: "starts with" and "ends with" filter operators for string values
* Patch #4502: New date filter operators: tomorrow, next week, next month
* Patch #25265: QueriesController can not handle subclass of IssueQuery

=== [Issues list]

* Defect #29581: Issues in paginated views may be lost because sorting criteria are not unique
* Feature #19371: Add a new query column for the parent task subject
* Feature #26081: Allow full_width_layout long-text custom fields to appear in the issue list like 'Description' (as a block column)
* Patch #31280: Left align long text custom fields in the issues list

=== [My page]

* Feature #30975: New My page block: Updated issues

=== [PDF export]

* Patch #30162: Wiki page collapse block image is not displayed in exported PDF

=== [Performance]

* Feature #26561: Enable frozen string literals
* Patch #28940: Use Regexp#match? to reduce allocations of MatchData object
* Patch #30249: Performance improvement when rendering news or calendar block on My page
* Patch #30828: Refactor GitAdapter#default_branch not to unnecessarily iterate through all elements
* Patch #31855: Speed up workflow edit page rendering

=== [Permissions and roles]

* Defect #17219: Rename label for "Issues can be assigned to this role"
* Defect #30431: Useless "Delete issues" tracker permission is shown on the role page for Anonymous and Non-member
* Feature #1248: New Permission:  Edit own issues
* Patch #27625: Increase maximum size for role name

=== [Plugin API]

* Patch #27659: redmine_plugin_model_generator improvements(fixes and timestamps)
* Patch #31110: Raise an exception if the plugin directory name differs from the plugin id
* Patch #31457: Add support for reloading plugin assets automatically in development mode
* Patch #31485: Add support for :sql ActiveRecord::Base.schema_format in redmine:plugins:migrate
* Patch #31498: Add redmine_plugin_migration generator
* Patch #31746: Add redmine:plugins:test:system task

=== [Project settings]

* Defect #27101: Project identifier model constraint doesn't match with text_project_identifier_info and JS-generated identifiers
* Feature #22090: Make project settings more accessible
* Feature #31032: Display details about inheritance when editing a member roles
* Patch #30203: Add links to administration pages in project settings

=== [Projects]

* Feature #29482: Query system for Projects page
* Feature #31355: Bookmarks and recently used projects for the project jump box
* Feature #32306: Add a link to projects administration page on projects page
* Patch #31356: replace icon-fav with icon-user for 'my projects'
* Patch #31465: Add an icon linked to trackers detail report on the project overview page

=== [REST API]

* Defect #30073: Ajax Request Returns 200 but an error event is fired instead of success
* Feature #26237: Support wiki_page_title attribute in Versions REST API
* Feature #30086: Use HTTP status code 403 instead of 401 when REST API is disabled
* Feature #31559: Support "active" attribute in Enumerations REST API
* Feature #32002: Add inherit_members to projects API response
* Feature #32242: Add estimated hours and spent hours to Versions API
* Patch #13468: REST API for News
* Patch #31399: make /my/account endpoint accessible through API

=== [Roadmap]

* Defect #30949: Roadmap shows 100%, but one of its tasks is still set to 90%
* Patch #28510: Show issue assignee gravatar in roadmap and version page
* Patch #29391: Show version status in Roadmap and Version pages
* Patch #31424: Add issue css classes to issue rows in Roadmap and Version pages

=== [Ruby support]

* Defect #30967: "rake test:coverage" fails in Ruby 2.5 and 2.6
* Feature #30356: Drop Ruby 2.2 support

=== [SCM]

* Defect #16881: Git: repository page crashes when non-ascii character in tag or branch name

=== [Text formatting]

* Defect #30259: URLs end with "-" are rendered incorrectly in Textile
* Feature #29489: Issue macro for flexible linking to issues
* Feature #30829: Simpler link syntax "#note-123" to make a link to a note of the current issue
* Patch #32359: Markdown: Fix sections parsing with code blocks

=== [Third-party libraries]

* Feature #31196: Updates jQuery to 2.2.4 and adds jQuery Migrate library
* Feature #31434: Update Chart.js to 2.8.0
* Feature #31436: Update raphael.js to 2.3.0

=== [Time tracking]

* Feature #3322: Setting to restrict spent times on future dates
* Feature #3848: Permission to log time for another user
* Feature #5061: Show time log entries in issue history
* Feature #30233: Allow grouping of time entries by creation date
* Feature #30346: Add "Target Version" to the list of "Available columns" in "Spent time" Tab
* Feature #30464: Show estimated hours on the overview page as well as spent hours

=== [Translations]

* Defect #31269: Fix Japanese translation for status_locked
* Defect #32354: Fix inconsistent capitalization in Italian translation
* Patch #10702: Change "Create and Continue" translation to "Create and add another"
* Patch #29142: Japanese translation change for "lost password"
* Patch #29151: Add honorific suffixes ("san") in Japanese translation
* Patch #30170: Change Japanese translation for "note"
* Patch #31256: german translation for missing parts
* Patch #31260: Improvement of Japanese translation for permission names
* Patch #32358: Fix incomplete Italian translation for notice_successful keys

=== [UI]

* Defect #27330: "Name" field in the 'edit version' form has no "maxlength"
* Defect #30467: Footer is not placed at the bottom on pages with little content
* Defect #31496: Switch between toggle plus and minus icons for toggle multi select
* Feature #6831: Add different style for group names in the New member modal window
* Feature #23392: Link to remove a subtask from its parent task
* Feature #30207: Hide menu item in the cross-project menu if the module is not enabled in any project
* Feature #31294: Add "robohash" to "Default Gravatar image" options
* Feature #31989: Inline issue auto complete (#) in fields with text-formatting enabled
* Feature #32052: Auto-complete issues #id in search form
* Patch #5899: Display user's gravatar when editing profile
* Patch #26604: Set a random name attribute on all forms to prevent overwritten values after soft reload with Firefox
* Patch #26646: Remove hardcoded width in query column selects
* Patch #29289: Wrap subprojects in the overview section with an unordered list to improve customisation
* Patch #30168: Wrap "splitcontentright" and "splitcontentleft" containers with a flexbox
* Patch #30294: Move the links (View all issues, Summary, Import) from the Issues section of the issues list sidebar under a dropdown
* Patch #30421: Issue tracking table on user profile page
* Patch #30435: Replace float rules with flexbox for content and sidebar block
* Patch #31022: Always use HTTPS when accessing gravatar.com
* Patch #31066: Show projects using a table instead of an unordered list in the user profile page
* Patch #31147: Add custom styles for all fields
* Patch #31204: Add hover styles to buttons
* Patch #31343: Visually distinguishable style for code tag
* Patch #31441: Show elements titles using jQuery UI tooltips
* Patch #31598: Move the links (All time entries, Import) from Spent time section of the spent time list sidebar under a dropdown
* Patch #31640: Add clear query icon next to selected query in sidebar
* Patch #31697: Show closed date in a tooltip if the issue is closed
* Patch #31950: Add CSS class to "journal" and "reply" headers
* Patch #31971: Change the color of the input field frame when in focus
* Patch #32013: Rounded corners of the main menu
* Patch #32014: Rounded corners on table.list elements
* Patch #32015: Rounded corners of "my page" blocks
* Patch #32037: Constrain sidebar width on different resolutions
* Patch #32165: Rounded corners on table.cal

=== [Wiki]

* Defect #11359: Wiki diff doesn't keep spaces
* Defect #20910: Hierarchy in TOC is not preserved when Wiki index is exported to HTML
* Feature #9634: Show locked badge for locked wiki pages

== 2019-12-20 v4.0.6

=== [Attachments]

* Defect #20277: "Couldn't find template for digesting" error in the log when sending a thumbnail or an attachment

=== [Gems support]

* Patch #32592: Require 'mocha/minitest' instead of deprecated 'mocha/setup'

=== [Rails support]

* Feature #32526: Update Rails to 5.2.4.1

=== [Text formatting]

* Defect #32422: Textile indentation does not work in the preview tab
* Patch #25742: Improper markup sanitization in user content for space separated attribute values and different quoting styles

=== [Time tracking]

* Defect #32500: Spent time report csv shows translation missing text if custom fields are involved

== 2019-10-19 v4.0.5

=== [Code cleanup/refactoring]

* Defect #31870: Remove deprecated .zIndex() method
* Defect #32022: IssueSubtaskingTest fails with high probability
* Defect #32110: "already initialized constant Redmine::Scm::Adapters::SubversionAdapter::SVN_BIN" warning when executing rake tasks
* Patch #32189: Remove unnecessary requiring of "rexml/document"

=== [Documentation]

* Defect #32170: Text enclosed in pre tag in Wiki formatting reference is not displayed in monospaced font in Chrome
* Defect #32184: Incorrect headings example in Textile help

=== [Gantt]

* Defect #31552: View switches from gantt to list after editing an issue

=== [Gems support]

* Defect #32300: Don't use sprockets 4.0.0 in order to avoid Sprockets::Railtie::ManifestNeededError
* Patch #32294: Update ruby-openid to 2.9.2

=== [Issues]

* Defect #31778: Total estimated time issue query column and issue field might leak information

=== [Issues list]

* Defect #31779: Total estimated time column shown even when estimated time field is deactivated

=== [Translations]

* Defect #32290: Typo in Russian translation for label_in_the_next_days
* Patch #31951: German translation update for 4.0-stable

=== [UI]

* Defect #31742: The color of h4 in the comment also changes when #note-1 is specified
* Defect #32012: Broken JavaScript icon in the repository view
* Defect #32024: Broken gzip icon in the repository view

== 2019-06-10 v4.0.4

=== [Administration]

* Defect #31125: Don't output ImageMagick version information to stdout

=== [Attachments]

* Defect #29259: Attachment preview does not work for some source files such as JavaScript and Go
* Defect #30441: Attachments with Unicode uppercase names are not shown in wiki pages
* Defect #31275: Safari adds .html extension when downloading files of unknown type

=== [Code cleanup/refactoring]

* Defect #30811: "rake db:fixtures:load" does not work

=== [Email receiving]

* Defect #30457: MailHandler.safe_receive does not output any error log
* Defect #31365: Issue subject may be broken if the subject field in the receiving email is split into multiple lines
* Defect #31503: Undefined local variable sender_email in MailHandler#receive_message_reply

=== [Gantt]

* Defect #31268: Fix gaps in resizable gantt chart

=== [Issues filter]

* Patch #31276: Serialize group_by and totalable_names in Query#as_params

=== [Rails support]

* Defect #31337: Explicitly load redmine/info in order to avoid "uninitialized constant" error
* Patch #31113: Update Rails to 5.2.3

=== [SCM]

* Defect #30850: Unified diff link broken on specific file/revision diff view
* Defect #31120: Garbage lines in the output of 'git branch' break git adapter

=== [Security]

* Defect #31520: Persistent XSS in textile formatting

=== [Text formatting]

* Defect #31285: Syntax highlighting does not work for attachments with .pl extension

=== [Time tracking]

* Defect #31511: CSV export of time entries report does not honor project filter

=== [Translations]

* Defect #31264: Conflicting translation between "track" and "watch" in Simplified Chinese

=== [UI]

* Defect #31330: Import issues: File content preview block is scrolling
* Defect #31438: Incorrect position of the "Associated revisions" block when comments are displayed in reverse chronological order

=== [UI - Responsive]

* Defect #31153: Display horizontal scroll bar of files table when overflow occurs on small screen
* Defect #31311: admin/info page: text cut off in pre tag on mobile

=== [Wiki]

* Patch #31334: Do not lose content when updating a wiki page that has been renamed in the meantime

== 2019-03-31 v4.0.3

=== [Administration]

* Defect #30939: Timeout for "Check for updates" on Plugins page is too short

=== [Email notifications]

* Defect #30955: "View all issues" link in email reminders points to issues list which does not include issues assigned to a group

=== [Files]

* Defect #31087: Deleting a version silently deletes its attachments

=== [Gantt]

* Defect #31063: Can't uncheck Gantt chart options of custom queries

=== [Issues filter]

* Defect #30367: "Last updated by" filter causes an SQL error with MariaDB

=== [Issues list]

* Defect #26836: Filtering issues via context menu should not reset selected columns

=== [Plugin API]

* Defect #30753: Plugins auto_load and eager_load paths
* Patch #31030: Include plugin name in the exception when the plugin required by requires_redmine_plugin is not found

=== [REST API]

* Defect #29055: Searching for issue number with REST API redirects to issue HTML page

=== [Rails support]

* Feature #31026: Upgrade to Rails 5.2.2.1

=== [SCM]

* Defect #30731: "View differences" buttons are shown in the repository page even without "Browse repository" permission
* Defect #30850: Unified diff link broken on specific file/revision diff view

=== [Search engine]

* Defect #30923: Project search should select subprojects scope when the project has subprojects

=== [Text formatting]

* Defect #30256: Cannot make cross-project wiki link if the project name includes square brackets

=== [Translations]

* Patch #31124: Galician translation update for 4.0-stable

=== [UI]

* Defect #30872: Copyright is outdated
* Defect #30988: Preformatted text overflows the preview area
* Feature #30977: Add CSS class to project custom fields
* Feature #30985: Add CSS class to user custom fields

== 2019-02-21 v4.0.2

=== [Attachments]

* Defect #30434: Line height is too large when previewing files with syntax highlighting if the line terminators are CRLF

=== [Email receiving]

* Defect #30785: Mail handler does not ignore emails sent from emission email address if Setting.mail_from includes display name

=== [Gems support]

* Defect #30114: Installing xpath with Bundler fails in Ruby <=2.2
* Patch #30821: Stay in RMagick 2.16.0 and don't update to 3.0.0

=== [Issues filter]

* Defect #30718: Translation missing for filter by project status

=== [Issues list]

* Defect #30236: Accidentally clicking next to the checkbox breaks issue selection

=== [Rails support]

* Patch #30725: Plugin eager_load should depend on environment setting instead of name

=== [SCM]

* Defect #30411: Filesystem adapter does not show correct size for large files

=== [Translations]

* Defect #30732: Bulgarian translation update for 4.0-stable
* Patch #30791: Traditional Chinese translation update for 4.0-stable

=== [UI]

* Feature #10264: Add a check/uncheck all button to search
* Feature #30834: Links to forum replies should highlight the linked reply
* Patch #30818: Issues autocomplete should respond with content type json

=== [Wiki]

* Defect #30758: Preview URL in Wiki Toolbar should be escaped

== 2019-01-20 v4.0.1

=== [Calendar]

* Defect #30287: The tooltip layout of the calendar is broken

=== [Code cleanup/refactoring]

* Patch #30115: Move Version#fixed_issues extension to a module
* Patch #30413: Add ".ruby-version" to svn:ignore, .git:ignore, and .hgignore

=== [Database]

* Defect #30171: Decrypting LDAP and SCM passwords fail if the plaintext password is longer than 31 bytes

=== [Documentation]

* Defect #30161: Incorrect supported Ruby version in doc/INSTALL

=== [Email receiving]

* Defect #30455: Adding an issue note via email fails due to NoMethodError

=== [Forums]

* Patch #2635: Display notice on forum updates

=== [Gems support]

* Defect #30353: Installing rails with Bundler 2.0 fails in 3.x
* Patch #30241: Update nokogiri gem (~> 1.10.0)
* Patch #30420: Update pg gem (~> 1.1.4)

=== [Importers]

* Patch #30412: Import UTF-8 issue CSV files with BOM and quoted strings

=== [Performance]

* Patch #30465: Deadlock when assigning custom values

=== [Ruby support]

* Feature #30118: Ruby 2.6 support

=== [Translations]

* Patch #29767: Traditional Chinese translation update
* Patch #30292: Ukrainian translation update for 4.0-stable

=== [UI]

* Defect #30426: Table rows are not highlighted on mouseover on some pages
* Patch #29951: Quick design fix/proposals for projects index page

== 2018-12-09 v4.0.0

=== [Accounts / authentication]

* Feature #28561: Add note about link validity to password lost email
* Patch #5957: Export users list to CSV
* Patch #29781: Prevent users from getting stuck with an expired password recovery token in their session

=== [Administration]

* Defect #28920: Redmine::VERSION::revision should take subversion_command setting into account
* Feature #29993: Option to unarchive the project when admins visit an archived project
* Patch #26341: Add useful details to error message when a template is missing

=== [Attachments]

* Feature #16410: Bulk delete wiki attachments
* Feature #27822: Remove filename from attachment preview links
* Feature #28616: Handle image orientation of attachments and thumbnails
* Patch #27336: Render previews for audio and video files
* Patch #28295: Show name changes in diff preview
* Patch #29190: Add link to container on attachment preview
* Patch #29395: Pagination between repository entries and attachments of the same container

=== [Calendar]

* Feature #28067: Add context menu for issues in calendar

=== [Code cleanup/refactoring]

* Defect #28268: Fix typo in test name: s/udpate/update/
* Defect #28931: Unreachable code in QueriesControllerTest#test_bulk_copy_to_another_project
* Defect #29215: Fixture is missing for IssuesTest#test_create_issue_with_new_target_version
* Defect #29708: Wrong use of refute_includes in tests
* Defect #29820: Missing fixture enabled_modules in TrackerTest
* Defect #29883: AttachmentsVisibilityTest and Redmine::AttachmentFieldFormatTest fail randomly due to uninitialized User.current
* Defect #29912: Missing closing tag in app/views/roles/_form.html.erb
* Defect #29990: Add missing fixtures for test_create_should_send_notification
* Defect #30054: Add missing fixtures for test_create_with_one_attachment
* Defect #30120: Add missing fixture for reports_controller_test
* Patch #26130: Refactor "multiple_values_detail" struct creation
* Patch #26323: Remove ActiveRecord workaround (fixed in Rails 5)
* Patch #27670: Fix typo in configuration.yml.example
* Patch #28024: Fix typo in error message in mailer.rb
* Patch #28028: Remove unused method Mailer#mylogger
* Patch #28229: Remove unused i18n key "setting_app_subtitle"
* Patch #28478: Update the app name in extra/sample_plugin/init.rb: s/RedMine/Redmine/
* Patch #28605: Add the missing icon class to the items with icons from the contextual menu
* Patch #28611: Remove unused i18n strings from locale files
* Patch #29160: Remove unused and broken method CustomField.visibility_condition
* Patch #29440: Fix typo in test name: s/highligth/highlight/
* Patch #29632: Redmine::SortCriteria#normalize! does not limit properly the number of elements
* Patch #29710: Remove unused variable 'filter_options' from Query#add_filter
* Patch #30137: Remove rails-html-sanitizer from Gemfile

=== [Custom fields]

* Defect #25726: Issue details page shows default values for custom fields that aren't actually set
* Patch #27024: Links on custom field values don't have "external" class
* Patch #29161: Avoid SQL errors when adding a project custom field as a time report criteria
* Patch #29189: Display custom fields on group pages

=== [Documentation]

* Patch #28943: Remove RDoc tags
* Patch #28996: Update Redmine::Plugin documentation

=== [Email notifications]

* Defect #5703: On SMTP failure, an internal error occurs and all changes to an issue are lost
* Defect #8157: Redmine do not send notification emails if a recipients email address is not valid
* Feature #26791: Send individual notification mails per mail recipient
* Feature #29771: Sort issues by due date in email reminders
* Feature #30068: Remove :async_smtp and :async_sendmail delivery methods

=== [Email receiving]

* Defect #27810: Typo in rdm-mailhandler.rb: s/Proccessed/Processed/
* Defect #27812: Typo in rdm-mailhandler.rb: s/subadress/subaddress/
* Defect #29442: Vendor-defined characters in ISO-2022-JP email subject break issue's subject
* Feature #27070: Allow setting "Parent issue" attribute in emails
* Patch #27025: Regex support for excluded mail attachments
* Patch #28026: "project_from_subbaddress" option is not listed in the help of "rake redmine:email:receive_imap"
* Patch #29614: redmine:email:read and rdm-mailhandler.rb should use safe_receive instead of receive
* Patch #29669: "no_notification" option is not listed in the description of email.rake

=== [Gantt]

* Defect #13521: Gantt bars with start date and end date on the same day don't become red by overdue
* Feature #10485: Add new context menu in Gantt view for each issue
* Feature #20481: Gantt: right and left resizable panel
* Patch #26671: Use the new pagination style in gantt
* Patch #26869: Use number input field instead of text input for Gantt months field
* Patch #28602: Move edit and delete buttons for queries to the buttons section

=== [Gems support]

* Defect #26066: Selenium::WebDriver doesn't work with current version of Firefox
* Feature #29443: Update mail gem (~> 2.7.1)
* Feature #29947: Update roadie gem to 3.4.0
* Patch #26322: Update simplecov gem (~> 0.14.1)
* Patch #26503: Update nokogiri gem (~> 1.8.0)
* Patch #28504: Update mysql2 gem to 0.5.0
* Patch #28505: Update pg gem to 1.0
* Patch #28929: Update roadie-rails to ~> 1.3.0
* Patch #29999: Update rdoc gem

=== [Hook requests]

* Patch #28895: view_projects_copy_only_items hook

=== [I18n]

* Feature #26618: Support of default ActiveRecord I18n scopes in LabelledFormBuilder

=== [Issues]

* Defect #14846: Calculation of the start date of following issues ignores the "non-working days" setting
* Defect #27848: The progress exceeding 99.5% is displayed as 100%
* Defect #28264: Global and public custom queries are shown as editable to non administrators in projects
* Defect #28951: Cannot clear category field on copying an Issue
* Defect #29701: Custom queries are broken by updating with nil parameter values
* Feature #2529: Extend Issue Summary to include subprojects
* Feature #12704: Allow selecting subprojects on new issue form
* Feature #15919: Set default category assignee immediately upon category selection
* Feature #23518: Move action links and edit form above the history when displaying comments in reverse order
* Feature #26192: Option to disable automatic closing of duplicate issues
* Feature #26279: Allow switching the encoding to UTF-8 when exporting to CSV
* Patch #27772: Issues reports should show only statuses used by the project
* Patch #28154: Support for lastnames with spaces in user autocompleters
* Patch #28494: Recalculate issue priority position names if default value changed

=== [Issues filter]

* Feature #8160: Extend watched_by_me-issue filter to include all project-members instead of only <<me>>-substitution
* Feature #15201: Filter "Assignee" should contain locked users
* Feature #28660: Change default operator for text format custom fields from "is" to "contains"
* Patch #26091: Allow to filter by any visible version on the global issues view

=== [Issues list]

* Feature #27316: Highlight due date of overdue issues in the issues list

=== [LDAP]

* Defect #24970: Net::LDAP::LdapError is deprecated
* Defect #28000: Deletion of an LDAP authentication mode may fail silently
* Feature #21923: net-ldap 0.12.0 - 0.12.1 dropped support of UTF-8
* Patch #29606: Support self-signed LDAPS connections

=== [My page]

* Feature #2471: Add my activities to my page
* Feature #29449: Filter out issues from closed projects in My Page blocks

=== [PDF export]

* Defect #12510: Issues PDF export: Spent time/Float-values aren't rounded to 2 digits

=== [Performance]

* Feature #28952: Update User#last_login_on only once per minute
* Patch #26711: Use pluck instead of collect/map
* Patch #26747: Use find_by instead of where.first to remove unnecessary sorting
* Patch #27671: Use reverse_each instead of reverse.each for better performance
* Patch #29299: Use Enumerable#sort_by instead of Enumerable#sort
* Patch #29305: Use Hash#each_key instead of Hash#keys.each
* Patch #29359: Switch to mini_mime from mime-types
* Patch #29363: Use String#tr instead of String#gsub
* Patch #29406: Use sorted instead of sort

=== [Permissions and roles]

* Defect #26145: Don't redirect anonymous users to the login form for disabled modules

=== [Plugin API]

* Defect #26610: Migration file generated by redmine_plugin_model generator is not compatible with Rails 5.1
* Defect #28668: redmine_plugin_controller generates camelcase filename
* Patch #28564: JSON API responses cannot have elements named 'request' or 'response'

=== [Project settings]

* Feature #26488: Project settings : Move issue tracking settings to their own tab
* Feature #26579: Project settings : remove Wiki tab
* Patch #27799: Mark default version in versions tab from project settings

=== [Projects]

* Feature #10282: Copy wiki attachments on project copy
* Feature #20081: Filter issues and time entries by project status
* Patch #26621: Allow to copy documents along with projects
* Patch #26622: Copy version attachments (i.e. Files) along with the versions on project copy

=== [REST API]

* Defect #28686: /users API does not accept boolean-like String values for generate_password
* Patch #28191: Add assignable, issues_visibility, time_entries_visibility and users_visibility to Roles API response
* Patch #29459: Add admin flag to users API

=== [Rails support]

* Feature #19755: Drop protected_attributes gem
* Feature #23630: Migrate to Rails 5.2
* Patch #28934: Support migration context for plugins

=== [Roadmap]

* Patch #27676: Information leak on roadmap and versions view

=== [Ruby support]

* Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required
* Feature #27849: Ruby 2.5 support

=== [SCM]

* Feature #26576: Use tabs to switch between file changes and diff of a commit
* Patch #26391: Drop Darcs SCM support
* Patch #26522: Repository routing bug when file path starts with (browse|entry|raw|changes|annotate|diff)/

=== [SEO]

* Defect #27865: RailsBaseURI ignored while creating robots.txt
* Feature #27876: Add project id to robots.txt
* Feature #29503: Discourage search engines from indexing old versions of wiki pages

=== [Search engine]

* Feature #26620: Change the text of the submit button on search page from button_submit to label_search
* Patch #30037: Allow single Chinese character as a search keyword

=== [Text formatting]

* Defect #26443: User link syntax (user:login) doesn't work for logins consisting of an email adress
* Defect #26507: "attachment:filename" link syntax would not work if the file name contains "@"
* Defect #26708: Diff formatting results empty lines if they contains HTML tags
* Defect #26892: Link to user in wiki syntax only works when login is written in lower case
* Defect #27968: Image filename for HDPI monitors (image@2x.jpg) are misrecognized as email address
* Feature #22843: Change the value of "pre" button in Markdown toolbar from "~~~" to "```"
* Feature #24681: Syntax highlighter: replace CodeRay with Rouge
* Feature #26552: Allow "max-height", "max-width", "min-height" and "min-width" CSS properties in Textile
* Feature #28796: Make sure that inline markups inserted by wiki toolbar are surrounded by whitespaces
* Patch #16313: Allow to link to an anchor of the current wikipage
* Patch #27114: Make robust Redmine::Helpers::URL#uri_with_safe_scheme?
* Patch #28169: Enable and add underline button to the toolbar for Markdown formatting
* Patch #28207: Test improvements for footnotes formatting syntax
* Patch #29488: ##123 syntax for linking to issues with tracker name and subject

=== [Time tracking]

* Feature #26356: Time entry list: set default column options
* Feature #26396: Timelog list : new column that contains the date when the time was logged
* Feature #28391: Add issue category filter and column to spent time queries
* Feature #29042: Add links to Users, Projects and Versions (at least) in timelog report
* Patch #24005: Settings to accept 0 hours time entries and for maximum hours per user and day
* Patch #26534: Allow project bulk edit of time entries
* Patch #29162: Only allow visible custom fields as aggregation criteria in time reports

=== [Translations]

* Defect #22424: Change Russian translation for default_issue_status_feedback
* Defect #28160: Misleading russian translation for "Log time" button
* Defect #29901: Fix typo in French text_tracker_no_workflow
* Patch #26501: Change English translation for setting_issue_list_default_columns
* Patch #26514: German translation for 404-error-page is semantically not correct and misleading
* Patch #26591: Spanish "text_journal_changed" translate change
* Patch #27506: Czech translation change
* Patch #27768: Lithuanian "default_role_developer" translation change
* Patch #27926: Change Bulgarian translation for label_news_new
* Patch #27989: Change Galician translation for "Underline" and "Wiki link" (jstoolbar-gl.js)
* Patch #28279: Change German translation for not_a_regexp and setting_mail_handler_enable_regex
* Patch #28311: Remove unused i18n key "permission_move_issues"
* Patch #28321: Change Japanese translation for "in use"
* Patch #28493: Persian translation update and improvements
* Patch #28769: Change inconsistent Japanese translation for time tracking activities
* Patch #29115: Change Japanese translation for date filter operators
* Patch #29118: Change Japanese translation for text_user_mail_option
* Patch #29129: Use active voice instead of passive voice in Japanese translation
* Patch #29275: Update French translations
* Patch #29697: Czech translation fixes
* Patch #29739: Change English name for zh and zh-TW to "Chinese/Simplified" and "Chinese/Traditional"

=== [UI]

* Defect #5593: Grey out workflow checkboxes for transitions to the same status
* Defect #17517: Attempting to Add a Related Issue Multiple Times Sequentially Causes 500
* Defect #29607: Allow project column to break into new line in time entry table
* Feature #8888: Add a link / button to get back to the Issue/Time tracking screen from the "Log time" screen
* Feature #12221: Add "View Differences" button above wiki and repository revisions table
* Feature #22978: Links to issue notes should highlight the linked note
* Feature #26253: Render repository graphs using Chart.js instead of SVG
* Feature #26577: More neutral color download icon
* Feature #26638: Move journal action links above the notes
* Feature #26648: Show transparency grid when previewing images
* Feature #27758: Adds preview option to the wiki toolbar
* Feature #28330: Links to wiki headings should highlight the linked heading
* Feature #28413: Add CSS class to identify public projects
* Feature #28531: Add css to distinguish when a main menu is present or not
* Feature #29053: Add check/unchek all icon in "Email notifications" section on "My account" page
* Feature #29080: Add check/uncheck all icon in "Copy" section on copy_project page
* Feature #29183: Move "Latest news" above "Members" on project overview page
* Feature #29306: Add assignee's icon to tooltips in gantt and calendar
* Patch #25853: Move left bottom links from project settings above
* Patch #26125: Unify form#query_form on calendar/gantt views with issues/spent time views
* Patch #26655: Additional icon for contextmenu
* Patch #26662: Add border around issue history to prevent accidental deletion of an issue
* Patch #26674: Add CSS classes to column headers of issues and timelogs list
* Patch #27009: Clarify consequences of disabling the login_required setting
* Patch #27219: Show default status on the trackers list
* Patch #27240: Render the activities block on the UsersController#show view grouped, with event_type icon and with the 'me' indication
* Patch #27807: Use a unique way to check/uncheck a group/fieldset with checkboxes
* Patch #28242: Add toggle checkboxes link (green tick) to several screens
* Patch #28662: Replace "Cancel" buttons from the modals with "Cancel" link
* Patch #29033: Move attachments to their own section in issue page
* Patch #29644: Add a link to issues summary to issue tracking box on overview page

=== [Wiki]

* Defect #22967: Special character like quote breaks wiki links
* Defect #22975: Moving a wiki page to a different project should refresh parent page list
* Feature #26575: Add update info at the bottom of the wiki page
* Patch #16446: Generate full URLs to images and linked pages in the Wiki HTML export
* Patch #26043: Set the parent page automatically when creating a wiki page from the "Add page" link

== 2018-06-10 v3.4.6

=== [Issues]

* Defect #27863: If version is closed or locked  subtasks don't get copied
* Defect #28765: Copying an issue fails if the issue is watched by a locked user
* Patch #28649: Log automatic rescheduling of following issues to journal

=== [Permissions and roles]

* Defect #28693: Irrelevant permission is required to access some tabs in project settings page

=== [Project settings]

* Defect #27122: Filter for version name should be case-insensitive

=== [SCM]

* Defect #28725: Mercurial 4.6 compatibility

=== [Text formatting]

* Defect #28469: Syntax highlighter does not work if language name is single-quoted

=== [Translations]

* Patch #28881: Fix Japanese mistranslation for label_comment_added

=== [UI]

* Defect #22023: Issue id input should get focus after adding related issue

=== [UI - Responsive]

* Defect #28523: Display horizontal scroll bar of plugins table when overflow occurs on small screen

=== [Wiki]

* Patch #27090: Show the number of attachments on wiki pages

== 2018-04-07 v3.4.5

=== [Custom fields]

* Defect #28393: Sort issue custom fields by position in tracker UI

=== [Email notifications]

* Defect #28302: Security notification when changing password on password forgotten is empty

=== [Gantt]

* Defect #28204: Too large avatar breaks gantt when assignee is a group

=== [Issues]

* Defect #27862: Preformatted text overflows in preview
* Patch #28168: Allow context-menu edit of % done and priority of parent issues if the fields are not derived

=== [Issues filter]

* Defect #28180: Role-base cross-project issue query visibility calculated incorrectly

=== [Plugin API]

* Patch #27963: Remove 'unloadable' from bundled sample plugin

=== [Security]

* Defect #26857: Fix for CVE-2015-9251 in JQuery 1.11.1

=== [Text formatting]

* Defect #27884: RTL wiki class broken in Redmine 3.2.6
* Defect #28331: h4, h5 and h6 headings on wiki pages should have a paragraph mark
* Patch #28119: Enable lax_spacing for markdown formatting in order to allow markdown blocks not surrounded by empty lines

=== [Time tracking]

* Defect #28110: Don't allow reassigning reported hours to the project if issue is a required field for time logs

=== [Translations]

* Defect #28109: Incorrect interpolation in Swedish locale
* Defect #28113: Fix typo in German label_font_default
* Defect #28192: Fix typo in German label_font_monospace
* Patch #27994: Galician translation update (jstoolbar-gl.js)
* Patch #28102: Fix typo in Lithuanian label_version_sharing_tree

=== [UI]

* Defect #28079: The green tick is positioned after the label in the new member modals
* Defect #28208: Anonymous icon is wrongly displayed when assignee is a group
* Defect #28259: attachments_fields id to class change not properly reflected in all CSS

=== [Wiki]

* Defect #25299: Markdown pre-block could derive incorrect wiki sections

== 2018-01-08 v3.4.4

=== [Accounts / authentication]

* Defect #22532: Strip whitespace from login on login page
* Defect #27754: Strip whitespace from email addresses on lost password page

=== [Administration]

* Defect #27586: "Uncheck all" icon at the upper left corner in workflow status transitions page is not working

=== [Calendar]

* Defect #27153: Custom query breaks calendar view with error 500
* Patch #27139: Fix for project link background in calendar tooltips

=== [Custom fields]

* Defect #26705: Unable to download file if custom field is not defined as visible to any users

=== [Email receiving]

* Patch #27885: Empty email attachments are imported to Redmine, creating broken DB records

=== [Gantt]

* Defect #26410: Gravatar icon is misaligned in gantt

=== [Gems support]

* Defect #27206: cannot install public_suffix if ruby < 2.1
* Defect #27505: Cannot install nokogiri 1.7 on Windows Ruby 2.4

=== [Issues]

* Defect #26880: Cannot clear all watchers when copying an issue
* Defect #27110: Changing the tracker to a tracker with the tracker field set to read-only won't work
* Defect #27881: No validation errors when entering an invalid "Estimate hours" value
* Patch #27663: Same relates relation can be created twice
* Patch #27695: Fix ActiveRecord::RecordNotUnique errors when trying to add certain issue relations

=== [Issues list]

* Defect #27533: Cannot change the priority of the parent issue in issue query context menu when parent priority is independent of children

=== [Plugin API]

* Defect #20513: Unloadable plugin convention breaks with Rails 4.2.3

=== [SCM]

* Defect #27333: Switching SCM fails after validation error in "New repository" page

=== [Security]

* Defect #27516: Remote command execution through mercurial adapter

=== [Translations]

* Patch #27502: Lithuanian translation for 3.4-stable
* Patch #27620: Brazilian translation update
* Patch #27642: Spanish translation update (jstoolbar-es.js)
* Patch #27649: Spanish/Panama translation update (jstoolbar-es-pa.js)
* Patch #27767: Czech translation for 3.4-stable

=== [UI]

* Defect #19578: Issues reports table header overlaping
* Defect #26699: Anonymous user should have their icon

== 2017-10-15 v3.4.3

=== [Administration]

* Defect #26564: Enumerations sorting does not work

=== [Custom fields]

* Defect #26468: Using custom fields of type "File" leads to unsolvable error if filetype is not allowed

=== [Issues]

* Defect #26627: Editing issues no longer sends notifications to previous assignee

=== [Issues list]

* Defect #26471: Issue Query: inconsistency between spent_hours sum and sum of shown spent_hours values

=== [PDF export]

* Defect #25702: Exporting wiki page with specific table to PDF causes 500

=== [Roadmap]

* Patch #26492: % is not valid without a format specifier

=== [SCM]

* Defect #26403: The second and subsequent lines of commit messages are not displayed in repository browser
* Defect #26645: git 2.14 compatibility

=== [Text formatting]

* Patch #26682: URL-escape the ! character in generated markup for dropped uploads

=== [Time tracking]

* Defect #26520: Blank "Issue" field on the "Log time" from the "Spent time - Details" page for an issue
* Defect #26667: Filtering time entries after issue's target version doesn't work as expected in some cases
* Defect #26780: Translation for label_week in time report is not working

=== [Translations]

* Patch #26703: German translations in 3.4-stable
* Patch #27034: Patch for updated Chinese translation

=== [UI]

* Defect #26568: Multiple Selection List Filter View - items are cut off from view
* Patch #26395: Jump to project autocomplete: focus selected project
* Patch #26689: Add title to author's and assignee's icon

=== [Wiki]

* Defect #26599: Corrupted file name when exporting a wiki page with Non-ASCII title using Microsoft's browsers

=== [Security]

* Defect #27186: XSS vulnerabilities

== 2017-07-16 v3.4.2

=== [Administration]

* Defect #26393: Error when unchecking all settings on some plugins configurations

=== [Attachments]

* Defect #26379: Fix thumbnail rendering for images with height >> width

=== [Time tracking]

* Defect #26387: Error displaying time entries filtered by Activity

=== [UI]

* Defect #26445: Text formatting not applied to commit messages even if enabled in settings
* Patch #26424: Avatar Spacing in Headlines

== 2017-07-09 v3.4.1

=== [Issues list]

* Defect #26364: Sort is not reflected when export CSV of issues list

=== [Projects]

* Defect #26376: Wrong issue counts and spent time on project overview

=== [Translations]

* Patch #26344: Bulgarian translation
* Patch #26365: Traditional Chinese translation

=== [UI]

* Defect #26325: Wrong CSS syntax
* Defect #26350: Don't display file download button while on repository directory entries

== 2017-07-02 v3.4.0

=== [Accounts / authentication]

* Defect #13741: Not landing on home page on login after visiting lost password page
* Feature #10840: Allow "Stay logged in" from multiple browsers
* Feature #25253: Password reset should count as a password change for User#must_change_passwd
* Feature #26190: Add setting to hide optional user custom fields on registration form
* Patch #25483: Forbid to edit/update/delete the anonymous user

=== [Activity view]

* Patch #18399: Missing "next" pagination link when looking at yesterday's activity

=== [Administration]

* Defect #7577: "Send account information to the user" only works when password is set
* Defect #25289: Adding a principal to 2 projects with member inheritance leads to an error
* Feature #12598: Add tooltip on Workflow matrix for helping in big ones
* Feature #16484: Add default timezone for new users
* Feature #24780: Add tooltip on Permissions report matrix
* Feature #24790: Add tooltip on trackers summary matrix

=== [Attachments]

* Defect #24308: Allow Journal to return empty Array instead nil in Journal#attachments
* Feature #13072: Delete multiple attachments with one action
* Patch #22941: Allow thumbnails on documents, messages and wiki pages
* Patch #24186: Restrict the length attachment filenames on disk
* Patch #25215: Re-use existing identical disk files for new attachments
* Patch #25240: Use SHA256 for attachment digest computation
* Patch #25295: Use path instead of URL of image in preview

=== [Code cleanup/refactoring]

* Defect #24928: Wrong text in log/delete.me
* Defect #25563: Remove is_binary_data? from String
* Feature #15361: Use css pseudo-classes instead of cycle("odd", "even")
* Patch #24313: Use the regular "icon icon-*" classes for all elements with icons
* Patch #24382: More readable regex for parse_redmine_links
* Patch #24523: Source: ignore .idea
* Patch #24578: Remove unused CSS class ".icon-details"
* Patch #24643: Rename "issue" to "item" in query helpers
* Patch #24713: Remove iteration in ApplicationHelper#syntax_highlight_lines
* Patch #24832: Remove instance variable which is unused after r9603
* Patch #24899: Remove unused "description_date_*" from locale files
* Patch #24900: Remove unused "label_planning" from locale files
* Patch #24901: Remove unused "label_more" from locale files
* Patch #26149: Remove duplicate method shell_quote

=== [Core Plugins]

* Feature #24167: Rebuild a single nested set with nested_set plugin

=== [Custom fields]

* Feature #6719: File format for custom fields (specific file uploads)
* Feature #16549: Set multiple values in emails for list custom fields
* Feature #23265: Group versions by status in version custom field filter
* Patch #21705: Option for long text custom fields to be displayed using full width
* Patch #24801: Flash messages on CustomFields destroy

=== [Database]

* Defect #23347: MySQL: You can't specify target table for update in FROM clause
* Defect #25416: "My account" broken with MySQL 8.0 (keyword admin should be escaped)

=== [Documentation]

* Defect #21375: Working external URL prefixes (protocols and 'www' host part) not documented in wiki syntax
* Feature #25616: Change format of the changelog (both on redmine.org and in the shipped changelog file)
* Patch #24800: Remove internal style sheet duplication and obsoleted meta tag from wiki_syntax_* documentation.
* Patch #26188: Documentation (detailed syntax help & code) additions/improvements

=== [Email notifications]

* Feature #25842: Add table border to email notifications
* Patch #23978: Make the email notifications for adding/updating issues more readable/clear

=== [Email receiving]

* Defect #25256: Mail parts with empty content should be ignored
* Feature #5864: Regex Text on Receiver Email
* Patch #17718: Body delimiters to truncate emails do not take uncommon whitespace into account

=== [Forums]

* Patch #24535: Flash messages on Board destroy

=== [Gantt]

* Patch #25876: Gantt chart shows % done even if the field is disabled for the tracker

=== [Gems support]

* Feature #23932: Update TinyTds to recent version (1.0.5)
* Feature #25781: Markdown: Upgrade redcarpet gem to 3.4

=== [Hook requests]

* Patch #23545: Add before_render hook to WikiController#show

=== [I18n]

* Defect #24616: Should not replace all invalid utf8 characters (e.g in mail)
* Patch #24938: Update tr.yml for general_first_day_of_week
* Patch #25014: redmine/i18n.rb - languages_lookup class variable is rebuilt every time

=== [Importers]

* Feature #22701: Allow forward reference to parent when importing issues

=== [Issues]

* Defect #5385: Status filter should show statuses related to project trackers only
* Defect #15226: Searching for issues with "updated = none" always returns zero results
* Defect #16260: Add Subtask does not work correctly from tasks with Parent Task field disabled
* Defect #17632: Users can't see private notes created by themselves if "Mark notes as private" is set but "View private notes" is not
* Defect #17762: When copying an issue and changing the project, the list of watchers is not updated
* Defect #20127: The description column in the issues table is too short (MySQL)
* Defect #21579: The cancel operation in the issue edit mode doesn't work
* Defect #23511: Progress of parent task should be calculated using total estimated hours of children
* Defect #23755: Bulk edit form not show fields based on target tracker and status
* Feature #482: Default assignee on each project
* Feature #3425: View progress bar of related issues
* Feature #10460: Option to copy watchers when copying issues
* Feature #10989: Prevent parent issue from being closed if a child issue is open
* Feature #12706: Ability to change the private flag when editing a note
* Feature #20279: Allow to filter issues with "Any" or "None" target version defined when viewing all issues
* Feature #21623: Journalize values that are cleared after project or tracker change
* Feature #22600: Add warning when loosing data from custom fields when bulk editing issues
* Feature #23610: Reset status when copying issues
* Feature #24015: Do not hide estimated_hours label when value is nil
* Feature #25052: Allow to disable description field in tracker setting
* Patch #23888: Show an error message when changing an issue's project fails due to errors in child issues
* Patch #24692: Issue destroy : Reassign time issue autocomplete
* Patch #24877: Filter parent task issues in auto complete by open/closed status depending on the subtask status
* Patch #25055: Filter out current issue from the related issues autocomplete

=== [Issues filter]

* Defect #24769: User custom field filter lists only "Me" on cross project issue list
* Defect #24907: Issue queries: "Default columns" option conflicts with "Show description"
* Defect #25077: Issue description filter's 'none' operator does not match issues with blank descriptions
* Feature #2783: Filter issues by attachments
* Feature #10412: Target version filter shoud group versions by status
* Feature #15773: Filtering out specific subprojects (using 'is not' operator)
* Feature #17720: Filter issues by "Updated by" and "Last updated by"
* Feature #21249: Ability to filter issues by attributes of a version custom field (e.g. release date)
* Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date

=== [Issues list]

* Feature #1474: Show last comment/notes in the issue list
* Feature #6375: Last updated by colum in issue list
* Feature #25515: View attachments on the issue list
* Patch #24649: Make Spent time clickable in issue lists

=== [Issues workflow]

* Defect #14696: Limited status when copying an issue
* Patch #24281: Workflow editing shows statuses of irrelevant roles

=== [My page]

* Feature #1565: Custom query on My page
* Feature #7769: Sortable columns in issue lists on "My page"
* Feature #8761: My page - Spent time section only display 7 days, make it a parameter
* Feature #23459: Columns selection on the issues lists on "My page"
* Feature #25297: In place editing of "My page" layout

=== [Performance]

* Defect #24433: The changeset display is slow when changeset_issues has very many records
* Feature #23743: Add index to workflows.tracker_id
* Feature #23987: Add an index on issues.parent_id
* Patch #21608: Project#allowed_to_condition performance
* Patch #22850: Speedup remove_inherited_roles
* Patch #23519: Don't preload projects and roles on Principal#memberships association
* Patch #24587: Improve custom fields list performance
* Patch #24787: Don't preload all filter values when displaying issues/time entries
* Patch #24839: Minor performance improvement - Replace count by exists?
* Patch #24865: Load associations of query results more efficiently
* Patch #25022: Add an index on attachments.disk_filename

=== [Permissions and roles]

* Feature #4866: New permission: view forum
* Feature #7068: New permission: view news

=== [Project settings]

* Defect #23470: Disable "Select project modules" permission does not apply to the new project form
* Feature #22608: Enable filtering versions on Project -> Settings -> Versions
* Feature #24011: Add option to set a new version as default directly from New Version page

=== [REST API]

* Defect #23921: REST API Issue PUT responds 200 OK even when it can't set assigned_to_id
* Feature #7506: Include allowed activities list in "project" API response
* Feature #12181: Add attachment information to issues.xml in REST API
* Feature #23566: REST API should return attachment's id in addition to token
* Patch #19116: Files REST API
* Patch #22356: Add support for updating attachments over REST API
* Patch #22795: Render custom field values of enumerations in API requests

=== [Roadmap]

* Defect #23377: Don't show "status" field when creating a new version
* Feature #23137: Completed versions on Roadmap: Sort it so that recently created versions are on top

=== [Ruby support]

* Feature #25048: Ruby 2.4 support

=== [SCM]

* Defect #14626: Repositories' extra_info column is too short with MySQL

=== [SCM extra]

* Defect #23865: Typo: s/projet/project/ in Redmine.pm comments

=== [Search engine]

* Feature #9909: Search in project and its subprojects by default

=== [Text formatting]

* Defect #26310: "attachment:filename" should generate a link to preview instead of download
* Feature #4179: Link to user in wiki syntax
* Feature #22758: Make text formatting of commit messages optional
* Feature #24922: Support high resolution images in formatted content
* Patch #26157: Render all possible inline textile images

=== [Themes]

* Defect #25118: ThemesTest#test_without_theme_js may fail if third-party theme is installed

=== [Time tracking]

* Defect #13653: Keep displaying spent time page when switching project via dropdown menu
* Defect #23912: No validation error when date value is invalid in time entries filter
* Defect #24041: Issue subject is not updated when you select another issue in the new "Log time" page
* Feature #588: Move timelog between projects
* Feature #13558: Add version filter in spent time report
* Feature #14790: Ability to save spent time query filters
* Feature #16843: Enable grouping on time entries list
* Feature #23401: Add tracker and status columns/filters to detailed timelog
* Feature #24157: Make project custom fields available in timelogs columns
* Feature #24577: Settings to make the issue and/or comment fields mandatory for time logs
* Patch #24189: Time entry form - limit issue autocomplete to already selected project

=== [Translations]

* Defect #25470: Fix Japanese mistranslation for field_base_dn
* Defect #25687: Bad translation in french for indentation
* Patch #23108: Change Japanese translation for text_git_repository_note
* Patch #23250: Fixes issues with Catalan translation
* Patch #23359: Change Japanese translation for label_commits_per_author
* Patch #23388: German translation change
* Patch #23419: Change Japanese translation for label_display_used_statuses_only
* Patch #23659: Change Japanese translation for label_enumerations
* Patch #23806: Fix Japanese translation inconsistency of label_tracker_new and label_custom_field_new
* Patch #24174: Change Japanese translation for "format"
* Patch #24177: Change translation for label_user_mail_option_only_(assigned|owner)
* Patch #24268: Wrong German translation of logging time error message
* Patch #24407: Dutch (NL) translation enhancements and complete review (major update)
* Patch #24494: Spanish Panama "label_issue_new" translation change
* Patch #24518: Spanish translation change (adding accent mark and caps)
* Patch #24572: Spanish label_search_open_issues_only: translation change
* Patch #24750: Change Japanese translation for setting_text_formatting and setting_cache_formatted_text
* Patch #24891: Change Japanese translation for "items"
* Patch #25019: Localization for Ukrainian language - completed
* Patch #25204: Portuguese translation file
* Patch #25392: Change Russian translation for field_due_date and label_relation_new
* Patch #25609: Change Japanese translation for field_attr_*
* Patch #25628: Better wording for issue update conflict resolution in German
* Patch #26180: Change Russian translation for "Estimated time"

=== [UI]

* Defect #23575: Issue subjects are truncated at 60 characters on activity page
* Defect #23840: Reduce the maximum height of the issue description field
* Defect #23979: Elements are not aligned properly in issues table for some cases
* Defect #24617: Browser js/css cache remains after upgrade
* Feature #5920: Unify and improve cross-project views layout
* Feature #9850: Differentiate shared versions in version-format custom field drop-downs by prepending its project name
* Feature #10250: Renaming "duplicates" and "duplicated by" to something less confusing
* Feature #23310: Improved "jump to project" drop-down
* Feature #23311: New "Spent time" menu tab when spent time module is enabled on project
* Feature #23653: User preference for monospaced / variable-width font in textareas
* Feature #23996: Introduce a setting to change the display format of timespans to HH:MM
* Feature #24720: Move all 'new item' links in project settings to above the item tables
* Feature #24927: Render high resolution Gravatars and Thumbnails
* Feature #25988: Preview files by default instead of downloading them
* Feature #25999: View repository content by default (instead of the history)
* Feature #26035: More visually consistent download links
* Feature #26071: Generate markup for uploaded image dropped into wiki-edit textarea
* Feature #26189: For 3 comments or more on news items and forum messages, show reply link at top of comments as well
* Patch #23146: Show revision details using the same structure and look from the journals details
* Patch #23192: Add the new pagination style in the activity page
* Patch #23639: Add "Log time" to global button menu (+)
* Patch #23998: Added link to author in Repository
* Patch #24776: UI inconsistencies on /enumerations/index view
* Patch #24833: Always show "Jump to project" drop-down
* Patch #25320: Remove initial indentation of blockquotes for better readability
* Patch #25775: Show assignee's icon in addition to author's icon

=== [Wiki]

* Feature #12183: Hide attachments by default on wiki pages
* Feature #23179: Add heading to table of contents macro

== 2017-07-02 v3.3.4

=== [Accounts / authentication]

* Patch #25653: Fix NoMethodError on HEAD requests to AccountController#register

=== [Code cleanup/refactoring]

* Defect #26055: Three issues with Redmine::SyntaxHighlighting::CodeRay.language_supported?

=== [Gems support]

* Defect #25829: mysql2 0.3 gem doesn't properly close connections

=== [Importers]

* Patch #25861: CSV Importer - handle UndefinedConversionErrors

=== [Issues]

* Defect #26072: Set default assignee before validation

=== [Issues filter]

* Defect #25212: User profile should link to issues assigned to user or his groups

=== [Issues permissions]

* Defect #25791: Bypass Tracker role-based permissions when copying issues

=== [Security]

* Defect #26183: Use Nokogiri 1.7.2

=== [Text formatting]

* Defect #25634: Highlight language aliases are no more supported

=== [Translations]

* Patch #26264: Simplified Chinese translation for 3.3-stable

=== [UI]

* Defect #25760: Clicking custom field label should not check the first option

=== [UI - Responsive]

* Defect #25064: Issue description edit link corrupted in low resolution
* Patch #25745: Optimize Gantt Charts for mobile screens

== 2017-04-09 v3.3.3

* Defect #22335: Images with non-ASCII file names are not shown in PDF
* Defect #24271: htmlentities warning
* Defect #24869: Circular inclusion detected when including a wiki page with the same name
* Defect #24875: Issues API does not respect time_entries_visibility
* Defect #24999: Mercurial 4.1 compatibility
* Defect #25371: Git 2.9 compatibility
* Defect #25478: Related to "no open issues" shows all issues
* Defect #25501: Time entries query through multiple projects by issue custom field not possible anymore
* Patch #20661: Show visible spent time link for users allowed to view time entries.
* Patch #24778: Czech localisation for 3.3-stable
* Patch #24824: Traditional Chinese translation (to r16179)
* Patch #24885: Japanese translation for 3.3-stable
* Patch #24948: Bulgarian translation for 3.3-stable
* Patch #25459: Portuguese translation for 3.3-stable
* Patch #25502: Russian translation for 3.3-stable
* Patch #25115: Support upload of empty files and fix invalid API response
* Patch #25526: Revert API change in spent_hours field in issue#show
* Defect #23793: Information leak when rendering of Wiki links
* Defect #23803: Information leak when rendering Time Entry activities
* Defect #24199: Stored XSS with SVG attachments
* Defect #24307: Redmine.pm doesn't check that the repository module is enabled on project
* Defect #24416: Use redirect to prevent password reset tokens in referers
* Defect #25503: Improper markup sanitization in user content

== 2017-01-07 v3.3.2

* Defect #13622: "Clear" button in Spent Time Report tab also clears global filters
* Defect #14658: Wrong activity timezone on user page
* Defect #14817: Redmine loses filters after deleting a spent time
* Defect #22034: Locked users disappear from project settings
* Defect #23922: Time Entries context menu/bulk edit shows activities not available for the time entry's project
* Defect #24000: z-index children menu should be greater than content
* Defect #24092: bundler error: selenium-webdriver requires Ruby version >= 2.0.
* Defect #24156: Redmine might create many AnonymousUser and AnonymousGroup entries
* Defect #24274: Query totals and query buttons overlaps on small screens
* Defect #24297: Show action not allowed for time entries in closed projects
* Defect #24311: Project field disappears when target project disallows user to edit the project
* Defect #24348: acts_as_versioned use old style (Rails 2.x) of method call for #all
* Defect #24595: Unarchive link for a subproject of a closed project does not work
* Defect #24646: X-Sendfile is missing in response headers
* Defect #24693: Spent time on subtasks should also be reassigned when deleting an issue
* Defect #24718: Prevent from reassigning spent time to an issue that is going to be deleted
* Defect #24722: Error when trying to reassign spent time when deleting issues from different projects
* Patch #24003: Catalan Translation
* Patch #24004: Spanish & Spanish (PA) Translation
* Patch #24062: Allow only vertical reorderingin sortable lists
* Patch #24283: Validate length of string fields
* Patch #24296: Add tablename to siblings query to prevent AmbiguousColumn errors

== 2016-10-10 v3.3.1

* Defect #23067: Custom field List Link values to URL breaks on entries with spaces
* Defect #23655: Restricted permissions for non member/anonymous on a given project not working
* Defect #23839: "Invalid query" (Error 500) message with MS SQL when displaying an issue from a list grouped and sorted by fixed version
* Defect #23841: Custom field URL spaces not decoded properly
* Defect #22123: Totals cannot be removed completely if some columns are set in the global settings
* Defect #23054: Clearing time entry custom fields while bulk editing results in values set to __none__
* Defect #23206: Wrong filters are applied when exporting issues to CSV with blank filter
* Defect #23246: Saving an empty Markdown image tag in Wiki pages causes internal server error
* Defect #23829: Wrong allow-override example in rdm-mailhandler.rb
* Defect #23152: Distinguish closed subprojects on the project overview
* Defect #23172: Tickets can be assigned to users who are not available in specific tracker
* Defect #23242: thumbnail macro does not render when displaying wiki content version
* Defect #23369: encoding error in locales de.yml
* Defect #23391: Wrong CSS classes in subtasks tree
* Defect #23410: Error if create new issue and there is no project
* Defect #23472: Show open issues only in "Reported Issues" on My page
* Defect #23558: IssueImportTest#test_should_not_import_with_default_tracker_when_tracker_is_invalid fails randomly
* Defect #23596: Filter on issue ID with between/lesser/greater operator does not work
* Defect #23700: Creating a wiki page named "Sidebar" without proper permission raises an exception
* Defect #23751: Tab buttons appear on pages that have no tabs
* Defect #23766: API : creating issues with project identifier no longer possible
* Defect #23878: Closing all subtasks causes error if default priority is not defined and priority is derived from subtasks
* Defect #23969: Edit/delete links displayed on issue even if project is closed
* Defect #24014: Custom fields not used in project should not be visible in spent time report
* Patch #23117: Traditional Chinese textile and markdown help translation
* Patch #23387: Traditional Chinese textile and markdown detailed help translation (to r15723)
* Patch #23764: closed_on field of copied issue is always set to source issue's value
* Patch #23269: Fix for Error: Unable to autoload constant Redmine::Version when accessing the time report in first request
* Patch #23278: When creating issues by receiving an email, watchers created via CC in the mail don't get an email notification
* Patch #23389: Print Styles get overriden by responsive media query
* Patch #23708: Too long words in subtasks break layout
* Patch #23883: iOS 10 ignore disabled Zoom
* Patch #23134: Updated Korean locale
* Patch #23153: Plugin hooks for custom search results
* Patch #23171: Simplified Chinese translation for 3.3-stable
* Patch #23180: Make the issue id from email notifications linkable to issue page
* Patch #23334: Issue#editable_custom_field_values very slow for issues with many custom fields
* Patch #23346: Set user's localization before redirecting on forced password change to generate flash message in current user's language
* Patch #23376: Downloading of attachments with MIME type text/javascript fails
* Patch #23497: Russian translation for 3.3.0
* Patch #23587: Sudo-Mode refinements
* Patch #23725: Updated Brazilian translation for 3.3.0.stable
* Patch #23745: German translation for 3.3-stable

== 2016-06-19 v3.3.0

* Defect #5880: Only consider open subtasks when computing the priority of a parent issue
* Defect #8628: "Related to" reference may yield circular dependency error message
* Defect #12893: Copying an issue does not copy parent task id
* Defect #13654: Can't set parent issue when issue relations among child issues are present
* Defect #15777: Watched issues count on "My page" is shown for all issues instead of only open ones
* Defect #17580: After copying a task, setting the parent as the orignal task's parent triggers an error
* Defect #19924: Adding subtask takes very long
* Defect #20882: % done: progress bar blocked at 80 in the issue list
* Defect #21037: Issue show : bullet points not aligned if sub-task is in a different project
* Defect #21433: "version-completed" class is never set when version has no due date
* Defect #21674: The LDAP connection test does not check the credentials
* Defect #21695: Warning "Can't mass-assign protected attributes for IssueRelation: issue_to_id"
* Defect #21742: Received text attachments doesn't hold the original encoding on Ruby >= 2.1
* Defect #21855: Gravatar get images over http instead https
* Defect #21856: I18n backend does not support original i18n Pluralization
* Defect #21861: typo: s/creditentials/credentials/
* Defect #22059: Issue percentage selector extends screen border
* Defect #22115: Text in the "removed" part of a wiki diff is double-escaped
* Defect #22123: Totals cannot be removed completely if some columns are set in the global settings
* Defect #22135: Semi colon is spelled semicolon
* Defect #22405: SQL server: non ASCII filter does not work
* Defect #22493: Test code bug in application_helper_test
* Defect #22745: Rest API for Custom Fields does not return keys for key/value types
* Defect #23044: Typo in Azerbaijani general_lang_name
* Defect #23054: Clearing time entry custom fields while bulk editing results in values set to __none__
* Defect #23067: Custom field List Link values to URL breaks on entries with spaces
* Feature #285: Tracker role-based permissioning
* Feature #1725: Delete button on comments
* Feature #4266: Display changeset comment on repository diff view.
* Feature #4806: Filter the issue list by issue ids
* Feature #5536: Simplify Wiki Page creation ("Add Page" link)
* Feature #5754: Allow addition of watchers via bulk edit context menu
* Feature #6204: Make the "New issue" menu item optional
* Feature #7017: Add watchers from To and Cc fields in issue replies
* Feature #7839: Limit trackers for new issue to certain roles
* Feature #12456: Add units in history for estimated time
* Feature #12909: Drag'n'drop order configuration for statuses, trackers, roles...
* Feature #13718: Accept dots in JSONP callback
* Feature #14462: Previous/next links may be lost after editing the issue
* Feature #14574: "I don't want to be notified of changes that I make myself" as Default for all User
* Feature #14830: REST API : Add support for attaching file to Wiki pages
* Feature #14937: Code highlighting toolbar button
* Feature #15880: Consistent, global button/menu to add new content
* Feature #20985: Include private_notes property in xml/json Journals output
* Feature #21125: Removing attachment after rollback transaction
* Feature #21421: Security Notifications when security related things are changed
* Feature #21500: Add the "Hide my email address" option on the registration form
* Feature #21757: Add Total spent hours and Estimated hours to the REST API response
* Feature #22018: Add id and class for easier styling of query filters
* Feature #22058: Show image attachments and repo entries instead of downloading them
* Feature #22147: Change "Related issues" label for generic grouped query filters
* Feature #22381: Require password reset on initial setup for default admin account
* Feature #22383: Support of default Active Record (I18n) transliteration paths
* Feature #22482: Respond with "No preview available" instead of sending the file when no preview is available
* Feature #22951: Make Tracker and Status map-able for CSV import
* Feature #22987: Ruby 2.3 support
* Feature #23020: Default assigned_to when receiving emails
* Feature #23107: Update CodeRay to v1.1.1.
* Patch #3551: Additional case of USER_FORMAT, #{lastname}#{firstname} without any sperator
* Patch #6277: REST API for Search
* Patch #14680: Change Simplified Chinese translation for version 'field_effective_date'
* Patch #14828: Patch to add support for deleting attachments via API
* Patch #19468: Replace jQuery UI Datepicker with native browser date fields when available
* Patch #20632: Tab left/right buttons for project menu
* Patch #21256: Use CSS instead of image_tag() to show icons for better theming support
* Patch #21282: Remove left position from gantt issue tooltip
* Patch #21434: Additional CSS class for version status
* Patch #21474: Adding issue css classes to subtasks and relations tr
* Patch #21497: Tooltip on progress bar
* Patch #21541: Russian translation improvement
* Patch #21582: Performance in User#roles_for_project
* Patch #21583: Use association instead of a manual JOIN in Project#rolled_up_trackers
* Patch #21587: Additional view hook for body_top
* Patch #21611: Do not collect ids of subtree in Query#project_statement
* Patch #21628: Correct Turkish translation
* Patch #21632: Updated Estonian translation
* Patch #21663: Wrap textilizable with DIV containing wiki class
* Patch #21678: Add missing wiki container for news comments
* Patch #21685: Change Spanish Panama thousand delimiters and separator
* Patch #21738: Add .sql to mime-types
* Patch #21747: Catalan translation
* Patch #21776: Add status, assigned_to and done_ratio classes to issue subtasks
* Patch #21805: Improve accessibility for icon-only links
* Patch #21931: Simplified Chinese translation for 3.3 (some fixes)
* Patch #21942: Fix Czech translation of field_time_entries_visibility
* Patch #21944: Bugfix: Hide custom field link values from being shown when value is empty
* Patch #21947: Improve page header title for deeply nested project structures (+ improved XSS resilience)
* Patch #21963: German translations change
* Patch #21985: Increase space between menu items
* Patch #21991: Japanese wiki_syntax_detailed_textile.html translation improvement
* Patch #22078: Incorrect French translation of :setting_issue_group_assignment
* Patch #22126: Update for Lithuanian translation
* Patch #22138: fix Korean translation typo
* Patch #22277: Add id to issue query forms to ease styling within themes
* Patch #22309: Add styles for blockquote in email notifications
* Patch #22315: Change English translation for field_effective_date: "Date" to "Due date"
* Patch #22320: Respect user's timezone when comparing / parsing Dates
* Patch #22345: Trackers that have parent_issue_id in their disabled_core_fields should not be selectable for new child issues
* Patch #22376: Change Japanese translation for label_issue_watchers
* Patch #22401: Notify the user of missing attachments
* Patch #22496: Add text wrap for multiple value list custom fields
* Patch #22506: Updated Korean locale data
* Patch #22693: Add styles for pre in email notifications
* Patch #22724: Change Japanese translation for "last name" and "first name"
* Patch #22756: Edit versions links on the roadmap
* Patch #23021: fix Russian "setting_thumbnails_enabled" misspelling
* Patch #23065: Fix confusing Japanese translation for permission_manage_related_issues
* Patch #23083: Allow filtering for system-shared versions in version custom fields in the global issues view

== 2016-06-05 v3.2.3

* Defect #22808: Malformed SQL query with SQLServer when grouping and sorting by fixed version
* Defect #22912: Selecting a new filter on Activities should not reset the date range
* Defect #22924: Persistent XSS in Markdown parsing
* Defect #22925: Persistent XSS in project homepage field
* Defect #22926: Persistent XSS in Textile parsing
* Defect #22932: "Group by" row from issues listing has the colspan attribute bigger with one than the number of columns from the table
* Patch #22427: pt-BR translation for 3.2.stable
* Patch #22761: Korean translation for 3.2-stable
* Patch #22898: !>image.png! generates invalid HTML
* Patch #22911: Error raised when importing issue with Key/Value List custom field

== 2016-05-05 v3.2.2

* Defect #5156: Bulk edit form lacks estimated time field
* Defect #22105: Responsive layout. Change menu selector in responsive.js.
* Defect #22134: HTML markup discrepancy ol and ul at app/views/imports/show.html.erb
* Defect #22196: Improve positioning of issue history and changesets on small screens
* Defect #22305: Highlighting of required and read-only custom fields broken in Workflow editor
* Defect #22331: bundler error: Ruby 1.9.3 = "mime-types-data requires Ruby version >= 2.0."
* Defect #22342: When copying issues to a different project, subtasks /w custom fields not copied over
* Defect #22354: Sort criteria defined in custom queries are not applied when exporting to CSV
* Defect #22583: CSV import delimiter detection broken
* Patch #22278: Revision Graph and Table should work with vertical-align: middle
* Patch #22296: Add collision option to autocomplete initialization
* Patch #22319: Fix German "error_invalid_csv_file_or_settings" typo
* Patch #22336: Revision Table does not scroll horizontally on small screens
* Patch #22721: Check that the file is actually an image before generating the thumbnail

== 2016-03-13 v3.2.1

* Defect #21588: Simplified Chinese "field_cvs_module" translation has problem (Patch #21430)
* Defect #21656: Fix Non ASCII attachment filename encoding broken (MOJIBAKE) in Microsoft Edge Explorer
* Defect #22072: Private notes get copied without private flag to Duplicate issues
* Defect #22127: Issues can be assigned to any user
* Defect #21219: Date pickers images for start/due date fields are not shown for issues with subtasks
* Defect #21477: Assign to "Anonymous" doesn't make much sense
* Defect #21488: Don't use past start date as default due date in the date picker
* Defect #21504: IssuePriority.position_name not recalculated every time it should
* Defect #21551: Private note flag disappears in issue update conflict
* Defect #21843: Nokogiri security issue
* Defect #21900: Moving a page with a child raises an error if target wiki contains a page with the same name as the child
* Defect #20988: % done field shown on issue show subtree even if deactivated for that tracker
* Defect #21263: Wiki lists in the sidebar are broken
* Defect #21453: LDAP account creation fails when first name/last name contain non ASCII
* Defect #21531: rdm-mailhandler with project-from-subaddress fails
* Defect #21534: Backtrace cleaner should not clean plugin paths
* Defect #21535: Moving a custom field value in the order switches in the edit view
* Defect #21775: Field "Done" from issue subtasks table overlaps the layout in responsive mode, width 400
* Defect #22108: Issues filter for CSV Export are not applied
* Defect #22178: Grouping issues by key/value custom field raises error 500
* Feature #21447: Option to show email adresses by default
* Patch #21650: Simplified Chinese translation of wiki formating for 2.6-stable
* Patch #21881: Russian wiki translation for 2.6-stable
* Patch #21898: Catalan wiki translation for 2.6-stable
* Patch #21456: Simplified Chinese translation of wiki formating for 3.1-stable
* Patch #21686: Russian translation for 3.1-stable
* Patch #21687: German translations for 3.1-stable
* Patch #21689: Turkish translation for 3.1-stable
* Patch #21882: Russian wiki translation for 3.1-stable
* Patch #21899: Catalan wiki translation for 3.1-stable
* Patch #22131: German translations for 3.1-stable
* Patch #22139: Japanese wiki syntax (Markdown) translation for 3.1-stable
* Patch #21436: Prevent admins from sending themselves their own password
* Patch #21454: Simplified Chinese translation for 3.2.0
* Patch #21487: Larger font for email notifications
* Patch #21521: Updated Spanish and Spanish Panama Translations
* Patch #21522: Simplified Chinese translation for r14976
* Patch #21527: Russian translation for 3.2.0
* Patch #21593: Add class to contextual edit button that relates to heading on wiki pages
* Patch #21620: Turkish translation for 3.2-stable
* Patch #21635: German translations for 3.2
* Patch #21740: Fixes misspelled word "RMagcik" in configuration.yml.example
* Patch #21847: Let mobile header be fixed
* Patch #21867: Add column `estimated_hours` for CSV import.
* Patch #21883: Russian wiki translation for 3.2-stable
* Patch #22009: Japanese wiki syntax (Markdown) translation for 3.2-stable
* Patch #22074: Prevent username from overlapping in mobile menu
* Patch #22101: Set max-with to 100% for input, select and textea
* Patch #22104: Prevent font scaling in landscape mode on webkit
* Patch #22128: Attachment form too wide on small screens
* Patch #22132: German translations for 3.2-stable

== 2015-12-06 v3.2.0

* Defect #17403: Unknown file size while downloading attachment
* Defect #18223: Table renders wrong if a trailing space is after | symbol
* Defect #19017: Wiki PDF Export: <pre> not rendered with monospaced font
* Defect #19271: Configuration of which versions are shown in version-format custom fields should not affect issue query filter
* Defect #19304: <a> tag without attributes in description results in undefined method + for nil:NilClass
* Defect #19403: Mistake in Polish Translation file.
* Defect #19657: Can't reorder activities after disabling activities on a project
* Defect #20117: Activities set as inactive missing in spent time report filter
* Defect #20296: Double full stops in Japanese
* Defect #20361: Project copy does not update custom field of version type values
* Defect #20438: Subject filter doesn't work with non ASCII uppercase symbols
* Defect #20463: Internal error when moving an issue to a project without selected trackers and active issue tracking
* Defect #20501: Empty divs when there are no custom fields on the issue form
* Defect #20543: Mail handler: don't allow override of some attributes by default
* Defect #20551: Typo "coma" (correct: "comma")
* Defect #20565: Search and get a 404 page when adding a new project
* Defect #20583: Setting Category/Version as a required field causes error in projects without categories/versions
* Defect #20995: Automatic done ratio calculation in issue tree is wrong in some cases
* Defect #21012: Link custom fields with long URLs are distorting issue detail view
* Defect #21069: Hard-coded label for hour
* Defect #21074: When changing the tracker of an existing issue, new custom fields are not initialized with their default value
* Defect #21175: Unused strings: label_(start|end)_to_(start|end)
* Defect #21182: Project.uniq.visible raises an SQL error under certain conditions
* Defect #21226: Some log messages are missing the "MailHandler" prefix
* Defect #21382: Watcher deletion of inactive user not possible for non-admin users
* Feature #950: Import Issues from delimited/CSV file
* Feature #1159: Allow issue description to be searchable as a filter
* Feature #1561: Totals for estimated/spent time and numeric custom fields on the issue list
* Feature #1605: Activity page to remember user's selection of activities
* Feature #1828: Default target version for new issues
* Feature #3034: Add day numbers to gantt
* Feature #3398: Link to assigned issues on user profiles
* Feature #4285: Add cancel button during edition of the wiki
* Feature #5816: New issue initial status should be settable in workflow
* Feature #7346: Allow a default version to be set on the command line for incoming emails
* Feature #8335: Email styles inline
* Feature #10672: Extend Filesize in the attachments table for files with size > 2147483647 bytes
* Feature #13429: Include attachment thumbnails in issue history
* Feature #13946: Add tracker name to Redmine issue link titles
* Feature #16072: Markdown footnote support
* Feature #16621: Ability to filter issues blocked by any/no open issues
* Feature #16941: Do not clear category on project change if category with same exists
* Feature #17618: Upgrade net-ldap version to 0.12.0
* Feature #19097: Responsive layout for mobile devices
* Feature #19885: Raise time entries comments limit to 1024
* Feature #19886: Raise wiki edits comments limit to 1024
* Feature #20008: Files upload Restriction by files extensions
* Feature #20221: Time entry query : column week
* Feature #20388: Removing attachment after commit transaction
* Feature #20929: Raise maximum length of LDAP filter
* Feature #20933: Options for shorter session maximum lifetime
* Feature #20935: Set autologin cookie as secure by default when using https
* Feature #20991: Raise maximum length of category name to 60
* Feature #21042: Check "Hide my email address" by default for new users
* Feature #21058: Keep track of valid user sessions
* Feature #21060: Custom field format with possible values stored as records
* Feature #21148: Remove "Latest Projects" from Home page
* Feature #21361: Plugins ui tests rake task
* Patch #20271: Fix for multiple tabs on the same page
* Patch #20288: Finalize CodeRay 1.1.0 upgrade
* Patch #20298: "div" tag around revision details
* Patch #20338: Turkish "activity" translation change
* Patch #20368: Make corners rounded
* Patch #20369: Use String#casecmp for case insensitive comparison
* Patch #20370: Lighter colors for journal details in issue history
* Patch #20411: Change Japanese translation for "view"
* Patch #20413: Use a table instead of an unordered list in "Issue tracking" box
* Patch #20496: Change Japanese translation for "time tracking"
* Patch #20506: redmine I18n autoload instead of require
* Patch #20507: ThemesHelper reopening ApplicationHelper is problem with autoloading
* Patch #20508: Required file lib/redmine/hook.rb is patching autoloaded ApplicationHelper
* Patch #20589: Activate sudo mode after password based login
* Patch #20720: Traditional Chinese "issue" translation change
* Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com)
* Patch #20740: Confusing name: test public query called "private"
* Patch #21033: Polish translation change
* Patch #21110: Keep anchor (i.e. to a specific issue note) throughout login
* Patch #21119: Give numbers in query sort criteria consistent width for non-monospaced fonts
* Patch #21126: Change Japanese translation for "List"
* Patch #21137: Rescue network level errors with LDAP auth
* Patch #21159: Hide empty <ul> on project overview
* Patch #21169: Use config.relative_url_root as the default path for session and autologin cookies
* Patch #21176: Japanese translation change (Blocks / Blocked by)
* Patch #21258: Use <ul> to do pagination, styling in a GitHub like manner with improved handling in responsive mode
* Patch #21280: Change Japanese translation for text_user_wrote

== 2015-12-05 v3.1.3

* Defect #16948: Broken anonymous repository access for public projects with Apache 2.4 (redmine.pm)
* Defect #21328: pdf: Vietnamese Italic is not shown
* Defect #21419: Information leak in Atom feed
* Patch #21312: Fix exception in Redmine.pm when authenticating anonymous users
* Patch #21430: Simplified Chinese translation

== 2015-11-14 v3.1.2

* Defect #20992: Parent priority "Independent of subtasks" setting doesn't work
* Defect #20360: Project copy does not copy custom field settings
* Defect #20380: Cannot assign users to projects with IE set to compatibility mode
* Defect #20591: PDF export does not determine picture (.png) height correctly
* Defect #20677: Custom fields with multiple values required by worklow can be blank
* Defect #20811: long <pre> lines are missing from PDF export of wiki pages
* Defect #21136: Issues API may disclose changeset messages that are not visible
* Defect #21150: Time logging form may disclose subjects of issues that are not visible
* Defect #21155: Deleting invalid wiki page version deletes whole page content
* Defect #20282: Error message when editing a child project without add project/subprojects permissions
* Defect #20730: Fix tokenization of phrases with non-ascii chars
* Defect #21071: find_referenced_issue_by_id fails with RangeError for large numbers
* Patch #21031: Polish translation update for 3.0-stable
* Patch #21105: Japanese wiki_syntax_detailed_textile.html translation for 3.0-stable
* Patch #20785: Polish translation update for 3.1-stable
* Patch #20837: Bulgarian translation
* Patch #20892: Spanish translation for r14637
* Patch #20906: Fix mulitple tab navigation highlighting and content hiding
* Patch #21019: Traditional Chinese translation (to r14689)
* Patch #21076: Move inline CSS to application.css for private checkbox
* Patch #21085: Optimize issue edit description link

== 2015-09-20 v3.1.1

* Feature #11253: Total time spent from subtasks on the issue list
* Feature #20688: Add Total estimated hours column on issue list
* Feature #20738: Upgrade Rails 4.2.4
* Defect #19577: Open redirect vulnerability
* Defect #20761: Fix typo of Japanese translation for notice_gantt_chart_truncated
* Defect #20427: Cannot create a custom query visibility is "to these roles only"
* Defect #20454: Mail handler: unwanted assignment to a group occurs
* Defect #20278: Wrong syntax for resizing inline images will throw a 500 error
* Defect #20401: "Spent time" panel: columns not wrapping
* Defect #20407: Monospace font-family values are differ between application.css and scm.css
* Defect #20456: 3.1-stable/3.1.0: missing commits (omitted from being merged from trunk)
* Defect #20466: Broken email notification layout in Outlook
* Defect #20490: WARNING: Can't mass-assign protected attributes for User
* Defect #20633: Help cursor showing up since r14154
* Patch #20293: Russian translation for 2.6-stable
* Patch #20294: Russian translation for 2.6-stable
* Patch #20408: Turkish translation for 2.6-stable
* Patch #20557: Czech translation for 2.6-stable
* Patch #20735: Markdown: Upgrade redcarpet gem to 3.3 (ruby 1.9 and higher)
* Patch #20745: Portuguese translation for 2.6-stable
* Patch #20512: Project.copy_from deletes enabled_modules on source
* Patch #20737: Czech translation for 3.0-stable
* Patch #20746: Portuguese translation for 3.0-stable
* Patch #20243: Use https links instead of http links in ApplicationHelper#avatar_edit_link and Redmine::Info class methods
* Patch #20410: Turkish translation for 3.1-stable
* Patch #20452: Czech localisation update
* Patch #20731: Change Japanese translation for "spent time"
* Patch #20747: Portuguese translation for 3.1-stable

== 2015-07-26 v3.1.0

* Defect #4334: "Watch"ing an issue doesn't update watchers list
* Defect #13924: Error when using views/issues/index.api.rsb in a plugin
* Defect #14881: Issue journals should be ordered by created_on, not id
* Defect #15716: Scraped emails include CSS from HTML emails
* Defect #19243: Ambiguous date format options (eg. 03/03/2015) in settings
* Defect #19656: Activities do not correspont to project when adding time from my page.
* Defect #19737: HTML Sanitizer not working for Outlook mails
* Defect #19740: "Truncate emails after one of these lines" setting is not working
* Defect #19995: Can't apply textile modifiers to 1 non-ASCII character
* Defect #20141: Sync #wiki_format_provider plugin API shortcut with changes to Redmine::WikiFormatting.register from r12450 and r14313
* Defect #20159: Disallow users to delete a version referenced by a custom field
* Defect #20206: Members w/o view issues permission are able to list issues on public projects if the non member role has the permission
* Defect #20372: Contents inside <pre> are not rendered as monospace font in Chrome for Mac
* Feature #5418: Add Gravatar and edit link to "My account" page
* Feature #5490: Option for independent subtask priority/start date/due date/done ratio
* Feature #6118: Filter by parent task or subtasks
* Feature #7037: CSV export encoding and excel. UTF-8 and BOM
* Feature #8424: Add private issue option to receiving emails
* Feature #8929: Permission to view only your own time logs
* Feature #11253: Total time spent from subtasks on the issue list
* Feature #12312: Raise 60-character limit for document titles
* Feature #16373: TextFormatting help for Markdown formatting
* Feature #16535: Set a max width to html email content
* Feature #16962: Better handle html-only emails
* Feature #19182: Patch to the Redmine Mail Handler for specifying a custom CA bundle
* Feature #19458: Add the ability to expire passwords after a configurable number of days
* Feature #19707: Ability to limit member management to certain roles
* Feature #19851: Sudo mode: Require password re-entry for sensitive actions (optional)
* Patch #5770: Welcome text misses wiki formatting
* Patch #14402: Plugin migration directory should use plugin directory
* Patch #19296: Include custom fields description in project settings and issue view
* Patch #19339: Put news articles into <article> tags
* Patch #19341: Put roadmap versions in <article> tags
* Patch #19455: Replace manual query in version helper
* Patch #19509: Change Japanese translation for field_login
* Patch #19546: Change default display mode for PDF Export to OneColumn
* Patch #19991: Japanese translation change
* Patch #19993: Change csv separators of Spanish/Panama
* Patch #20130: Bulgarian translation change
* Patch #20174: Add missing member_role to fixtures
* Patch #20180: Make the updateIssueFrom(url) function return the XMLHttpRequest object

== 2015-07-07 v3.0.4

* Defect #17757: Link with hash does not work on Firefox
* Defect #19095: PDF is broken on iOS
* Defect #19485: Column 'address' in where clause may be ambiguous
* Defect #19815: Bulk issue copy copies subtasks and attachments even if option is unchecked
* Defect #19835: Newlines stripped from CVS commit messages
* Defect #19840: Missing validation for description size of versions
* Defect #19842: User allowed to manage public queries in any project, can create public query visible to everyone for ALL projects
* Defect #19844: Roles are not aligned on new member form
* Defect #19956: Connection leak on svn/redmine integration
* Defect #19957: acts_as_versioned not compatible with ActiveRecord 4.2.1
* Defect #20066: List of groups sorted in desc by default
* Defect #20118: Missing row in PDF if issue description contains '<'-character
* Feature #19364: Images and Thumbnail are not interpreted in table while exporting PDF
* Feature #20142: Update Gemfile to require rbpdf ~>1.18.6
* Patch #19825: Russian translation update
* Patch #20035: Italian translation update
* Patch #20203: The test email action should use POST only (CSRF protection)

== 2015-05-10 v3.0.3

* Defect #18580: Can't bulk edit own time entries with "Edit own time entries"
* Defect #19731: Issue validation fails if % done field is deactivated
* Defect #19735: Email addresses with slashes are not linked correctly
* Patch #19655: Set a back_url when forcing new login after session expiration
* Patch #19706: Issue show : optimizations
* Patch #19793: Adding flash messages to files_controller#create

== 2015-04-26 v3.0.2

* Defect #19297: Custom fields with hidden/read-only combination displayed in Issue Edit Form
* Defect #19400: Possibility of having 2 (or more) repositories with empty identifier
* Defect #19444: Fix typo in wiki_syntax_detailed.html
* Defect #19538: Keywords in commit messages: journal entries are created even if nothing was changed
* Defect #19569: Field permissions not working properly with inherited memberships
* Defect #19580: "Required" and "Read-only" rules on "Fields Permissions" screen are not colored
* Defect #13583: Space between lines in nested lists not equal
* Defect #19161: 500 Internal error: sorting for column mail at Administration/User
* Defect #19163: Bulk edit form shows additional custom fields
* Defect #19168: Activity: changes made to tickets are shown multiple times
* Defect #19185: Update Install/Upgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set config.secret_key_base
* Defect #19276: Creating new issues with invalid project_id should return 422 instead of 403 error
* Defect #19405: Setting config.logger.level in additional_environment.rb has no effect
* Defect #19464: Possible to log time on project without time tracking
* Defect #19482: Custom field (long text format) displayed even if empty
* Defect #19537: Broken HTML sanitizer refence breaks email receiving
* Defect #19544: Malformed SQL query with SQLServer when grouping issues
* Defect #19553: When create by copying the issue, status can not be changed to default
* Defect #19558: Mail handler should not ignore emails with x-auto-response-suppress header
* Defect #19606: Issue Estimated Time not updated on tracker change
* Feature #19437: Upgrade to Rails 4.2.1
* Feature #19489: Translation for Spanish Panama
* Patch #19570: Spanish translation updated

== 2015-03-16 v3.0.1

* Defect #19197: Missing notification if assignee was a group
* Defect #19260: Non-default identifier-less git repositories are undeletable
* Defect #19305: settings: incompatible character encodings: UTF-8 and ASCII-8BIT: yaml generated on ruby 1.8
* Defect #19313: Attached inline images with non-ascii file name can not be seen when text formatting is Makdown
* Defect #19348: Project name is missing for versions from sub-projects
* Defect #19381: Wrong syntax for wiki macros in wiki_syntax_detailed.html
* Defect #19172: "gem update bundler" suggestion for "`x64_mingw` is not a valid platform"
* Defect #19218: Wrong name for pt-BR in language drop-down
* Defect #19225: When deleting one item from multivalued custom field / list of users, name of removed user is not visible in history
* Defect #19232: IMAP STARTTLS options typo :tls
* Defect #19253: Repository users broken if only one committer exists
* Defect #19316: CustomField#possible_values may raise undefined method `force_encoding' error
* Defect #19320: Spent time (last 7 days) in My page not updated
* Defect #19323: Incorrect links generated in emails if host setup uses other port (":" symbol)
* Defect #19325: ActionController::UnknownFormat: error for PDF request and unknown user
* Defect #19354: Unexpected milliseconds in JSON time attributes
* Defect #19368: Creating an issue without tracker_id attribute ignores custom field values
* Patch #19233: Change 20150113213922_remove_users_mail.rb from Irreversible to Reversible
* Patch #19322: Allow to ignore auto reply messages from Exchange server

== 2015-02-19 v3.0.0

* Defect #2573: Latest projects list: no space after lists in project description
* Defect #6579: Tree hierachy being currupted on multiple submissions of an issue
* Defect #14151: Grammer problem with German x_days
* Defect #15789: Users can see all groups when adding a filter "Assignee's Group"
* Defect #15988: Unexpected behaviour on issue fields for users that have multiple roles
* Defect #18237: From a rake task context, impossible to create an IssueRelation normally
* Defect #18265: Wrong csv separator in Croatian
* Defect #18301: Revision shortlink at end of URL breaks URL autolinking
* Defect #18314: German Translation - button_update
* Defect #18605: Wrong usage of logger.info to test log level
* Defect #18654: Custom field is rendered, even if its value is empty (for multiple)
* Defect #18711: Respect cross-project subtask setting on issue bulk edit form
* Defect #18781: Redmine::FieldFormat::IntFormat does not accept "real" Integer values
* Defect #18832: Activity Stream Filter missing on right hand side due to permission
* Defect #18855: User with only Move Issue rights in the project can still create issues using mass copy!
* Defect #18918: Grouping label for "none" should be changed to "null", "No Value", or" (blank) ".
* Defect #19024: link_to in Redmine::Hook::ViewListener omits url root
* Defect #19030: Links to completed versions on the roadmap page might lead to a "403 not authorized page"
* Defect #19039: Mail notification is formatting dates with changer's locale
* Defect #19040: Potential DB deadlocks on concurrent issue creation
* Defect #19055: 'label_per_page' is no longer used
* Defect #19111: Bad spelling in Spanish "mail_body_reminder"
* Feature #992: Option to search open issues only
* Feature #1326: Add / edit an attachment description after upload
* Feature #1415: Let system administrator limit repositories valid sources
* Feature #4244: Multiple email addresses for each user
* Feature #4383: Search Names of Files Attached to Issues
* Feature #4518: Wiki formatting documentation for nested lists
* Feature #5450: Move wiki page to other project
* Feature #5991: Tracker should have it's own default issue status
* Feature #6426: MenuManager::MenuItem should support a named route as a url
* Feature #7249: Custom fields for Documents
* Feature #8121: Allow overriding direction of part of text
* Feature #8818: Repository user-mapping with multiple email addresses
* Feature #11702: Add user/group to multiple projects at once
* Feature #11724: Prevent users from seeing other users based on their project membership
* Feature #12097: Multi Thread Support
* Feature #12734: Add table reference to textile help
* Feature #13051: Support any macro in (pdf) export for wiki's and issues
* Feature #13425: Ignore X-Autoreply mails
* Feature #13497: Document all available Redmine links properly
* Feature #13849: Grouped filters in the filter drop-down
* Feature #14371: Drop Ruby 1.8.7 support
* Feature #14534: Upgrade to Rails 4.2
* Feature #15236: Propose diff view for long text custom fields
* Feature #16823: IMAP STARTTLS support
* Feature #17354: User detail : show user login to admins
* Feature #17763: Ability to render multiple partials with view hook
* Feature #18500: Optional linking when copying issues
* Feature #18571: Tab "New Issue" should not be displayed if a project has no trackers
* Feature #18631: Better search results pagination
* Feature #18801: Support for accent insensitive search with PostgreSQL
* Feature #18860: Replace awesome_nested_set gem with a custom implementation of nested sets
* Feature #18947: Ruby 2.2 support
* Feature #19131: Use a better content type for attachments created with application/octet-stream
* Patch #6586: Calendar view hook Request
* Patch #13120: Translation in language selection
* Patch #18182: Latvian translation update
* Patch #18261: Japanese translation change (fix terms mismatch "default")
* Patch #18276: Allow queries captions to be dynamic
* Patch #18290: Issue performance patch
* Patch #18390: Better RTL css for the system
* Patch #18392: German translation: Self-registration
* Patch #18565: html improvements on project landing page
* Patch #18659: Do not truncate subissue/related issues titles on single issue view
* Patch #18671: Japanese translation change (fix misspelled word)
* Patch #18679: LabelledFormBuilder#label outputs 2 label elements
* Patch #18692: Access keys for previous (p)/next (n) links
* Patch #18707: Allow attachment thumbnails from REST api
* Patch #18817: Sort helper undefined to_a for string
* Patch #18818: TimeEntry acts_as_activity_provider scope should joins(:project)
* Patch #18983: Allow filtering of Redmine Reminders by Version
* Patch #19005: Make search results per page configurable
* Patch #19035: Japanese translation fix (label_age)

== 2015-02-19 v2.6.2

* Defect #10681: Export to Persian PDF problem
* Defect #17722: Plugin update check not working if redmine is viewed over https
* Defect #18586: Arabic PDF
* Defect #18632: PDF Export has no left padding for tables
* Defect #18883: Slow rendering of large textile tables
* Defect #18894: Grouping of Boolean field: Both "No" and "blank" tickets are grouped in "none" groups
* Defect #18896: Grouping of Boolean field in Query: group not displayed for "No" value if the group is in first position
* Defect #18922: rdm-mailhandler.rb should catch EOFError
* Defect #18961: {{macro_list}} error when choose markdown as wiki language
* Defect #19065: API: issue details created_on timestamp not formatted as expected
* Defect #19120: Wrap parent task title on the issue list
* Defect #19117: Potential XSS vulnerability in some flash messages rendering

== 2015-01-11 v2.6.1

* Defect #13608: Parent column in CSV export should include issue id only
* Defect #13673: Parent issue column includes issue subject (making issue list unworkable wide)
* Defect #14699: Cannot change "From" header in email notifications
* Defect #17744: Disabling fields in tracker keeps attached workflow permissions
* Defect #18060: Selected projects in email notifications on "my account" are lost when the page is redisplayed after a validation error
* Defect #18176: PDF: long text is corrupt
* Defect #18269: Timelog CSV export missing tracker name and issue name
* Defect #18280: closed_on missing when closed status of issue status changed
* Defect #18349: URL not rendered as a link when followed by a line break and another URL
* Defect #18464: Use of PRE tag in Issue description results in wrapped text with latest Google Chrome
* Defect #18499: Localisation not set correctly on authenticity token errors
* Defect #18501: Textile bold highlighting problem
* Defect #18629: PDF Export removes separating space after tables
* Defect #18665: Internal Server Error when adding user to group where he is already assigned
* Defect #18667: Attachment content type not set when uploading attachment
* Defect #18685: Plugin migration confuses two plugins with similar names
* Defect #18734: Select / case is missing a break in application.js
* Defect #18769: Reordering roles, trackers or statuses always redirects to the first page
* Defect #18777: Moving column to top of "Select Columns" results in loss of all other column selections
* Feature #8817: Attachments/Plugin assets directory writable errors
* Patch #17705: MailHandler should ignore bogus issue strings [some-string#1234] in subject
* Patch #18051: Cancel button on issue edit view
* Patch #18156: Spanish translation file
* Patch #18157: German translation
* Patch #18252: Japanese wiki_syntax_detailed.html translation update
* Patch #18357: Improvement of column selection: allow to move multiple columns in selection list
* Patch #18410: Spent hours should be cleared on #reload
* Patch #18534: Galician (gl) translation for 2.6-stable
* Patch #18587: Swedish translation (updated)
* Patch #18782: Fix ui tests broken by undefined method error
* Patch #18789: UI tests and capybara version

== 2014-10-21 v2.6.0

* Defect #8753: PDF export for Hebrew is reversed
* Defect #8758: Ignore email keywords after delimiter
* Defect #9660: Issues counters in roadmap only link to issues in the same project
* Defect #11788: Export to PDF: align right in table doesn't work
* Defect #12580: long hyperlinks inserted in task description breaks right frame boundary
* Defect #12934: PDF export: No images in tables
* Defect #13487: Honor committer => user mapping in repository statistics
* Defect #13642: PDF bookmark not displayed when contain a non-ascii character
* Defect #13781: CJK(Chinese/Japanese/Korean) characters are not shown in PDF on non CJK locales
* Defect #13860: Text of custom fields is not wrapped in PDF exports of issues
* Defect #14281: Parent issue autocomplete does not follow to the "Allow cross-project subtasks" setting
* Defect #14466: Wrap long issue fields in issue pdf header
* Defect #14491: MailHandler: Unable to determine target project (when allow_override=project and project=unassigned is used)
* Defect #14737: Gantt, completed % truncated instead of rounded
* Defect #14917: Bad table formatting in pdf export
* Defect #16496: Link custom field are not displayed as links on the issue list
* Defect #17023: The error flash message on session expiration is not in the language of the user but of the user of the previous request
* Defect #17202: Copying Project Fails to Copy Queries with visibility == VISIBILITY_ROLES
* Defect #17322: Long strings such as URL break out of box
* Defect #17484: Custom fields added to "spent time" don't show in context menu
* Defect #17828: Could not find gem 'mocha (~> 1.0.0) ruby'
* Defect #17931: note "Applied in changeset" generated multiple times for the same repo
* Defect #17954: /time_entries/new can't derive project from issue
* Defect #17959: Issue notes not previewed when project is changed
* Defect #18041: Wiki, Pdf export, Table, <pre>
* Defect #18110: Extraction of list of available locales is probe to bad gems
* Defect #18119: Thumbnail image path without HTTPS
* Defect #18144: German translation on "delete my account" page showing a "\n"
* Feature #10914: Include is_private setting in xml/json output
* Feature #12447: Support for PNG with alpha channel in pdf export
* Feature #14008: Add a warning if 2 plugins have the same settings partial name
* Feature #14030: Allow plugins to put gems inside PluginGemfile
* Feature #14599: Support 16-bit depth PNG images in PDF export
* Feature #16164: Bulk edit workflows for multiple trackers/roles
* Feature #16362: Option to send email on "Assignee updated"
* Feature #16707: Integrate support of SSL for POP3 incoming emails
* Feature #17077: fetch_changesets should use POST method too
* Feature #17380: Move project sidebar content to a partial
* Feature #17431: Display a target version's date if available in issue forms, as a tooltip
* Feature #17570: use rbpdf gem instead of bundled rfpdf
* Feature #17628: Expose project is_public property via API
* Feature #17955: Add link to /time_entries/new from My Page Spent Time block
* Feature #17976: Custom permissions per project for non member and anonymous users
* Feature #17993: Issues list : css tags to get sort orders
* Patch #6498: Make options parameter optional in User#allowed_to_globally?
* Patch #13589: Wiki PDF export for 2 column tables
* Patch #16190: Relax rejections based on Auto-Submitted header
* Patch #16240: Private notes should be marked more clearly
* Patch #16536: Japanese translation update (email notification)
* Patch #16556: Traditional Chinese "field_assigned_to" translation change
* Patch #16685: Introduce the request_store gem to hold User.current and prevent data leakage in error messages
* Patch #16704: Persian Translation
* Patch #16878: Parse configuration file for ERB
* Patch #16905: Count users with a single query on group list
* Patch #16925: Improve performance of Principal.member_of scope
* Patch #17308: Japanese translation change (fix terms mismatch in workflow)
* Patch #17346: Japanese translation change (followed updates of en.yml)
* Patch #17400: Typo in Changelog
* Patch #17401: Better fix for r13159 issue #16708
* Patch #17456: Japanese translation change (custom fields)
* Patch #17492: Lowering configuration.example.yml confusion
* Patch #17552: Bringing together of the translation of Members at Polish translation
* Patch #17563: Fixes some issues in the Galician (gl) translation
* Patch #17602: Include enabled modules in projects API
* Patch #17717: Password/Email address change should invalidate security tokens
* Patch #17796: Expire all other sessions on password change
* Patch #17847: Wiki extended help macros do not reflect basic Redmine macros
* Patch #17853: Portuguese translation file
* Patch #18047: MailHandler: Don't use String#respond_to?(:force_encoding) to differentiate between Ruby 1.8 and Ruby 1.9

== 2014-07-06 v2.5.2

* Defect #3483: Relative url for source links in notifications
* Defect #16415: Users get e-mail notification twice, if they are watchers and assignees at the same time.
* Defect #16519: Generating a spent time report on a list type custom field with multiple values causes an invalid SQL error
* Defect #16564: Repository identifiers can be reserved words
* Defect #16619: Mailer.token_for generates invalid message_id when using from address with full name
* Defect #16655: start_date not set despite settings[default_issue_start_date_to_creation_date] being set.
* Defect #16668: Redmine links broken when object name contains special characters
* Defect #16669: Markdown formatter should use the :no_intra_emphasis extension
* Defect #16708: Form is submitted when switching tab
* Defect #16739: custom_fields.json only returns single tracker instead of array of trackers
* Defect #16747: Remove useless settings when editing a query from the gantt
* Defect #16755: Field set as read-only still available in the issues list context menu
* Defect #16795: Member#destroy triggers after_destroy callbacks twice
* Defect #16798: Custom field - list type - checkboxes - unchecking all - does not save
* Defect #16926: Custom field referencing deleted value trigger an error on display
* Defect #16989: Inline images in email does not appear when thumbnail macro is used.
* Defect #17003: Option to display bool custom fields as a single checkbox
* Feature #3177: Add "Check for updates" functionality to installed plugins
* Feature #16194: Ruby 2.1 support
* Patch #16566: French "text_git_repository_note" translation
* Patch #16700: Blank content type for attachments attached via Ajax file upload
* Patch #16710: Support for the 1.x versions of mime-types gem
* Patch #16781: Crash in markdown formatter causes ruby process to end
* Patch #17166: Japanese translation update (plugin update check)
* Patch #17301: Czech plugin strings

== 2014-03-29 v2.5.1

* Defect #14298: Error generated on 'search for watchers to add' after clicking add without selected users
* Defect #16236: Right-aligned table of contents (TOC) not working with markdown
* Defect #16255: Internal Error for specific version of non-existent wiki page
* Defect #16259: Changing Tracker value on new issue form makes hidden fields appearing after hitting F5
* Defect #16321: Custom Fields with "Link values to URL" set are displayed as escaped html in email
* Defect #16338: Can't choose an issue of a different project when updating time entries
* Defect #16353: Regexp bug in JournalsController regexp handling when quoting existing journal entries
* Feature #16326: Custom queries, buttons to move column to top and bottom
* Patch #16291: Japanese translation update
* Patch #16319: Random crash when using custom fields
* Patch #16320: Turkish typo fix
* Patch #16334: Korean Translation
* Patch #16336: Russian translation
* Patch #16356: Spanish Translation: label_custom_field_select_type
* Patch #16368: Polish translation update
* Patch #16381: Extract code to render project context links to helper
* Patch #16453: Czech localisation
* Defect #16466: Fixed back url verification

== 2014-03-02 v2.5.0

* Defect #3163: Large inline images overflow
* Defect #13385: Searchable checkbox displayed on edit form for not-searchable custom field formats.
* Defect #13396: Updating an issue with user or list format custom field, currently having value that is locked or removed, clears that field
* Defect #14361: Mercurial commit ids are short (12 digits) on database
* Defect #15377: bundle install --without development test fails
* Defect #15381: Error pages improvement
* Defect #15485: HTML 5 validation multiple ids
* Defect #15551: Validating a Setting with invalid name triggers an error
* Defect #15552: Preferences are not preserved after adding user with validation error
* Defect #15704: Journal for relation should store relation type instead of i18n key
* Defect #15709: TimeEntry custom_values are not deleted from the database when destroying the associated project
* Defect #15831: Successful update notice for workflows
* Defect #15848: REST API: Cannot retrieve memberships of closed projects
* Defect #15929: REST API: Integer custom field validation fails when using non-string values
* Defect #15947: Deadlock when delete issues in same time on multiple sessions
* Defect #15983: Project.activities returns different types depending on context
* Defect #16077: Table of contents macro conflicts with collapse macro
* Defect #16091: Export CSV with many custom field runs many queries
* Defect #16107: ApplicationController mishandles non-Basic authentication information, causing an internal error
* Defect #16143: Can't insert too long comment field from repository (MySQL)
* Feature #1179: Optionally allow Text and Long Text custom fields support wiki formatting
* Feature #1358: Link_to for Custom Field
* Feature #2083: CustomField of type "external-link-to" with configurable URL prefix
* Feature #2549: Enable the watching of news
* Feature #2691: Option to disable automated language-guessing based on HTTP_ACCEPT_LANGUAGE HTTP-header
* Feature #8152: Render Version and User custom fields as links
* Feature #8562: Watchers list too big in new issue form
* Feature #8572: Configuration of which versions (by version-status) are shown in version-format custom fields
* Feature #8842: REST API: Filter issues created/updated before or after specific timestamp
* Feature #13134: Focus first text field automatically
* Feature #14309: Add favicon to Atom feeds
* Feature #15275: Improve usage of label "button_update"
* Feature #15362: Wrap filters, options and buttons with extra div on the issue list
* Feature #15520: Markdown formatting
* Feature #15699: Description for custom fields
* Feature #15701: Add project identifier substitution option to the URL-pattern property of link format custom fields
* Feature #15790: Use the mime-types gem to get mime type for unknown extension
* Feature #15815: REST API : Add project status in API response
* Feature #15926: Redirect to back_url or referer when clicking "Sign in" while already logged-in
* Patch #12753: Update config.i18n.load_path for plugin-supplied locales
* Patch #13774: Show warning if CSV-Export exceeds limit
* Patch #14766: Better block detection on my page
* Patch #15403: Czech "message" and "changeset" translation change
* Patch #15420: Don't create duplicate wikis in tests
* Patch #15689: Make favicon themeable
* Patch #15785: Support more character encodings in incoming emails

== 2014-03-02 v2.4.4

* Defect #16081: Export CSV - Custom field true/false not using translation
* Defect #16161: Parent task search and datepicker not available after changing status
* Defect #16169: Wrong validation when updating integer custom field with spaces
* Defect #16177: Mercurial 2.9 compatibility

== 2014-02-08 v2.4.3

* Defect #13544: Commit reference: autogenerated issue note has wrong commit link syntax in multi-repo or cross-project context
* Defect #15664: Unable to upload attachments without add_issues, edit_issues or add_issue_notes permission
* Defect #15756: 500 on admin info/settings page on development environment
* Defect #15781: Customfields have a noticable impact on search performance due to slow database COUNT
* Defect #15849: Redmine:Fetch_Changesets Single-inheritance issue in subclass "Repository:Git"
* Defect #15870: Parent task completion is 104% after update of subtasks
* Defect #16032: Repository.fetch_changesets > app/models/repository/git.rb:137:in `[]=': string not matched (IndexError)
* Defect #16038: Issue#css_classes corrupts user.groups association cache
* Patch #15960: pt-BR translation for 2.4-stable

Additional note:

#15781 was forgotten to merge to v2.4.3.
It is in v2.5.0.

== 2013-12-23 v2.4.2

* Defect #15398: HTML 5 invalid <center> tag
* Defect #15523: CSS class for done ratio is not properly generated
* Defect #15623: Timelog filtering by activity field does not handle project activity overrides
* Defect #15677: Links for relations in notifications do not include hostname
* Defect #15684: MailHandler : text/plain attachments are added to description
* Defect #15714: Notification on loosing assignment does not work
* Defect #15735: OpenID login fails due to CSRF verification
* Defect #15741: Multiple scrollbars in project selection tree
* Patch #9442: Russian wiki syntax help translations
* Patch #15524: Japanese translation update (r12278)
* Patch #15601: Turkish translation update
* Patch #15688: Spanish translation updated
* Patch #15696: Russian translation update

== 2013-11-23 v2.4.1

* Defect #15401: Wiki syntax "bold italic" is incorrect
* Defect #15414: Empty sidebar should not be displayed in project overview
* Defect #15427: REST API POST and PUT broken
* Patch #15376: Traditional Chinese translation (to r12295)
* Patch #15395: German "ImageMagick convert available" translation
* Patch #15400: Czech Wiki syntax traslation
* Patch #15402: Czech translation for 2.4-stable

== 2013-11-17 v2.4.0

* Defect #1983: statistics get rather cramped with more than 15 or so contributers
* Defect #7335: Sorting issues in gantt by date, not by id
* Defect #12681: Treat group assignments as assigned to me
* Defect #12824: Useless "edit" link in workflow menu
* Defect #13260: JQuery Datepicker popup is missing multiple month/year modifiers
* Defect #13537: Filters will show issues with unused custom fields.
* Defect #13829: Favicon bug in IE8
* Defect #13949: Handling of attachment uploads when 'Maximum attachment size' is set to 0
* Defect #13989: Trac and Mantis importers reset global notification settings
* Defect #13990: Trac importer breaks on exotic filenames and ruby 1.9+
* Defect #14028: Plugins Gemfiles loading breaks __FILE__
* Defect #14086: Better handling of issue start date validation
* Defect #14206: Synchronize the lang attribute of the HTML with the display language
* Defect #14403: No error message if notification mail could not delivered
* Defect #14516: Missing Sort Column Label and Center Align on Admin-Enumerations
* Defect #14517: Missing Html Tile on Admin (Groups, LDAP and Plugins)
* Defect #14598: Wrong test with logger.info in model mail_handler
* Defect #14615: Warn me when leaving a page with unsaved text doesn't work when editing an update note
* Defect #14621: AJAX call on the issue form resets data entered during the request
* Defect #14657: Wrong German translation for member inheritance
* Defect #14773: ActiveRecord::Acts::Versioned::ActMethods#next_version Generates ArgumentError
* Defect #14819: Newlines in attachment filename causes crash
* Defect #14986: 500 error when viewing a wiki page without WikiContent
* Defect #14995: Japanese "notice_not_authorized" translation is incorrect
* Defect #15044: Patch for giving controller_issues_edit_after_save api hook the correct context
* Defect #15050: redmine:migrate_from_mantis fails to migrate projects with all upper case name
* Defect #15058: Project authorization EnabledModule N+1 queries
* Defect #15113: The mail method should return a Mail::Message
* Defect #15135: Issue#update_nested_set_attributes comparing nil with empty string
* Defect #15191: HTML 5 validation failures
* Defect #15227: Custom fields in issue form - splitting is incorrect
* Defect #15307: HTML 5 deprecates width and align attributes
* Feature #1005: Add the addition/removal/change of related issues to the history
* Feature #1019: Role based custom queries
* Feature #1391: Ability to force user to change password
* Feature #2199: Ability to clear dates and text fields when bulk editing issues
* Feature #2427: Document horizontal rule syntax
* Feature #2795: Add a "Cancel" button to the "Delete" project page when deleting a project.
* Feature #2865: One click filter in search view
* Feature #3413: Exclude attachments from incoming emails based on file name
* Feature #3872: New user password - better functionality
* Feature #4911: Multiple issue update rules with different keywords in commit messages
* Feature #5037: Role-based issue custom field visibility
* Feature #7590: Different commit Keywords for each tracker
* Feature #7836: Ability to save Gantt query filters
* Feature #8253: Update CodeRay to 1.1 final
* Feature #11159: REST API for getting CustomField definitions
* Feature #12293: Add links to attachments in new issue email notification
* Feature #12912: Issue-notes Redmine links: append actual note reference to rendered links
* Feature #13157: Link on "My Page" to view all my spent time
* Feature #13746: Highlighting of source link target line
* Feature #13943: Better handling of validation errors when bulk editing issues
* Feature #13945: Disable autofetching of repository changesets if projects are closed
* Feature #14024: Default of issue start and due date
* Feature #14060: Enable configuration of OpenIdAuthentication.store
* Feature #14228: Registered users should have a way to get a new action email
* Feature #14614: View hooks for user preferences
* Feature #14630: wiki_syntax.html per language (wiki help localization mechanism)
* Feature #15136: Activate Custom Fields on a selection of projects directly from Custom fields page
* Feature #15182: Return to section anchor after wiki section edit
* Feature #15218: Update Rails 3.2.15
* Feature #15311: Add an indication to admin/info whether or not ImageMagick convert is available
* Patch #6689: Document project-links in parse_redmine_links
* Patch #13460: All translations: RSS -> Atom
* Patch #13482: Do not add empty header/footer to notification emails
* Patch #13528: Traditional Chinese "label_total_time" translation
* Patch #13551: update Dutch translations - March 2013
* Patch #13577: Japanese translation improvement ("done ratio")
* Patch #13646: Fix handling multiple text parts in email
* Patch #13674: Lithuanian translation
* Patch #13687: Favicon bug in opera browser
* Patch #13697: Back-button on diff page is not working when I'm directed from email
* Patch #13745: Correct translation for member save button
* Patch #13808: Changed Bulgarian "label_statistics" translation
* Patch #13825: German translation: jquery.ui.datepicker-de.js
* Patch #13900: Update URL when changing tab
* Patch #13931: Error and inconsistencies in Croatian translation
* Patch #13948: REST API should return user.status
* Patch #13988: Enhanced Arabic translation
* Patch #14138: Output changeset comment in html title
* Patch #14180: Improve pt-BR translation
* Patch #14222: German translation: grammar + spelling
* Patch #14223: Fix icon transparency issues
* Patch #14360: Slovene language translation
* Patch #14767: More CSS classes on various fields
* Patch #14901: Slovak translation
* Patch #14920: Russian numeric translation
* Patch #14981: Italian translation
* Patch #15072: Optimization of issues journal custom fields display
* Patch #15073: list custom fields : multiple select filter wider
* Patch #15075: Fix typo in the Dutch "label_user_mail_option_all" translation
* Patch #15277: Accept custom field format added at runtime
* Patch #15295: Log error messages when moving attachements in sub-directories
* Patch #15369: Bulgarian translation (r12278)

== 2013-11-17 v2.3.4

* Defect #13348: Repository tree can't handle two loading at once
* Defect #13632: Empty page attached when exporting PDF
* Defect #14590: migrate_from_trac.rake does not import Trac users, uses too short password
* Defect #14656: JRuby: Encoding error when creating issues
* Defect #14883: Update activerecord-jdbc-adapter
* Defect #14902: Potential invalid SQL error with invalid group_ids
* Defect #14931: SCM annotate with non ASCII author
* Defect #14960: migrate_from_mantis.rake does not import Mantis users, uses too short password
* Defect #14977: Internal Server Error while uploading file
* Defect #15190: JS-error while using a global custom query w/ project filter in a project context
* Defect #15235: Wiki Pages REST API with version returns wrong comments
* Defect #15344: Default status always inserted to allowed statuses when changing status
* Feature #14919: Update ruby-openid version above 2.3.0
* Patch #14592: migrate_from_trac.rake does not properly parse First Name and Last Name
* Patch #14886: Norweigan - label_copied_to and label_copied_from translated
* Patch #15185: Simplified Chinese translation for 2.3-stable

== 2013-09-14 v2.3.3

* Defect #13008: Usage of attribute_present? in UserPreference
* Defect #14340: Autocomplete fields rendering issue with alternate theme
* Defect #14366: Spent Time report sorting on custom fields causes error
* Defect #14369: Open/closed issue counts on issues summary are not displayed with SQLServer
* Defect #14401: Filtering issues on "related to" may ignore other filters
* Defect #14415: Spent time details and report should ignore 'Setting.display_subprojects_issues?' when 'Subproject' filter is enabled.
* Defect #14422: CVS root_url not recognized when connection string does not include port
* Defect #14447: Additional status transitions for assignees do not work if assigned to a group
* Defect #14511: warning: class variable access from toplevel on Ruby 2.0
* Defect #14562: diff of CJK (Chinese/Japanese/Korean) is broken on Ruby 1.8
* Defect #14584: Standard fields disabled for certain trackers still appear in email notifications
* Defect #14607: rake redmine:load_default_data Error
* Defect #14697: Wrong Russian translation in close project message
* Defect #14798: Wrong done_ratio calculation for parent with subtask having estimated_hours=0
* Patch #14485: Traditional Chinese translation for 2.3-stable
* Patch #14502: Russian translation for 2.3-stable
* Patch #14531: Spanish translations for 2.3.x
* Patch #14686: Portuguese translation for 2.3-stable

== 2013-07-14 v2.3.2

* Defect #9996: configuration.yml in documentation , but redmine ask me to create email.yml
* Defect #13692: warning: already initialized constant on Ruby 1.8.7
* Defect #13783: Internal error on time tracking activity enumeration deletion
* Defect #13821: "obj" parameter is not defined for macros used in description of documents
* Defect #13850: Unable to set custom fields for versions using the REST API
* Defect #13910: Values of custom fields are not kept in issues when copying a project
* Defect #13950: Duplicate Lithuanian "error_attachment_too_big" translation keys
* Defect #14015: Ruby hangs when adding a subtask
* Defect #14020: Locking and unlocking a user resets the email notification checkbox
* Defect #14023: Can't delete relation when Redmine runs in a subpath
* Defect #14051: Filtering issues with custom field in date format with NULL(empty) value
* Defect #14178: PDF API broken in version 2.3.1
* Defect #14186: Project name is not properly escaped in issue filters JSON
* Defect #14242: Project auto generation fails when projects created in the same time
* Defect #14245: Gem::InstallError: nokogiri requires Ruby version >= 1.9.2.
* Defect #14346: Latvian translation for "Log time"
* Feature #12888: Adding markings to emails generated by Private comments
* Feature #14419: Include RUBY_PATCHLEVEL and RUBY_RELEASE_DATE in info.rb
* Patch #14005: Swedish Translation for 2.3-stable
* Patch #14101: Receive IMAP by uid's
* Patch #14103: Disconnect and logout from IMAP after mail receive
* Patch #14145: German translation of x_hours
* Patch #14182: pt-BR translation for 2.3-stable
* Patch #14196: Italian translation for 2.3-stable
* Patch #14221: Translation of x_hours for many languages

== 2013-05-01 v2.3.1

* Defect #12650: Lost text after selection in issue list with IE
* Defect #12684: Hotkey for Issue-Edit doesn't work as expected
* Defect #13405: Commit link title is escaped twice when using "commit:" prefix
* Defect #13541: Can't access SCM when log/production.scm.stderr.log is not writable
* Defect #13579: Datepicker uses Simplified Chinese in Traditional Chinese locale
* Defect #13584: Missing Portuguese jQuery UI date picker
* Defect #13586: Circular loop testing prevents precedes/follows relation between subtasks
* Defect #13618: CSV export of spent time ignores filters and columns selection
* Defect #13630: PDF export generates the issue id twice
* Defect #13644: Diff - Internal Error
* Defect #13712: Fix email rake tasks to also support no_account_notice and default_group options
* Defect #13811: Broken javascript in IE7 ; recurrence of #12195
* Defect #13823: Trailing comma in javascript files
* Patch #13531: Traditional Chinese translation for 2.3-stable
* Patch #13552: Dutch translations for 2.3-stable
* Patch #13678: Lithuanian translation for 2.3-stable

== 2013-03-19 v2.3.0

* Defect #3107: Issue with two digit year on Logtime
* Defect #3371: Autologin does not work when using openid
* Defect #3676: www. generates broken link in formatted text
* Defect #4700: Adding news does not send notification to all project members
* Defect #5329: Time entries report broken on first week of year
* Defect #8794: Circular loop when using relations and subtasks
* Defect #9475: German Translation "My custom queries" and "Custom queries"
* Defect #9549: Only 100 users are displayed when adding new project members
* Defect #10277: Redmine wikitext URL-into-link creation with hyphen is wrong
* Defect #10364: Custom field float separator in CSV export
* Defect #10930: rake redmine:load_default_data error in 2.0 with SQLServer
* Defect #10977: Redmine shouldn't require all database gems
* Defect #12528: Handle temporary failures gracefully in the external mail handler script
* Defect #12629: Wrong German "label_issues_by" translation
* Defect #12641: Diff outputs become ??? in some non ASCII words.
* Defect #12707: Typo in app/models/tracker.rb
* Defect #12716: Attachment description lost when issue validation fails
* Defect #12735: Negative duration allowed
* Defect #12736: Negative start/due dates allowed
* Defect #12968: Subtasks don't resepect following/precedes
* Defect #13006: Filter "Assignee's group" doesn't work with group assignments
* Defect #13022: Image pointing towards /logout signs out user
* Defect #13059: Custom fields are listed two times in workflow/Fields permission
* Defect #13076: Project overview page shows trackers from subprojects with disabled issue module
* Defect #13119: custom_field_values are not reloaded on #reload
* Defect #13154: After upgrade to 2.2.2 ticket list on some projects fails
* Defect #13188: Forms are not updated after changing the status field without "Add issues" permission
* Defect #13251: Adding a "follows" relation may not refresh relations list
* Defect #13272: translation missing: setting_default_projects_tracker_ids
* Defect #13328: Copying an issue as a child of itself creates an extra issue
* Defect #13335: Autologin does not work with custom autologin cookie name
* Defect #13350: Japanese mistranslation fix
* Feature #824: Add "closed_on" issue field (storing time of last closing) & add it as a column and filter on the issue list.
* Feature #1766: Custom fields should become addable to Spent Time list/report
* Feature #3436: Show relations in Gantt diagram
* Feature #3957: Ajax file upload with progress bar
* Feature #5298: Store attachments in sub directories
* Feature #5605: Subprojects should (optionally) inherit Members from their parent
* Feature #6727: Add/remove issue watchers via REST API
* Feature #7159: Bulk watch/unwatch issues from the context menu
* Feature #8529: Get the API key of the user through REST API
* Feature #8579: Multiple file upload with HTML5 / Drag-and-Drop
* Feature #10191: Add Filters For Spent time's Details and Report
* Feature #10286: Auto-populate fields while creating a new user with LDAP
* Feature #10352: Preview should already display the freshly attached images
* Feature #11498: Add --no-account-notice option for the mail handler script
* Feature #12122: Gantt progress lines (html only)
* Feature #12228: JRuby 1.7.2 support
* Feature #12251: Custom fields: 'Multiple values' should be able to be checked and then unchecked
* Feature #12401: Split "Manage documents" permission into create, edit and delete permissions
* Feature #12542: Group events in the activity view
* Feature #12665: Link to a file in a repository branch
* Feature #12713: Microsoft SQLServer support
* Feature #12787: Remove "Warning - iconv will be deprecated in the future, use String#encode instead."
* Feature #12843: Add links to projects in Group projects list
* Feature #12898: Handle GET /issues/context_menu parameters nicely to prevent returning error 500 to crawlers
* Feature #12992: Make JSONP support optional and disabled by default
* Feature #13174: Raise group name maximum length to 255 characters
* Feature #13175: Possibility to define the default enable trackers when creating a project
* Feature #13329: Ruby 2.0 support
* Feature #13337: Split translation "label_total"
* Feature #13340: Mail handler: option to add created user to default group
* Feature #13341: Mail handler: --no-notification option to disable notifications to the created user
* Patch #7202: Polish translation for v1.0.4
* Patch #7851: Italian translation for 'issue'
* Patch #9225: Generate project identifier automatically with JavaScript
* Patch #10916: Optimisation in issues relations display
* Patch #12485: Don't force english language for default admin account
* Patch #12499: Use lambda in model scopes
* Patch #12611: Login link unexpected logs you out
* Patch #12626: Updated Japanese translations for button_view and permission_commit_access
* Patch #12640: Russian "about_x_hours" translation change
* Patch #12645: Russian numeric translation
* Patch #12660: Consistent German translation for my page
* Patch #12708: Restructured german translation (Cleanup)
* Patch #12721: Optimize MenuManager a bit
* Patch #12725: Change pourcent to percent (#12724)
* Patch #12754: Updated Japanese translation for notice_account_register_done
* Patch #12788: Copyright for 2013
* Patch #12806: Serbian translation change
* Patch #12810: Swedish Translation change
* Patch #12910: Plugin settings div should perhaps have 'settings' CSS class
* Patch #12911: Fix 500 error for requests to the settings path for non-configurable plugins
* Patch #12926: Bulgarian translation (r11218)
* Patch #12927: Swedish Translation for r11244
* Patch #12967: Change Spanish login/logout translations
* Patch #12988: Russian translation for trunk
* Patch #13080: German translation of label_in
* Patch #13098: Small datepicker improvements
* Patch #13152: Locale file for Azerbaijanian language
* Patch #13155: Add login to /users/:id API for current user
* Patch #13173: Put source :rubygems url HTTP secure
* Patch #13190: Bulgarian translation (r11404)
* Patch #13198: Traditional Chinese language file (to r11426)
* Patch #13203: German translation change for follow and precedes is inconsitent
* Patch #13206: Portuguese translation file
* Patch #13246: Some german translation patches
* Patch #13280: German translation (r11478)
* Patch #13301: Performance: avoid querying all memberships in User#roles_for_project
* Patch #13309: Add "tracker-[id]" CSS class to issues
* Patch #13324: fixing some pt-br locales
* Patch #13339: Complete language Vietnamese file
* Patch #13391: Czech translation update
* Patch #13399: Fixed some wrong or confusing translation in Korean locale
* Patch #13414: Bulgarian translation (r11567)
* Patch #13420: Korean translation for 2.3 (r11583)
* Patch #13437: German translation of setting_emails_header
* Patch #13438: English translation
* Patch #13447: German translation - some patches
* Patch #13450: Czech translation
* Patch #13475: fixing some pt-br locales
* Patch #13514: fixing some pt-br locales

== 2013-03-19 v2.2.4

* Upgrade to Rails 3.2.13
* Defect #12243: Ordering forum replies by last reply date is broken
* Defect #13127: h1 multiple lined titles breaks into main menu
* Defect #13138: Generating PDF of issue causes UndefinedConversionError with htmlentities gem
* Defect #13165: rdm-mailhandler.rb: initialize_http_header override basic auth
* Defect #13232: Link to topic in nonexistent forum causes error 500
* Patch #13181: Bulgarian translation of jstoolbar-bg.js
* Patch #13207: Portuguese translation for 2.2-stable
* Patch #13310: pt-BR label_last_n_weeks translation
* Patch #13325: pt-BR translation for 2.2-stable
* Patch #13343: Vietnamese translation for 2.2-stable
* Patch #13398: Czech translation for 2.2-stable

== 2013-02-12 v2.2.3

* Upgrade to Rails 3.2.12
* Defect #11987: pdf: Broken new line in table
* Defect #12930: 404 Error when referencing different project source files in the wiki syntax
* Defect #12979: Wiki link syntax commit:repo_a:abcd doesn't work
* Defect #13075: Can't clear custom field value through context menu in the issue list
* Defect #13097: Project copy fails when wiki module is disabled
* Defect #13126: Issue view: estimated time vs. spent time
* Patch #12922: Update Spanish translation
* Patch #12928: Bulgarian translation for 2.2-stable
* Patch #12987: Russian translation for 2.2-stable

== 2013-01-20 v2.2.2

* Defect #7510: Link to attachment should return latest attachment
* Defect #9842: {{toc}} is not replaced by table of content when exporting wiki page to pdf
* Defect #12749: Plugins cannot route wiki page sub-path
* Defect #12799: Cannot edit a wiki section which title starts with a tab
* Defect #12801: Viewing the history of a wiki page with attachments raises an error
* Defect #12833: Input fields restricted on length should have maxlength parameter set
* Defect #12838: Blank page when clicking Add with no block selected on my page layout
* Defect #12851: "Parent task is invalid" while editing child issues by Role with restricted Issues Visibility
* Patch #12800: Serbian Latin translation patch (sr-YU.yml)
* Patch #12809: Swedish Translation for r11162
* Patch #12818: Minor swedish translation fix

== 2013-01-09 v2.2.1

* Upgrade to Rails 3.2.11
* Defect #12652: "Copy ticket" selects "new ticket"
* Defect #12691: Textile Homepage Dead?
* Defect #12711: incorrect fix of lib/SVG/Graph/TimeSeries.rb
* Defect #12744: Unable to call a macro with a name that contains uppercase letters
* Defect #12776: Security vulnerability in Rails 3.2.10 (CVE-2013-0156)
* Patch #12630: Russian "x_hours" translation

== 2012-12-18 v2.2.0

* Defect #4787: Gannt to PNG - CJK (Chinese, Japanese and Korean) characters appear as ?
* Defect #8106: Issues by Category should show tasks without category
* Defect #8373: i18n string text_are_you_sure_with_children no longer used
* Defect #11426: Filtering with Due Date in less than N days should show overdue issues
* Defect #11834: Bazaar: "???" instead of non ASCII character in paths on non UTF-8 locale
* Defect #11868: Git and Mercurial diff displays deleted files as /dev/null
* Defect #11979: No validation errors when entering an invalid "Parent task"
* Defect #12012: Redmine::VERSION.revision method does not work on Subversion 1.7 working copy
* Defect #12018: Issue filter select box order changes randomly
* Defect #12090: email recipients not written to action_mailer log if BCC recipients setting is checked
* Defect #12092: Issue "start date" validation does not work correctly
* Defect #12285: Some unit and functional tests miss fixtures and break when run alone
* Defect #12286: Emails of private notes are sent to watcher users regardless of viewing permissions
* Defect #12310: Attachments may not be displayed in the order they were selected
* Defect #12356: Issue "Update" link broken focus
* Defect #12397: Error in Textile conversion of HTTP links, containing russian letters
* Defect #12434: Respond with 404 instead of 500 when requesting a wiki diff with invalid versions
* Feature #1554: Private comments in tickets
* Feature #2161: Time tracking code should respect weekends as "no work" days
* Feature #3239: Show related issues on the Issues Listing
* Feature #3265: Filter on issue relations
* Feature #3447: Option to display the issue descriptions on the issues list
* Feature #3511: Ability to sort issues by grouped column
* Feature #4590: Precede-Follow relation should move following issues when rescheduling issue earlier
* Feature #5487: Allow subtasks to cross projects
* Feature #6899: Add a relation between the original and copied issue
* Feature #7082: Rest API for wiki
* Feature #9835: REST API - List priorities
* Feature #10789: Macros {{child_pages}} with depth parameter
* Feature #10852: Ability to delete a version from a wiki page history
* Feature #10937: new user format #{lastname}
* Feature #11502: Expose roles details via REST API
* Feature #11755: Impersonate user through REST API auth
* Feature #12085: New user name format: firstname + first letter of lastname
* Feature #12125: Set filename used to store attachment updloaded via the REST API
* Feature #12167: Macro for inserting collapsible block of text
* Feature #12211: Wrap issue description and its contextual menu in a div
* Feature #12216: Textual CSS class for priorities
* Feature #12299: Redmine version requirement improvements (in plugins)
* Feature #12393: Upgrade to Rails 3.2.9
* Feature #12475: Lazy loading of translation files for faster startup
* Patch #11846: Fill username when authentification failed
* Patch #11862: Add "last 2 weeks" preset to time entries reporting
* Patch #11992: Japanese translation about issue relations improved
* Patch #12027: Incorrect Spanish "September" month name
* Patch #12061: Japanese translation improvement (permission names)
* Patch #12078: User#allowed_to? should return true or false
* Patch #12117: Change Japanese translation of "admin"
* Patch #12142: Updated translation in Lithuanian
* Patch #12232: German translation enhancements
* Patch #12316: Fix Lithuanian numeral translation
* Patch #12494: Bulgarian "button_submit" translation change
* Patch #12514: Updated translation in Lithuanian
* Patch #12602: Korean translation update for 2.2-stable
* Patch #12608: Norwegian translation changed
* Patch #12619: Russian translation change

== 2012-12-18 v2.1.5

* Defect #12400: Validation fails when receiving an email with list custom fields
* Defect #12451: Macros.rb extract_macro_options should use lazy search
* Defect #12513: Grouping of issues by custom fields not correct in PDF export
* Defect #12566: Issue history notes previews are broken
* Defect #12568: Clicking "edit" on a journal multiple times shows multiple forms
* Patch #12605: Norwegian translation for 1.4-stable update
* Patch #12614: Dutch translation
* Patch #12615: Russian translation

== 2012-11-24 v2.1.4

* Defect #12274: Wiki export from Index by title is truncated
* Defect #12298: Right-click context menu unable to batch/bulk update (IE8)
* Defect #12332: Repository identifier does not display on Project/Settings/Repositories
* Defect #12396: Error when receiving an email without subject header
* Defect #12399: Non ASCII attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8
* Defect #12409: Git: changesets aren't read after clear_changesets call
* Defect #12431: Project.rebuild! sorts root projects by id instead of name

== 2012-11-17 v2.1.3

* Defect #12050: :export links to repository files lead to a 404 error
* Defect #12189: Missing tmp/pdf directory
* Defect #12195: Javascript error with IE7 / IE8 on new issue form
* Defect #12196: "Page not found" on OK button in SCM "View all revisions" page
* Defect #12199: Confirmation message displayed when clicking a disabled delete link in the context menu
* Defect #12231: Hardcoded "Back" in Repository
* Defect #12294: Incorrect german translation for "registered" users filter
* Defect #12349: Watchers auto-complete search on non-latin chars
* Defect #12358: 'None' grouped issue list section should be translated
* Defect #12359: Version date field regex validation accepts invalid date
* Defect #12375: Receiving mail subject encoding broken (MOJIBAKE) in some cases on Ruby 1.8
* Patch #9732: German translations
* Patch #12021: Russian locale translations
* Patch #12188: Simplified Chinese translation with zh.yml file based on Rev:10681
* Patch #12235: German translation for 2.1-stable
* Patch #12237: Added German Translation

== 2012-09-30 v2.1.2

* Defect #11929: XSS vulnerability in Redmine 2.1.x

== 2012-09-30 v2.1.1

* Defect #11290: ParseDate missing in Ruby 1.9x
* Defect #11844: "load_default_data" rake task fails to print the error message if one occurs
* Defect #11850: Can't create a user from ldap by on-the-fly on the redmine server using URI prefix
* Defect #11872: Private issue visible to anonymous users after its author is deleted
* Defect #11885: Filter misses Selectionfield on IE8
* Defect #11893: New relation form Cancel link is broken with Chrome 21
* Defect #11905: Potential "can't dup NilClass" error in UserPreference
* Defect #11909: Autocomplete results not reset after clearing search field
* Defect #11922: bs.yml and de.yml lead to error by number_to_currency()
* Defect #11945: rake task prints "can't convert Errno::EACCES into String" in case of no permission of public/plugin_assets
* Defect #11975: Undefined status transitions allowed in workflow (author of issue changes when selecting a new status)
* Defect #11982: SCM diff view generates extra parameter for switching mode
* Patch #11897: Traditional Chinese language file (to r10433)

== 2012-09-16 v2.1.0

* Defect #2071: Reordering priority-enumerations breaks alternate-theme's issue-colouring
* Defect #2190: Month names not translated to german
* Defect #8978: LDAP timeout if an LDAP auth provider is unreachable
* Defect #9839: Gantt abbr of weekday should not be necessarily the first letter of the long day name
* Defect #10928: Documentation about generating a plugin is not up-to-date
* Defect #11034: TLS configuration documentation for Rails 3
* Defect #11073: UserCustomField order_statement returns wrong output
* Defect #11153: Default sorting for target version is DESC instead of ASC
* Defect #11207: Issues associated with a locked version are not copied when copying a project
* Defect #11304: Issue-class: status-1, status-2 etc. refer to status position instead of status id
* Defect #11331: Openid registration form should not require user to enter password
* Defect #11345: Context menu should show shared versions when editing issues from different projects
* Defect #11355: Plain text notification emails content is HTML escaped
* Defect #11388: Updating a version through rest API returns invalid JSON
* Defect #11389: Warning in awesome_nested_set.rb
* Defect #11503: Accessing /projects/:project/wiki/something.png fails with error 500
* Defect #11506: Versions that are not shared should not be assignable when selecting another project
* Defect #11508: Projects not ordered alphabetically after renaming project
* Defect #11540: Roadmap anchor links can be ambigous
* Defect #11545: Overwriting existing method Issue.open
* Defect #11552: MailHandler does not match assignee name with spaces
* Defect #11571: Custom fields of type version not proper handled in receiving e-mails
* Defect #11577: Can't use non-latin anchor in wiki
* Defect #11612: Revision graph sometimes broken due to raphael.js error
* Defect #11621: Redmine MIME Detection Of Javascript Files Non-Standard
* Defect #11633: Macro arguments should not be parsed by text formatters
* Defect #11662: Invalid query returned from Issues.visible scope after accessing User#projects_by_role with a role that is not present
* Defect #11691: 404 response when deleting a user from the edit page
* Defect #11723: redmine:send_reminders notification misses if assignee is a group
* Defect #11738: Batch update of issues clears project path
* Defect #11749: Redmine.pm: HEAD is not considered as a read-only method
* Defect #11814: Date picker does not respect week start setting
* Feature #703: Configurable required fields per tracker/status/role
* Feature #1006: Display thumbnails of attached images
* Feature #1091: Disabling default ticket fields per tracker
* Feature #1360: Permission for adding an issue to a version.
* Feature #3061: Let macros optionally match over multiple lines and ignore single curly braces
* Feature #3510: Inserting image thumbnails inside the wiki
* Feature #3521: Permissions for roles to change fields per tracker/status
* Feature #3640: Freeze / Close Projects
* Feature #3831: Support for subforums
* Feature #6597: Configurable session lifetime and timeout
* Feature #6965: Option to Copy Subtasks when copying an issue
* Feature #8161: Ability to filter issues on project custom fields
* Feature #8577: "Private" column and filter on the issue list
* Feature #8981: REST Api for Groups
* Feature #9258: Create role by copy
* Feature #9419: Group/sort the issue list by user/version-format custom fields
* Feature #10362: Show images in repositories inline when clicking the 'View' link
* Feature #10419: Upgrade raphael.js (2.1.0)
* Feature #11068: Ability to set default column order in issue list
* Feature #11102: Add autocomplete to "Related issue" field on revision
* Feature #11109: Repository Identifier should be frozen
* Feature #11181: Additional "Log time" link on project overview
* Feature #11205: Reversed order of priorities on the issue summary page
* Feature #11445: Switch from Prototype to JQuery
* Feature #11469: JSONP support
* Feature #11475: Redmine.pm: Allow fallback to other Apache auth providers
* Feature #11494: Don't turn #nnn with leading zeros into links
* Feature #11539: Display a projects tree instead of a flat list in notification preferences
* Feature #11578: Option to pass whole arguments to a macro without splitting them
* Feature #11595: Missing mime type for svg files
* Feature #11758: Upgrade to Rails 3.2.8
* Patch #4905: Redmine.pm: add support for Git's smart HTTP protocol
* Patch #10988: New Korean translation patch
* Patch #11201: Korean translation special update
* Patch #11401: Fix Japanese mistranslation for "button_submit"
* Patch #11402: Japanese translation added for default role names
* Patch #11411: Fix disordered use of long sound in Japanese "user" translation
* Patch #11412: Unnatural Japanese message when users failed to login
* Patch #11419: Fix wrong Japanese "label_attachment" translation
* Patch #11496: Make labels clickable in Adminstration/Settings
* Patch #11704: Avoid the use of tag("...", "...", true) in layout
* Patch #11818: Redmine.pm fails when permissions are NULL

== 2012-09-16 v2.0.4

* Defect #10818: Running rake in test environment causes exception
* Defect #11209: Wiki diff may generate broken HTML
* Defect #11217: Project names in drop-down are escaped twice
* Defect #11262: Link is escaped in wiki added/updated notification email
* Defect #11307: Can't filter for negative numeric custom fields
* Defect #11325: Unified diff link broken on specific file/revision diff view
* Defect #11341: Escaped link in conflict resolution form
* Defect #11365: Attachment description length is not validated
* Defect #11511: Confirmation page has broken HTML when a project folding sub project is deleted
* Defect #11533: rake redmine:plugins:test doesn't run tests in subdirectories
* Defect #11541: Version sharing is missing in the REST API
* Defect #11550: Issue reminder doesn't work when using asynchronous delivery
* Defect #11776: Can't override mailer views inside redmine plugin.
* Defect #11789: Edit section links broken with h5/h6 headings
* Feature #11338: Exclude emails with auto-submitted => auto-generated
* Patch #11299: redmine:plugins:migrate should update db/schema.rb
* Patch #11328: Fix Japanese mistranslation for 'label_language_based'
* Patch #11448: Russian translation for 1.4-stable and 2.0-stable
* Patch #11600: Fix plural form of the abbreviation for hours in Brazilian Portuguese

== 2012-06-18 v2.0.3

* Defect #10688: PDF export from Wiki - Problems with tables
* Defect #11061: Cannot choose commit versions to view differences in Git/Mercurial repository view
* Defect #11065: E-Mail submitted tickets: German umlauts in 'Subject' get malformed (ruby 1.8)
* Defect #11098: Default priorities have the same position and can't be reordered
* Defect #11105: <% content_for :header_tags do %> doesn't work inside hook
* Defect #11112: REST API - custom fields in POST/PUT ignored for time_entries
* Defect #11118: "Maximum file size" displayed on upload forms is incorrect
* Defect #11124: Link to user is escaped in activity title
* Defect #11133: Wiki-page section edit link can point to incorrect section
* Defect #11160: SQL Error on time report if a custom field has multiple values for an entry
* Defect #11170: Topics sort order is broken in Redmine 2.x
* Defect #11178: Spent time sorted by date-descending order lists same-date entries in physical order (not-reverse)
* Defect #11185: Redmine fails to delete a project with parent/child task
* Feature #11162: Upgrade to Rails 3.2.6
* Patch #11113: Small glitch in German localization

== 2012-06-05 v2.0.2

* Defect #11032: Project list is not shown when "For any event on the selected projects only..." is selected on user edit panel
* Defect #11038: "Create and continue" should preserve project, issue and activity when logging time
* Defect #11046: Redmine.pm does not support "bind as user" ldap authentication
* Defect #11051: reposman.rb fails in 1.4.2 because of missing require for rubygems
* Defect #11085: Wiki start page can't be changed
* Feature #11084: Update Rails to 3.2.5

== 2012-05-28 v2.0.1

* Defect #10923: After creating a new Version Redmine jumps back to "Information"
* Defect #10932: Links to delete watchers are escaped when gravatars are enabled
* Defect #10964: Updated column doesn't get updated on issues
* Defect #10965: rake yard does not work for generating documentation.
* Defect #10972: Columns selection not displayed on the custom query form
* Defect #10991: My page > Spent time 'project' column is html-encoded
* Defect #10996: Time zones lost when upgrading from Redmine 1.4 to 2.0
* Defect #11013: Fetching Email from IMAP/POP3 - uninitialized constant RAILS_DEFAULT_LOGGER error
* Defect #11024: redmine_plugin_model generator does not create the migration
* Defect #11027: Saving new query without name causes escaping of input field
* Defect #11028: Project identifier can be updated

== 2012-05-15 v2.0.0

* Feature #4796: Rails 3 support
* Feature #7720: Limit the pagination-limit when max-results is fewer than max-pagination-limit
* Feature #9034: Add an id to the flash messages
* Patch #10782: Better translation for Estonian language

== 2012-05-13 v1.4.2

* Defect #10744: rake task redmine:email:test broken
* Defect #10787: "Allow users to unsubscribe" option is confusing
* Defect #10827: Cannot access Repositories page and Settings in a Project - Error 500
* Defect #10829: db:migrate fails 0.8.2 -> 1.4.1
* Defect #10832: REST Uploads fail with fastcgi
* Defect #10837: reposman and rdm-mailhandler not working with ruby 1.9.x
* Defect #10856: can not load translations from hr.yml with ruby1.9.3-p194
* Defect #10865: Filter reset when deleting locked user
* Feature #9790: Allow filtering text custom fields on "is null" and "is not null"
* Feature #10778: svn:ignore for config/additional_environment.rb
* Feature #10875: Partial Albanian Translations
* Feature #10888: Bring back List-Id to help aid Gmail filtering
* Patch #10733: Traditional Chinese language file (to r9502)
* Patch #10745: Japanese translation update (r9519)
* Patch #10750: Swedish Translation for r9522
* Patch #10785: Bulgarian translation (jstoolbar)
* Patch #10800: Simplified Chinese translation

== 2012-04-20 v1.4.1

* Defect #8574: Time report: date range fields not enabled when using the calendar popup
* Defect #10642: Nested textile ol/ul lists generate invalid HTML
* Defect #10668: RSS key is generated twice when user is not reloaded
* Defect #10669: Token.destroy_expired should not delete API tokens
* Defect #10675: "Submit and continue" is broken
* Defect #10711: User cannot change account details with "Login has already been taken" error
* Feature #10664: Unsubscribe Own User Account
* Patch #10693: German Translation Update

== 2012-04-14 v1.4.0

* Defect #2719: Increase username length limit from 30 to 60
* Defect #3087: Revision referring to issues across all projects
* Defect #4824: Unable to connect (can't convert Net::LDAP::LdapError into String)
* Defect #5058: reminder mails are not sent when delivery_method is :async_smtp
* Defect #6859: Moving issues to a tracker with different custom fields should let fill these fields
* Defect #7398: Error when trying to quick create a version with required custom field
* Defect #7495: Python multiline comments highlighting problem in Repository browser
* Defect #7826: bigdecimal-segfault-fix.rb must be removed for Oracle
* Defect #7920: Attempted to update a stale object when copying a project
* Defect #8857: Git: Too long in fetching repositories after upgrade from 1.1 or new branch at first time
* Defect #9472: The git scm module causes an excess amount of DB traffic.
* Defect #9685: Adding multiple times the same related issue relation is possible
* Defect #9798: Release 1.3.0 does not detect rubytree under ruby 1.9.3p0 / rails 2.3.14
* Defect #9978: Japanese "permission_add_issue_watchers" is wrong
* Defect #10006: Email reminders are sent for closed issues
* Defect #10150: CSV export and spent time: rounding issue
* Defect #10168: CSV export breaks custom columns
* Defect #10181: Issue context menu and bulk edit form show irrelevant statuses
* Defect #10198: message_id regex in pop3.rb only recognizes Message-ID header (not Message-Id)
* Defect #10251: Description diff link in note details is relative when received by email
* Defect #10272: Ruby 1.9.3: "incompatible character encoding" with LDAP auth
* Defect #10275: Message object not passed to wiki macros for head topic and in preview edit mode
* Defect #10334: Full name is not unquoted when creating users from emails
* Defect #10410: [Localization] Grammar issue of Simplified Chinese in zh.yml
* Defect #10442: Ruby 1.9.3 Time Zone setting Internal error.
* Defect #10467: Confusing behavior while moving issue to a project with disabled Issues module
* Defect #10575: Uploading of attachments which filename contains non-ASCII chars fails with Ruby 1.9
* Defect #10590: WikiContent::Version#text return string with #<Encoding:ASCII-8BIT> when uncompressed
* Defect #10593: Error: 'incompatible character encodings: UTF-8 and ASCII-8BIT' (old annoing issue) on ruby-1.9.3
* Defect #10600: Watchers search generates an Internal error
* Defect #10605: Bulk edit selected issues does not allow selection of blank values for custom fields
* Defect #10619: When changing status before tracker, it shows improper status
* Feature #779: Multiple SCM per project
* Feature #971: Add "Spent time" column to query
* Feature #1060: Add a LDAP-filter using external auth sources
* Feature #1102: Shortcut for assigning an issue to me
* Feature #1189: Multiselect custom fields
* Feature #1363: Allow underscores in project identifiers
* Feature #1913: LDAP - authenticate as user
* Feature #1972: Attachments for News
* Feature #2009: Manually add related revisions
* Feature #2323: Workflow permissions for administrators
* Feature #2416: {background:color} doesn't work in text formatting
* Feature #2694: Notification on loosing assignment
* Feature #2715: "Magic links" to notes
* Feature #2850: Add next/previous navigation to issue
* Feature #3055: Option to copy attachments when copying an issue
* Feature #3108: set parent automatically for new pages
* Feature #3463: Export all wiki pages to PDF
* Feature #4050: Ruby 1.9 support
* Feature #4769: Ability to move an issue to a different project from the update form
* Feature #4774: Change the hyperlink for file attachment to view and download
* Feature #5159: Ability to add Non-Member watchers to the watch list
* Feature #5638: Use Bundler (Gemfile) for gem management
* Feature #5643: Add X-Redmine-Sender header to email notifications
* Feature #6296: Bulk-edit custom fields through context menu
* Feature #6386: Issue mail should render the HTML version of the issue details
* Feature #6449: Edit a wiki page's parent on the edit page
* Feature #6555: Double-click on "Submit" and "Save" buttons should not send two requests to server
* Feature #7361: Highlight active query in the side bar
* Feature #7420: Rest API for projects members
* Feature #7603: Please make editing issues more obvious than "Change properties (More)"
* Feature #8171: Adding attachments through the REST API
* Feature #8691: Better handling of issue update conflict
* Feature #9803: Change project through REST API issue update
* Feature #9923: User type custom fields should be filterable by "Me".
* Feature #9985: Group time report by the Status field
* Feature #9995: Time entries insertion, "Create and continue" button
* Feature #10020: Enable global time logging at /time_entries/new
* Feature #10042: Bulk change private flag
* Feature #10126: Add members of subprojects in the assignee and author filters
* Feature #10131: Include custom fiels in time entries API responses
* Feature #10207: Git: use default branch from HEAD
* Feature #10208: Estonian translation
* Feature #10253: Better handling of attachments when validation fails
* Feature #10350: Bulk copy should allow for changing the target version
* Feature #10607: Ignore out-of-office incoming emails
* Feature #10635: Adding time like "123 Min" is invalid
* Patch #9998: Make attachement "Optional Description" less wide
* Patch #10066: i18n not working with russian gem
* Patch #10128: Disable IE 8 compatibility mode to fix wrong div.autoscroll scroll bar behaviour
* Patch #10155: Russian translation changed
* Patch #10464: Enhanced PDF output for Issues list
* Patch #10470: Efficiently process new git revisions in a single batch
* Patch #10513: Dutch translation improvement

== 2012-04-14 v1.3.3

* Defect #10505: Error when exporting to PDF with NoMethodError (undefined method `downcase' for nil:NilClass)
* Defect #10554: Defect symbols when exporting tasks in pdf
* Defect #10564: Unable to change locked, sticky flags and board when editing a message
* Defect #10591: Dutch "label_file_added" translation is wrong
* Defect #10622: "Default administrator account changed" is always true
* Patch #10555: rake redmine:send_reminders aborted if issue assigned to group
* Patch #10611: Simplified Chinese translations for 1.3-stable

== 2012-03-11 v1.3.2

* Defect #8194: {{toc}} uses identical anchors for subsections with the same name
* Defect #9143: Partial diff comparison should be done on actual code, not on html
* Defect #9523: {{toc}} does not display headers with @ code markup
* Defect #9815: Release 1.3.0 does not detect rubytree with rubgems 1.8
* Defect #10053: undefined method `<=>' for nil:NilClass when accessing the settings of a project
* Defect #10135: ActionView::TemplateError (can't convert Fixnum into String)
* Defect #10193: Unappropriate icons in highlighted code block
* Defect #10199: No wiki section edit when title contains code
* Defect #10218: Error when creating a project with a version custom field
* Defect #10241: "get version by ID" fails with "401 not authorized" error when using API access key
* Defect #10284: Note added by commit from a subproject does not contain project identifier
* Defect #10374: User list is empty when adding users to project / group if remaining users are added late
* Defect #10390: Mass assignment security vulnerability
* Patch #8413: Confirmation message before deleting a relationship
* Patch #10160: Bulgarian translation (r8777)
* Patch #10242: Migrate Redmine.pm from Digest::Sha1 to Digest::Sha
* Patch #10258: Italian translation for 1.3-stable

== 2012-02-06 v1.3.1

* Defect #9775: app/views/repository/_revision_graph.html.erb sets window.onload directly..
* Defect #9792: Ruby 1.9: [v1.3.0] Error: incompatible character encodings for it translation on Calendar page
* Defect #9793: Bad spacing between numbered list and heading (recently broken).
* Defect #9795: Unrelated error message when creating a group with an invalid name
* Defect #9832: Revision graph height should depend on height of rows in revisions table
* Defect #9937: Repository settings are not saved when all SCM are disabled
* Defect #9961: Ukrainian "default_tracker_bug" is wrong
* Defect #10013: Rest API - Create Version -> Internal server error 500
* Defect #10115: Javascript error - Can't attach more than 1 file on IE 6 and 7
* Defect #10130: Broken italic text style in edited comment preview
* Defect #10152: Attachment diff type is not saved in user preference
* Feature #9943: Arabic translation
* Patch #9874: pt-BR translation updates
* Patch #9922: Spanish translation updated
* Patch #10137: Korean language file ko.yml updated to Redmine 1.3.0

== 2011-12-10 v1.3.0

* Defect #2109: Context menu is being submitted twice per right click
* Defect #7717: MailHandler user creation for unknown_user impossible due to diverging length-limits of login and email fields
* Defect #7917: Creating users via email fails if user real name containes special chars
* Defect #7966: MailHandler does not include JournalDetail for attached files
* Defect #8368: Bad decimal separator in time entry CSV
* Defect #8371: MySQL error when filtering a custom field using the REST api
* Defect #8549: Export CSV has character encoding error
* Defect #8573: Do not show inactive Enumerations where not needed
* Defect #8611: rake/rdoctask is deprecated
* Defect #8751: Email notification: bug, when number of recipients more then 8
* Defect #8894: Private issues - make it more obvious in the UI?
* Defect #8994: Hardcoded French string "anonyme"
* Defect #9043: Hardcoded string "diff" in Wiki#show and Repositories_Helper
* Defect #9051: wrong "text_issue_added" in russian translation.
* Defect #9108: Custom query not saving status filter
* Defect #9252: Regression: application title escaped 2 times
* Defect #9264: Bad Portuguese translation
* Defect #9470: News list is missing Avatars
* Defect #9471: Inline markup broken in Wiki link labels
* Defect #9489: Label all input field and control tags
* Defect #9534: Precedence: bulk email header is non standard and discouraged
* Defect #9540: Issue filter by assigned_to_role is not project specific
* Defect #9619: Time zone ignored when logging time while editing ticket
* Defect #9638: Inconsistent image filename extensions
* Defect #9669: Issue list doesn't sort assignees/authors regarding user display format
* Defect #9672: Message-quoting in forums module broken
* Defect #9719: Filtering by numeric custom field types broken after update to master
* Defect #9724: Can't remote add new categories
* Defect #9738: Setting of cross-project custom query is not remembered inside project
* Defect #9748: Error about configuration.yml validness should mention file path
* Feature #69: Textilized description in PDF
* Feature #401: Add pdf export for WIKI page
* Feature #1567: Make author column sortable and groupable
* Feature #2222: Single section edit.
* Feature #2269: Default issue start date should become configurable.
* Feature #2371: character encoding for attachment file
* Feature #2964: Ability to assign issues to groups
* Feature #3033: Bug Reporting: Using "Create and continue" should show bug id of saved bug
* Feature #3261: support attachment images in PDF export
* Feature #4264: Update CodeRay to 1.0 final
* Feature #4324: Redmine renames my files, it shouldn't.
* Feature #4729: Add Date-Based Filters for Issues List
* Feature #4742: CSV export: option to export selected or all columns
* Feature #4976: Allow rdm-mailhandler to read the API key from a file
* Feature #5501: Git: Mercurial: Adding visual merge/branch history to repository view
* Feature #5634: Export issue to PDF does not include Subtasks and Related Issues
* Feature #5670: Cancel option for file upload
* Feature #5737: Custom Queries available through the REST Api
* Feature #6180: Searchable custom fields do not provide adequate operators
* Feature #6954: Filter from date to date
* Feature #7180: List of statuses in REST API
* Feature #7181: List of trackers in REST API
* Feature #7366: REST API for Issue Relations
* Feature #7403: REST API for Versions
* Feature #7671: REST API for reading attachments
* Feature #7832: Ability to assign issue categories to groups
* Feature #8420: Consider removing #7013 workaround
* Feature #9196: Improve logging in MailHandler when user creation fails
* Feature #9496: Adds an option in mailhandler to disable server certificate verification
* Feature #9553: CRUD operations for "Issue categories" in REST API
* Feature #9593: HTML title should be reordered
* Feature #9600: Wiki links for news and forums
* Feature #9607: Filter for issues without start date (or any another field based on date type)
* Feature #9609: Upgrade to Rails 2.3.14
* Feature #9612: "side by side" and "inline" patch view for attachments
* Feature #9667: Check attachment size before upload
* Feature #9690: Link in notification pointing to the actual update
* Feature #9720: Add note number for single issue's PDF
* Patch #8617: Indent subject of subtask ticket in exported issues PDF
* Patch #8778: Traditional Chinese 'issue' translation change
* Patch #9053: Fix up Russian translation
* Patch #9129: Improve wording of Git repository note at project setting
* Patch #9148: Better handling of field_due_date italian translation
* Patch #9273: Fix typos in russian localization
* Patch #9484: Limit SCM annotate to text files under the maximum file size for viewing
* Patch #9659: Indexing rows in auth_sources/index view
* Patch #9692: Fix Textilized description in PDF for CodeRay

== 2011-12-10 v1.2.3

* Defect #8707: Reposman: wrong constant name
* Defect #8809: Table in timelog report overflows
* Defect #9055: Version files in Files module cannot be downloaded if issue tracking is disabled
* Defect #9137: db:encrypt fails to handle repositories with blank password
* Defect #9394: Custom date field only validating on regex and not a valid date
* Defect #9405: Any user with :log_time permission can edit time entries via context menu
* Defect #9448: The attached images are not shown in documents
* Defect #9520: Copied private query not visible after project copy
* Defect #9552: Error when reading ciphered text from the database without cipher key configured
* Defect #9566: Redmine.pm considers all projects private when login_required is enabled
* Defect #9567: Redmine.pm potential security issue with cache credential enabled and subversion
* Defect #9577: Deleting a subtasks doesn't update parent's rgt & lft values
* Defect #9597: Broken version links in wiki annotate history
* Defect #9682: Wiki HTML Export only useful when Access history is accessible
* Defect #9737: Custom values deleted before issue submit
* Defect #9741: calendar-hr.js (Croatian) is not UTF-8
* Patch #9558: Simplified Chinese translation for 1.2.2 updated
* Patch #9695: Bulgarian translation (r7942)

== 2011-11-11 v1.2.2

* Defect #3276: Incorrect handling of anchors in Wiki to HTML export
* Defect #7215: Wiki formatting mangles links to internal headers
* Defect #7613: Generated test instances may share the same attribute value object
* Defect #8411: Can't remove "Project" column on custom query
* Defect #8615: Custom 'version' fields don't show shared versions
* Defect #8633: Pagination counts non visible issues
* Defect #8651: Email attachments are not added to issues any more in v1.2
* Defect #8825: JRuby + Windows: SCMs do not work on Redmine 1.2
* Defect #8836: Additional workflow transitions not available when set to both author and assignee
* Defect #8865: Custom field regular expression is not validated
* Defect #8880: Error deleting issue with grandchild
* Defect #8884: Assignee is cleared when updating issue with locked assignee
* Defect #8892: Unused fonts in rfpdf plugin folder
* Defect #9161: pt-BR field_warn_on_leaving_unsaved has a small gramatical error
* Defect #9308: Search fails when a role haven't "view wiki" permission
* Defect #9465: Mercurial: can't browse named branch below Mercurial 1.5

== 2011-07-11 v1.2.1

* Defect #5089: i18N error on truncated revision diff view
* Defect #7501: Search options get lost after clicking on a specific result type
* Defect #8229: "project.xml" response does not include the parent ID
* Defect #8449: Wiki annotated page does not display author of version 1
* Defect #8467: Missing german translation - Warn me when leaving a page with unsaved text
* Defect #8468: No warning when leaving page with unsaved text that has not lost focus
* Defect #8472: Private checkbox ignored on issue creation with "Set own issues public or private" permission
* Defect #8510: JRuby: Can't open administrator panel if scm command is not available
* Defect #8512: Syntax highlighter on Welcome page
* Defect #8554: Translation missing error on custom field validation
* Defect #8565: JRuby: Japanese PDF export error
* Defect #8566: Exported PDF UTF-8 Vietnamese not correct
* Defect #8569: JRuby: PDF export error with TypeError
* Defect #8576: Missing german translation - different things
* Defect #8616: Circular relations
* Defect #8646: Russian translation "label_follows" and "label_follows" are wrong
* Defect #8712: False 'Description updated' journal details messages
* Defect #8729: Not-public queries are not private
* Defect #8737: Broken line of long issue description on issue PDF.
* Defect #8738: Missing revision number/id of associated revisions on issue PDF
* Defect #8739: Workflow copy does not copy advanced workflow settings
* Defect #8759: Setting issue attributes from mail should be case-insensitive
* Defect #8777: Mercurial: Not able to Resetting Redmine project respository

== 2011-05-30 v1.2.0

* Defect #61: Broken character encoding in pdf export
* Defect #1965: Redmine is not Tab Safe
* Defect #2274: Filesystem Repository path encoding of non UTF-8 characters
* Defect #2664: Mercurial: Repository path encoding of non UTF-8 characters
* Defect #3421: Mercurial reads files from working dir instead of changesets
* Defect #3462: CVS: Repository path encoding of non UTF-8 characters
* Defect #3715: Login page should not show projects link and search box if authentication is required
* Defect #3724: Mercurial repositories display revision ID instead of changeset ID
* Defect #3761: Most recent CVS revisions are missing in "revisions" view
* Defect #4270: CVS Repository view in Project doesn't show Author, Revision, Comment
* Defect #5138: Don't use Ajax for pagination
* Defect #5152: Cannot use certain characters for user and role names.
* Defect #5251: Git: Repository path encoding of non UTF-8 characters
* Defect #5373: Translation missing when adding invalid watchers
* Defect #5817: Shared versions not shown in subproject's gantt chart
* Defect #6013: git tab,browsing, very slow -- even after first time
* Defect #6148: Quoting, newlines, and nightmares...
* Defect #6256: Redmine considers non ASCII and UTF-16 text files as binary in SCM
* Defect #6476: Subproject's issues are not shown in the subproject's gantt
* Defect #6496: Remove i18n 0.3.x/0.4.x hack for Rails 2.3.5
* Defect #6562: Context-menu deletion of issues deletes all subtasks too without explicit prompt
* Defect #6604: Issues targeted at parent project versions' are not shown on gantt chart
* Defect #6706: Resolving issues with the commit message produces the wrong comment with CVS
* Defect #6901: Copy/Move an issue does not give any history of who actually did the action.
* Defect #6905: Specific heading-content breaks CSS
* Defect #7000: Project filter not applied on versions in Gantt chart
* Defect #7097: Starting day of week cannot be set to Saturday
* Defect #7114: New gantt doesn't display some projects
* Defect #7146: Git adapter lost commits before 7 days from database latest changeset
* Defect #7218: Date range error on issue query
* Defect #7257: "Issues by" version links bad criterias
* Defect #7279: CSS class ".icon-home" is not used.
* Defect #7320: circular dependency >2 issues
* Defect #7352: Filters not working in Gantt charts
* Defect #7367: Receiving pop3 email should not output debug messages
* Defect #7373: Error with PDF output and ruby 1.9.2
* Defect #7379: Remove extraneous hidden_field on wiki history
* Defect #7516: Redmine does not work with RubyGems 1.5.0
* Defect #7518: Mercurial diff can be wrong if the previous changeset isn't the parent
* Defect #7581: Not including a spent time value on the main issue update screen causes silent data loss
* Defect #7582: hiding form pages from search engines
* Defect #7597: Subversion and Mercurial log have the possibility to miss encoding
* Defect #7604: ActionView::TemplateError (undefined method `name' for nil:NilClass)
* Defect #7605: Using custom queries always redirects to "Issues" tab
* Defect #7615: CVS diffs do not handle new files properly
* Defect #7618: SCM diffs do not handle one line new files properly
* Defect #7639: Some date fields do not have requested format.
* Defect #7657: Wrong commit range in git log command on Windows
* Defect #7818: Wiki pages don't use the local timezone to display the "Updated ? hours ago" mouseover
* Defect #7821: Git "previous" and "next" revisions are incorrect
* Defect #7827: CVS: Age column on repository view is off by timezone delta
* Defect #7843: Add a relation between issues = explicit login window ! (basic authentication popup is prompted on AJAX request)
* Defect #8011: {{toc}} does not display headlines with inline code markup
* Defect #8029: List of users for adding to a group may be empty if 100 first users have been added
* Defect #8064: Text custom fields do not wrap on the issue list
* Defect #8071: Watching a subtask from the context menu updates main issue watch link
* Defect #8072: Two untranslatable default role names
* Defect #8075: Some "notifiable" names are not i18n-enabled
* Defect #8081: GIT: Commits missing when user has the "decorate" git option enabled
* Defect #8088: Colorful indentation of subprojects must be on right in RTL locales
* Defect #8239: notes field is not propagated during issue copy
* Defect #8356: GET /time_entries.xml ignores limit/offset parameters
* Defect #8432: Private issues information shows up on Activity page for unauthorized users
* Feature #746: Versioned issue descriptions
* Feature #1067: Differentiate public/private saved queries in the sidebar
* Feature #1236: Make destination folder for attachment uploads configurable
* Feature #1735: Per project repository log encoding setting
* Feature #1763: Autologin-cookie should be configurable
* Feature #1981: display mercurial tags
* Feature #2074: Sending email notifications when comments are added in the news section
* Feature #2096: Custom fields referencing system tables (users and versions)
* Feature #2732: Allow additional workflow transitions for author and assignee
* Feature #2910: Warning on leaving edited issue/wiki page without saving
* Feature #3396: Git: use --encoding=UTF-8 in "git log"
* Feature #4273: SCM command availability automatic check in administration panel
* Feature #4477: Use mime types in downloading from repository
* Feature #5518: Graceful fallback for "missing translation" needed
* Feature #5520: Text format buttons and preview link missing when editing comment
* Feature #5831: Parent Task to Issue Bulk Edit
* Feature #6887: Upgrade to Rails 2.3.11
* Feature #7139: Highlight changes inside diff lines
* Feature #7236: Collapse All for Groups
* Feature #7246: Handle "named branch" for mercurial
* Feature #7296: Ability for admin to delete users
* Feature #7318: Add user agent to Redmine Mailhandler
* Feature #7408: Add an application configuration file
* Feature #7409: Cross project Redmine links
* Feature #7410: Add salt to user passwords
* Feature #7411: Option to cipher LDAP ans SCM passwords stored in the database
* Feature #7412: Add an issue visibility level to each role
* Feature #7414: Private issues
* Feature #7517: Configurable path of executable for scm adapters
* Feature #7640: Add "mystery man" gravatar to options
* Feature #7858: RubyGems 1.6 support
* Feature #7893: Group filter on the users list
* Feature #7899: Box for editing comments should open with the formatting toolbar
* Feature #7921: issues by pulldown should have 'status' option
* Feature #7996: Bulk edit and context menu for time entries
* Feature #8006: Right click context menu for Related Issues
* Feature #8209: I18n YAML files not parsable with psych yaml library
* Feature #8345: Link to user profile from account page
* Feature #8365: Git: per project setting to report last commit or not in repository tree
* Patch #5148: metaKey not handled in issues selection
* Patch #5629: Wrap text fields properly in PDF
* Patch #7418: Redmine Persian Translation
* Patch #8295: Wrap title fields properly in PDF
* Patch #8310: fixes automatic line break problem with TCPDF
* Patch #8312: Switch to TCPDF from FPDF for PDF export

== 2011-04-29 v1.1.3

* Defect #5773: Email reminders are sent to locked users
* Defect #6590: Wrong file list link in email notification on new file upload
* Defect #7589: Wiki page with backslash in title can not be found
* Defect #7785: Mailhandler keywords are not removed when updating issues
* Defect #7794: Internal server error on formatting an issue as a PDF in Japanese
* Defect #7838: Gantt- Issues does not show up in green when start and end date are the same
* Defect #7846: Headers (h1, etc.) containing backslash followed by a digit are not displayed correctly
* Defect #7875: CSV export separators in polish locale (pl.yml)
* Defect #7890: Internal server error when referencing an issue without project in commit message
* Defect #7904: Subprojects not properly deleted when deleting a parent project
* Defect #7939: Simultaneous Wiki Updates Cause Internal Error
* Defect #7951: Atom links broken on wiki index
* Defect #7954: IE 9 can not select issues, does not display context menu
* Defect #7985: Trying to do a bulk edit results in "Internal Error"
* Defect #8003: Error raised by reposman.rb under Windows server 2003
* Defect #8012: Wrong selection of modules when adding new project after validation error
* Defect #8038: Associated Revisions OL/LI items are not styled properly in issue view
* Defect #8067: CSV exporting in Italian locale
* Defect #8235: bulk edit issues and copy issues error in es, gl and ca locales
* Defect #8244: selected modules are not activated when copying a project
* Patch #7278: Update Simplified Chinese translation to 1.1
* Patch #7390: Fixes in Czech localization
* Patch #7963: Reminder email: Link for show all issues does not sort

== 2011-03-07 v1.1.2

* Defect #3132: Bulk editing menu non-functional in Opera browser
* Defect #6090: Most binary files become corrupted when downloading from CVS repository browser when Redmine is running on a Windows server
* Defect #7280: Issues subjects wrap in Gantt
* Defect #7288: Non ASCII filename downloaded from repo is broken on Internet Explorer.
* Defect #7317: Gantt tab gives internal error due to nil avatar icon
* Defect #7497: Aptana Studio .project file added to version 1.1.1-stable
* Defect #7611: Workflow summary shows X icon for workflow with exactly 1 status transition
* Defect #7625: Syntax highlighting unavailable from board new topic or topic edit preview
* Defect #7630: Spent time in commits not recognized
* Defect #7656: MySQL SQL Syntax Error when filtering issues by Assignee's Group
* Defect #7718: Minutes logged in commit message are converted to hours
* Defect #7763: Email notification are sent to watchers even if 'No events' setting is chosen
* Feature #7608: Add "retro" gravatars
* Patch #7598: Extensible MailHandler
* Patch #7795: Internal server error at journals#index with custom fields

== 2011-01-30 v1.1.1

* Defect #4899: Redmine fails to list files for darcs repository
* Defect #7245: Wiki fails to find pages with cyrillic characters using postgresql
* Defect #7256: redmine/public/.htaccess must be moved for non-fastcgi installs/upgrades
* Defect #7258: Automatic spent time logging does not work properly with SQLite3
* Defect #7259: Released 1.1.0 uses "devel" label inside admin information
* Defect #7265: "Loading..." icon does not disappear after add project member
* Defect #7266: Test test_due_date_distance_in_words fail due to undefined locale
* Defect #7274: CSV value separator in dutch locale
* Defect #7277: Enabling gravatas causes usernames to overlap first name field in user list
* Defect #7294: "Notifiy for only project I select" is not available anymore in 1.1.0
* Defect #7307: HTTP 500 error on query for empty revision
* Defect #7313: Label not translated in french in Settings/Email Notification tab
* Defect #7329: <code class="javascript"> with long strings may hang server
* Defect #7337: My page french translation
* Defect #7348: French Translation of "Connection"
* Defect #7385: Error when viewing an issue which was related to a deleted subtask
* Defect #7386: NoMethodError on pdf export
* Defect #7415: Darcs adapter recognizes new files as modified files above Darcs 2.4
* Defect #7421: no email sent with 'Notifiy for any event on the selected projects only'
* Feature #5344: Update to latest CodeRay 0.9.x

== 2011-01-09 v1.1.0

* Defect #2038: Italics in wiki headers show-up wrong in the toc
* Defect #3449: Redmine Takes Too Long On Large Mercurial Repository
* Defect #3567: Sorting for changesets might go wrong on Mercurial repos
* Defect #3707: {{toc}} doesn't work with {{include}}
* Defect #5096: Redmine hangs up while browsing Git repository
* Defect #6000: Safe Attributes prevents plugin extension of Issue model...
* Defect #6064: Modules not assigned to projects created via API
* Defect #6110: MailHandler should allow updating Issue Priority and Custom fields
* Defect #6136: JSON API holds less information than XML API
* Defect #6345: xml used by rest API is invalid
* Defect #6348: Gantt chart PDF rendering errors
* Defect #6403: Updating an issue with custom fields fails
* Defect #6467: "Member of role", "Member of group" filter not work correctly
* Defect #6473: New gantt broken after clearing issue filters
* Defect #6541: Email notifications send to everybody
* Defect #6549: Notification settings not migrated properly
* Defect #6591: Acronyms must have a minimum of three characters
* Defect #6674: Delete time log broken after changes to REST
* Defect #6681: Mercurial, Bazaar and Darcs auto close issue text should be commit id instead of revision number
* Defect #6724: Wiki uploads does not work anymore (SVN 4266)
* Defect #6746: Wiki links are broken on Activity page
* Defect #6747: Wiki diff does not work since r4265
* Defect #6763: New gantt charts: subject displayed twice on issues
* Defect #6826: Clicking "Add" twice creates duplicate member record
* Defect #6844: Unchecking status filter on the issue list has no effect
* Defect #6895: Wrong Polish translation of "blocks"
* Defect #6943: Migration from boolean to varchar fails on PostgreSQL 8.1
* Defect #7064: Mercurial adapter does not recognize non alphabetic nor numeric in UTF-8 copied files
* Defect #7128: New gantt chart does not render subtasks under parent task
* Defect #7135: paging mechanism returns the same last page forever
* Defect #7188: Activity page not refreshed when changing language
* Defect #7195: Apply CLI-supplied defaults for incoming mail only to new issues not replies
* Defect #7197: Tracker reset to default when replying to an issue email
* Defect #7213: Copy project does not copy all roles and permissions
* Defect #7225: Project settings: Trackers & Custom fields only relevant if module Issue tracking is active
* Feature #630: Allow non-unique names for projects
* Feature #1738: Add a "Visible" flag to project/user custom fields
* Feature #2803: Support for Javascript in Themes
* Feature #2852: Clean Incoming Email of quoted text "----- Reply above this line ------"
* Feature #2995: Improve error message when trying to access an archived project
* Feature #3170: Autocomplete issue relations on subject
* Feature #3503: Administrator Be Able To Modify Email settings Of Users
* Feature #4155: Automatic spent time logging from commit messages
* Feature #5136: Parent select on Wiki rename page
* Feature #5338: Descendants (subtasks) should be available via REST API
* Feature #5494: Wiki TOC should display heading from level 4
* Feature #5594: Improve MailHandler's keyword handling
* Feature #5622: Allow version to be set via incoming email
* Feature #5712: Reload themes
* Feature #5869: Issue filters by Group and Role
* Feature #6092: Truncate Git revision labels in Activity page/feed and allow configurable length
* Feature #6112: Accept localized keywords when receiving emails
* Feature #6140: REST issues response with issue count limit and offset
* Feature #6260: REST API for Users
* Feature #6276: Gantt Chart rewrite
* Feature #6446: Remove length limits on project identifier and name
* Feature #6628: Improvements in truncate email
* Feature #6779: Project JSON API
* Feature #6823: REST API for time tracker.
* Feature #7072: REST API for news
* Feature #7111: Expose more detail on journal entries
* Feature #7141: REST API: get information about current user
* Patch #4807: Allow to set the done_ratio field with the incoming mail system
* Patch #5441: Initialize TimeEntry attributes with params[:time_entry]
* Patch #6762: Use GET instead of POST to retrieve context_menu
* Patch #7160: French translation ofr "not_a_date" is missing
* Patch #7212: Missing remove_index in AddUniqueIndexOnMembers down migration


== 2010-12-23 v1.0.5

* #6656: Mercurial adapter loses seconds of commit times
* #6996: Migration trac(sqlite3) -> redmine(postgresql) doesnt escape ' char
* #7013: v-1.0.4 trunk - see {{count}} in page display rather than value
* #7016: redundant 'field_start_date' in ja.yml
* #7018: 'undefined method `reschedule_after' for nil:NilClass' on new issues
* #7024: E-mail notifications about Wiki changes.
* #7033: 'class' attribute of <pre> tag shouldn't be truncate
* #7035: CSV value separator in russian
* #7122: Issue-description Quote-button missing
* #7144: custom queries making use of deleted custom fields cause a 500 error
* #7162: Multiply defined label in french translation

== 2010-11-28 v1.0.4

* #5324: Git not working if color.ui is enabled
* #6447: Issues API doesn't allow full key auth for all actions
* #6457: Edit User group problem
* #6575: start date being filled with current date even when blank value is submitted
* #6740: Max attachment size, incorrect usage of 'KB'
* #6760: Select box sorted by ID instead of name in Issue Category
* #6766: Changing target version name can cause an internal error
* #6784: Redmine not working with i18n gem 0.4.2
* #6839: Hardcoded absolute links in my/page_layout
* #6841: Projects API doesn't allow full key auth for all actions
* #6860: svn: Write error: Broken pipe when browsing repository
* #6874: API should return XML description when creating a project
* #6932: submitting wrong parent task input creates a 500 error
* #6966: Records of Forums are remained, deleting project
* #6990: Layout problem in workflow overview
* #5117: mercurial_adapter should ensure the right LANG environment variable
* #6782: Traditional Chinese language file (to r4352)
* #6783: Swedish Translation for r4352
* #6804: Bugfix: spelling fixes
* #6814: Japanese Translation for r4362
* #6948: Bulgarian translation
* #6973: Update es.yml

== 2010-10-31 v1.0.3

* #4065: Redmine.pm doesn't work with LDAPS and a non-standard port
* #4416: Link from version details page to edit the wiki.
* #5484: Add new issue as subtask to an existing ticket
* #5948: Update help/wiki_syntax_detailed.html with more link options
* #6494: Typo in pt_BR translation for 1.0.2
* #6508: Japanese translation update
* #6509: Localization pt-PT (new strings)
* #6511: Rake task to test email
* #6525: Traditional Chinese language file (to r4225)
* #6536: Patch for swedish translation
* #6548: Rake tasks to add/remove i18n strings
* #6569: Updated Hebrew translation
* #6570: Japanese Translation for r4231
* #6596: pt-BR translation updates
* #6629: Change field-name of issues start date
* #6669: Bulgarian translation
* #6731: Macedonian translation fix
* #6732: Japanese Translation for r4287
* #6735: Add user-agent to reposman
* #6736: Traditional Chinese language file (to r4288)
* #6739: Swedish Translation for r4288
* #6765: Traditional Chinese language file (to r4302)
* Fixed #5324: Git not working if color.ui is enabled
* Fixed #5652: Bad URL parsing in the wiki when it ends with right-angle-bracket(greater-than mark).
* Fixed #5803: Precedes/Follows Relationships Broke
* Fixed #6435: Links to wikipages bound to versions do not respect version-sharing in Settings -> Versions
* Fixed #6438: Autologin cannot be disabled again once it's enabled
* Fixed #6513: "Move" and "Copy" are not displayed when deployed in subdirectory
* Fixed #6521: Tooltip/label for user "search-refinment" field on group/project member list
* Fixed #6563: i18n-issues on calendar view
* Fixed #6598: Wrong caption for button_create_and_continue in German language file
* Fixed #6607: Unclear caption for german button_update
* Fixed #6612: SortHelper missing from CalendarsController
* Fixed #6740: Max attachment size, incorrect usage of 'KB'
* Fixed #6750: ActionView::TemplateError (undefined method `empty?' for nil:NilClass) on line #12 of app/views/context_menus/issues.html.erb:

== 2010-09-26 v1.0.2

* #2285: issue-refinement: pressing enter should result to an "apply"
* #3411: Allow mass status update trough context menu
* #5929: https-enabled gravatars when called over https
* #6189: Japanese Translation for r4011
* #6197: Traditional Chinese language file (to r4036)
* #6198: Updated german translation
* #6208: Macedonian translation
* #6210: Swedish Translation for r4039
* #6248: nl translation update for r4050
* #6263: Catalan translation update
* #6275: After submitting a related issue, the Issue field should be re-focused
* #6289: Checkboxes in issues list shouldn't be displayed when printing
* #6290: Make journals theming easier
* #6291: User#allowed_to? is not tested
* #6306: Traditional Chinese language file (to r4061)
* #6307: Korean translation update for 4066(4061)
* #6316: pt_BR update
* #6339: SERBIAN Updated
* #6358: Updated Polish translation
* #6363: Japanese Translation for r4080
* #6365: Traditional Chinese language file (to r4081)
* #6382: Issue PDF export variable usage
* #6428: Interim solution for i18n >= 0.4
* #6441: Japanese Translation for r4162
* #6451: Traditional Chinese language file (to r4167)
* #6465: Japanese Translation for r4171
* #6466: Traditional Chinese language file (to r4171)
* #6490: pt-BR translation for 1.0.2
* Fixed #3935: stylesheet_link_tag with plugin doesn't take into account relative_url_root
* Fixed #4998: Global issue list's context menu has enabled options for parent menus but there are no valid selections
* Fixed #5170: Done ratio can not revert to 0% if status is used for done ratio
* Fixed #5608: broken with i18n 0.4.0
* Fixed #6054: Error 500 on filenames with whitespace in git reposities
* Fixed #6135: Default logger configuration grows without bound.
* Fixed #6191: Deletion of a main task deletes all subtasks
* Fixed #6195: Missing move issues between projects
* Fixed #6242: can't switch between inline and side-by-side diff
* Fixed #6249: Create and continue returns 404
* Fixed #6267: changing the authentication mode from ldap to internal with setting the password
* Fixed #6270: diff coderay malformed in the "news" page
* Fixed #6278: missing "cant_link_an_issue_with_a_descendant"from locale files
* Fixed #6333: Create and continue results in a 404 Error
* Fixed #6346: Age column on repository view is skewed for git, probably CVS too
* Fixed #6351: Context menu on roadmap broken
* Fixed #6388: New Subproject leads to a 404
* Fixed #6392: Updated/Created links to activity broken
* Fixed #6413: Error in SQL
* Fixed #6443: Redirect to project settings after Copying a Project
* Fixed #6448: Saving a wiki page with no content has a translation missing
* Fixed #6452: Unhandled exception on creating File
* Fixed #6471: Typo in label_report in Czech translation
* Fixed #6479: Changing tracker type will lose watchers
* Fixed #6499: Files with leading or trailing whitespace are not shown in git.

== 2010-08-22 v1.0.1

* #819: Add a body ID and class to all pages
* #871: Commit new CSS styles!
* #3301: Add favicon to base layout
* #4656: On Issue#show page, clicking on "Add related issue" should focus on the input
* #4896: Project identifier should be a limited field
* #5084: Filter all isssues by projects
* #5477: Replace Test::Unit::TestCase with ActiveSupport::TestCase
* #5591: 'calendar' action is used with 'issue' controller in issue/sidebar
* #5735: Traditional Chinese language file (to r3810)
* #5740: Swedish Translation for r3810
* #5785: pt-BR translation update
* #5898: Projects should be displayed as links in users/memberships
* #5910: Chinese translation to redmine-1.0.0
* #5912: Translation update for french locale
* #5962: Hungarian translation update to r3892
* #5971: Remove falsly applied chrome on revision links
* #5972: Updated Hebrew translation for 1.0.0
* #5982: Updated german translation
* #6008: Move admin_menu to Redmine::MenuManager
* #6012: RTL layout
* #6021: Spanish translation 1.0.0-RC
* #6025: nl translation updated for r3905
* #6030: Japanese Translation for r3907
* #6074: sr-CY.yml contains DOS-type newlines (\r\n)
* #6087: SERBIAN translation updated
* #6093: Updated italian translation
* #6142: Swedish Translation for r3940
* #6153: Move view_calendar and view_gantt to own modules
* #6169: Add issue status to issue tooltip
* Fixed #3834: Add a warning when not choosing a member role
* Fixed #3922: Bad english arround "Assigned to" text in journal entries
* Fixed #5158: Simplified Chinese language file zh.yml updated to r3608
* Fixed #5162: translation missing: zh-TW, field_time_entrie
* Fixed #5297: openid not validated correctly
* Fixed #5628: Wrong commit range in git log command
* Fixed #5760: Assigned_to and author filters in "Projects>View all issues" should be based on user's project visibility
* Fixed #5771: Problem when importing git repository
* Fixed #5775: ldap authentication in admin menu should have an icon
* Fixed #5811: deleting statuses doesnt delete workflow entries
* Fixed #5834: Emails with trailing spaces incorrectly detected as invalid
* Fixed #5846: ChangeChangesPathLengthLimit does not remove default for MySQL
* Fixed #5861: Vertical scrollbar always visible in Wiki "code" blocks in Chrome.
* Fixed #5883: correct label_project_latest Chinese translation
* Fixed #5892: Changing status from contextual menu opens the ticket instead
* Fixed #5904: Global gantt PDF and PNG should display project names
* Fixed #5925: parent task's priority edit should be disabled through shortcut menu in issues list page
* Fixed #5935: Add Another file to ticket doesn't work in IE Internet Explorer
* Fixed #5937: Harmonize french locale "zero" translation with other locales
* Fixed #5945: Forum message permalinks don't take pagination into account
* Fixed #5978: Debug code still remains
* Fixed #6009: When using "English (British)", the repository browser (svn) shows files over 1000 bytes as floating point (2.334355)
* Fixed #6045: Repository file Diff view sometimes shows more than selected file
* Fixed #6079: German Translation error in TimeEntryActivity
* Fixed #6100: User's profile should display all visible projects
* Fixed #6132: Allow Key based authentication in the Boards atom feed
* Fixed #6163: Bad CSS class for calendar project menu_item
* Fixed #6172: Browsing to a missing user's page shows the admin sidebar

== 2010-07-18 v1.0.0 (Release candidate)

* #443: Adds context menu to the roadmap issue lists
* #443: Subtasking
* #741: Description preview while editing an issue
* #1131: Add support for alternate (non-LDAP) authentication
* #1214: REST API for Issues
* #1223: File upload on wiki edit form
* #1755: add "blocked by" as a related issues option
* #2420: Fetching emails from an POP server
* #2482: Named scopes in Issue and ActsAsWatchable plus some view refactoring (logic extraction).
* #2924: Make the right click menu more discoverable using a cursor property
* #2985: Make syntax highlighting pluggable
* #3201: Workflow Check/Uncheck All Rows/Columns
* #3359: Update CodeRay 0.9
* #3706: Allow assigned_to field configuration on Issue creation by email
* #3936: configurable list of models to include in search
* #4480: Create a link to the user profile from the administration interface
* #4482: Cache textile rendering
* #4572: Make it harder to ruin your database
* #4573: Move github gems to Gemcutter
* #4664: Add pagination to forum threads
* #4732: Make login case-insensitive also for PostgreSQL
* #4812: Create links to other projects
* #4819: Replace images with smushed ones for speed
* #4945: Allow custom fields attached to project to be searchable
* #5121: Fix issues list layout overflow
* #5169: Issue list view hook request
* #5208: Aibility to edit wiki sidebar
* #5281: Remove empty ul tags in the issue history
* #5291: Updated basque translations
* #5328: Automatically add "Repository" menu_item after repository creation
* #5415: Fewer SQL statements generated for watcher_recipients
* #5416: Exclude "fields_for" from overridden methods in TabularFormBuilder
* #5573: Allow issue assignment in email
* #5595: Allow start date and due dates to be set via incoming email
* #5752: The projects view (/projects) renders ul's wrong
* #5781: Allow to use more macros on the welcome page and project list
* Fixed #1288: Unable to past escaped wiki syntax in an issue description
* Fixed #1334: Wiki formatting character *_ and _*
* Fixed #1416: Inline code with less-then/greater-than produces @lt; and @gt; respectively
* Fixed #2473: Login and mail should not be case sensitive
* Fixed #2990: Ruby 1.9 - wrong number of arguments (1 for 0) on rake db:migrate
* Fixed #3089: Text formatting sometimes breaks when combined
* Fixed #3690: Status change info duplicates on the issue screen
* Fixed #3691: Redmine allows two files with the same file name to be uploaded to the same issue
* Fixed #3764: ApplicationHelperTest fails with JRuby
* Fixed #4265: Unclosed code tags in issue descriptions affects main UI
* Fixed #4745: Bug in index.xml.builder (issues)
* Fixed #4852: changing user/roles of project member not possible without javascript
* Fixed #4857: Week number calculation in date picker is wrong if a week starts with Sunday
* Fixed #4883: Bottom "contextual" placement in issue with associated changeset
* Fixed #4918: Revisions r3453 and r3454 broke On-the-fly user creation with LDAP
* Fixed #4935: Navigation to the Master Timesheet page (time_entries)
* Fixed #5043: Flash messages are not displayed after the project settings[module/activity] saved
* Fixed #5081: Broken links on public/help/wiki_syntax_detailed.html
* Fixed #5104: Description of document not wikified on documents index
* Fixed #5108: Issue linking fails inside of []s
* Fixed #5199: diff code coloring using coderay
* Fixed #5233: Add a hook to the issue report (Summary) view
* Fixed #5265: timetracking: subtasks time is added to the main task
* Fixed #5343: acts_as_event Doesn't Accept Outside URLs
* Fixed #5440: UI Inconsistency : Administration > Enumerations table row headers should be enclosed in <thead>
* Fixed #5463: 0.9.4 INSTALL and/or UPGRADE, missing session_store.rb
* Fixed #5524: Update_parent_attributes doesn't work for the old parent issue when reparenting
* Fixed #5548: SVN Repository: Can not list content of a folder which includes square brackets.
* Fixed #5589: "with subproject" malfunction
* Fixed #5676: Search for Numeric Value
* Fixed #5696: Redmine + PostgreSQL 8.4.4 fails on _dir_list_content.rhtml
* Fixed #5698: redmine:email:receive_imap fails silently for mails with subject longer than 255 characters
* Fixed #5700: TimelogController#destroy assumes success
* Fixed #5751: developer role is mispelled
* Fixed #5769: Popup Calendar doesn't Advance in Chrome
* Fixed #5771: Problem when importing git repository
* Fixed #5823: Error in comments in plugin.rb


== 2010-07-07 v0.9.6

* Fixed: Redmine.pm access by unauthorized users

== 2010-06-24 v0.9.5

* Linkify folder names on revision view
* "fiters" and "options" should be hidden in print view via css
* Fixed: NoMethodError when no issue params are submitted
* Fixed: projects.atom with required authentication
* Fixed: External links not correctly displayed in Wiki TOC
* Fixed: Member role forms in project settings are not hidden after member added
* Fixed: pre can't be inside p
* Fixed: session cookie path does not respect RAILS_RELATIVE_URL_ROOT
* Fixed: mail handler fails when the from address is empty


== 2010-05-01 v0.9.4

* Filters collapsed by default on issues index page for a saved query
* Fixed: When categories list is too big the popup menu doesn't adjust (ex. in the issue list)
* Fixed: remove "main-menu" div when the menu is empty
* Fixed: Code syntax highlighting not working in Document page
* Fixed: Git blame/annotate fails on moved files
* Fixed: Failing test in test_show_atom
* Fixed: Migrate from trac - not displayed Wikis
* Fixed: Email notifications on file upload sent to empty recipient list
* Fixed: Migrating from trac is not possible, fails to allocate memory
* Fixed: Lost password no longer flashes a confirmation message
* Fixed: Crash while deleting in-use enumeration
* Fixed: Hard coded English string at the selection of issue watchers
* Fixed: Bazaar v2.1.0 changed behaviour
* Fixed: Roadmap display can raise an exception if no trackers are selected
* Fixed: Gravatar breaks layout of "logged in" page
* Fixed: Reposman.rb on Windows
* Fixed: Possible error 500 while moving an issue to another project with SQLite
* Fixed: backslashes in issue description/note should be escaped when quoted
* Fixed: Long text in <pre> disrupts Associated revisions
* Fixed: Links to missing wiki pages not red on project overview page
* Fixed: Cannot delete a project with subprojects that shares versions
* Fixed: Update of Subversion changesets broken under Solaris
* Fixed: "Move issues" permission not working for Non member
* Fixed: Sidebar overlap on Users tab of Group editor
* Fixed: Error on db:migrate with table prefix set (hardcoded name in principal.rb)
* Fixed: Report shows sub-projects for non-members
* Fixed: 500 internal error when browsing any Redmine page in epiphany
* Fixed: Watchers selection lost when issue creation fails
* Fixed: When copying projects, redmine should not generate an email to people who created issues
* Fixed: Issue "#" table cells should have a class attribute to enable fine-grained CSS theme
* Fixed: Plugin generators should display help if no parameter is given


== 2010-02-28 v0.9.3

* Adds filter for system shared versions on the cross project issue list
* Makes project identifiers searchable
* Remove invalid utf8 sequences from commit comments and author name
* Fixed: Wrong link when "http" not included in project "Homepage" link
* Fixed: Escaping in html email templates
* Fixed: Pound (#) followed by number with leading zero (0) removes leading zero when rendered in wiki
* Fixed: Deselecting textile text formatting causes interning empty string errors
* Fixed: error with postgres when entering a non-numeric id for an issue relation
* Fixed: div.task incorrectly wrapping on Gantt Chart
* Fixed: Project copy loses wiki pages hierarchy
* Fixed: parent project field doesn't include blank value when a member with 'add subproject' permission edits a child project
* Fixed: Repository.fetch_changesets tries to fetch changesets for archived projects
* Fixed: Duplicated project name for subproject version on gantt chart
* Fixed: roadmap shows subprojects issues even if subprojects is unchecked
* Fixed: IndexError if all the :last menu items are deleted from a menu
* Fixed: Very high CPU usage for a long time when fetching commits from a large Git repository


== 2010-02-07 v0.9.2

* Fixed: Sub-project repository commits not displayed on parent project issues
* Fixed: Potential security leak on my page calendar
* Fixed: Project tree structure is broken by deleting the project with the subproject
* Fixed: Error message shown duplicated when creating a new group
* Fixed: Firefox cuts off large pages
* Fixed: Invalid format parameter returns a DoubleRenderError on issues index
* Fixed: Unnecessary Quote button on locked forum message
* Fixed: Error raised when trying to view the gantt or calendar with a grouped query
* Fixed: PDF support for Korean locale
* Fixed: Deprecation warning in extra/svn/reposman.rb


== 2010-01-30 v0.9.1

* Vertical alignment for inline images in formatted text set to 'middle'
* Fixed: Redmine.pm error "closing dbh with active statement handles at /usr/lib/perl5/Apache/Redmine.pm"
* Fixed: copyright year in footer set to 2010
* Fixed: Trac migration script may not output query lines
* Fixed: Email notifications may affect language of notice messages on the UI
* Fixed: Can not search for 2 letters word
* Fixed: Attachments get saved on issue update even if validation fails
* Fixed: Tab's 'border-bottom' not absent when selected
* Fixed: Issue summary tables that list by user are not sorted
* Fixed: Issue pdf export fails if target version is set
* Fixed: Issue list export to PDF breaks when issues are sorted by a custom field
* Fixed: SQL error when adding a group
* Fixes: Min password length during password reset always displays as 4 chars


== 2010-01-09 v0.9.0 (Release candidate)

* Unlimited subproject nesting
* Multiple roles per user per project
* User groups
* Inheritence of versions
* OpenID login
* "Watched by me" issue filter
* Project copy
* Project creation by non admin users
* Accept emails from anyone on a private project
* Add email notification on Wiki changes
* Make issue description non-required field
* Custom fields for Versions
* Being able to sort the issue list by custom fields
* Ability to close versions
* User display/editing of custom fields attached to their user profile
* Add "follows" issue relation
* Copy workflows between trackers and roles
* Defaults enabled modules list for project creation
* Weighted version completion percentage on the roadmap
* Autocreate user account when user submits email that creates new issue
* CSS class on overdue issues on the issue list
* Enable tracker update on issue edit form
* Remove issue watchers
* Ability to move threads between project forums
* Changed custom field "Possible values" to a textarea
* Adds projects association on tracker form
* Set session store to cookie store by default
* Set a default wiki page on project creation
* Roadmap for main project should see Roadmaps for sub projects
* Ticket grouping on the issue list
* Hierarchical Project links in the page header
* Allow My Page blocks to be added to from a plugin
* Sort issues by multiple columns
* Filters of saved query are now visible and be adjusted without editing the query
* Saving "sort order" in custom queries
* Url to fetch changesets for a repository
* Managers able to create subprojects
* Issue Totals on My Page Modules
* Convert Enumerations to single table inheritance (STI)
* Allow custom my_page blocks to define drop-down names
* "View Issues" user permission added
* Ask user what to do with child pages when deleting a parent wiki page
* Contextual quick search
* Allow resending of password by email
* Change reply subject to be a link to the reply itself
* Include Logged Time as part of the project's Activity history
* REST API for authentication
* Browse through Git branches
* Setup Object Daddy to replace test fixtures
* Setup shoulda to make it easier to test
* Custom fields and overrides on Enumerations
* Add or remove columns from the issue list
* Ability to add new version from issues screen
* Setting to choose which day calendars start
* Asynchronous email delivery method
* RESTful URLs for (almost) everything
* Include issue status in search results and activity pages
* Add email to admin user search filter
* Proper content type for plain text mails
* Default value of project jump box
* Tree based menus
* Ability to use issue status to update percent done
* Second set of issue "Action Links" at the bottom of an issue page
* Proper exist status code for rdm-mailhandler.rb
* Remove incoming email body via a delimiter
* Fixed: Custom querry 'Export to PDF' ignores field selection
* Fixed: Related e-mail notifications aren't threaded
* Fixed: No warning when the creation of a categories from the issue form fails
* Fixed: Actually block issues from closing when relation 'blocked by' isn't closed
* Fixed: Include both first and last name when sorting by users
* Fixed: Table cell with multiple line text
* Fixed: Project overview page shows disabled trackers
* Fixed: Cross project issue relations and user permissions
* Fixed: My page shows tickets the user doesn't have access to
* Fixed: TOC does not parse wiki page reference links with description
* Fixed: Target version-list on bulk edit form is incorrectly sorted
* Fixed: Cannot modify/delete project named "Documents"
* Fixed: Email address in brackets breaks html
* Fixed: Timelog detail loose issue filter passing to report tab
* Fixed: Inform about custom field's name maximum length
* Fixed: Activity page and Atom feed links contain project id instead of identifier
* Fixed: no Atom key for forums with only 1 forum
* Fixed: When reading RSS feed in MS Outlook, the inline links are broken.
* Fixed: Sometimes new posts don't show up in the topic list of a forum.
* Fixed: The all/active filter selection in the project view does not stick.
* Fixed: Login box has Different width
* Fixed: User removed from project - still getting project update emails
* Fixed: Project with the identifier of 'new' cannot be viewed
* Fixed: Artefacts in search view (Cyrillic)
* Fixed: Allow [#id] as subject to reply by email
* Fixed: Wrong language used when closing an issue via a commit message
* Fixed: email handler drops emails for new issues with no subject
* Fixed: Calendar misspelled under Roles/Permissions
* Fixed: Emails from no-reply redmine's address hell cycle
* Fixed: child_pages macro fails on wiki page history
* Fixed: Pre-filled time tracking date ignores timezone
* Fixed: Links on locked users lead to 404 page
* Fixed: Page changes in issue-list when using context menu
* Fixed: diff parser removes lines starting with multiple dashes
* Fixed: Quoting in forums resets message subject
* Fixed: Editing issue comment removes quote link
* Fixed: Redmine.pm ignore browse_repository permission
* Fixed: text formatting breaks on [msg1][msg2]
* Fixed: Spent Time Default Value of 0.0
* Fixed: Wiki pages in search results are referenced by project number, not by project identifier.
* Fixed: When logging in via an autologin cookie the user's last_login_on should be updated
* Fixed: 50k users cause problems in project->settings->members screen
* Fixed: Document timestamp needs to show updated timestamps
* Fixed: Users getting notifications for issues they are no longer allowed to view
* Fixed: issue summary counts should link to the issue list without subprojects
* Fixed: 'Delete' link on LDAP list has no effect


== 2009-11-15 v0.8.7

* Fixed: Hide paragraph terminator at the end of headings on html export
* Fixed: pre tags containing "<pre*"
* Fixed: First date of the date range not included in the time report with SQLite
* Fixed: Password field not styled correctly on alternative stylesheet
* Fixed: Error when sumbitting a POST request that requires a login
* Fixed: CSRF vulnerabilities


== 2009-11-04 v0.8.6

* Change links to closed issues to be a grey color
* Change subversion adapter to not cache authentication and run non interactively
* Fixed: Custom Values with a nil value cause HTTP error 500
* Fixed: Failure to convert HTML entities when editing an Issue reply
* Fixed: Error trying to show repository when there are no comments in a changeset
* Fixed: account/show/:user_id should not be accessible for other users not in your projects
* Fixed: XSS vulnerabilities
* Fixed: IssuesController#destroy should accept POST only
* Fixed: Inline images in wiki headings


== 2009-09-13 v0.8.5

* Incoming mail handler : Allow spaces between keywords and colon
* Do not require a non-word character after a comma in Redmine links
* Include issue hyperlinks in reminder emails
* Prevent nil error when retrieving svn version
* Various plugin hooks added
* Add plugins information to script/about
* Fixed: 500 Internal Server Error is raised if add an empty comment to the news
* Fixed: Atom links for wiki pages are not correct
* Fixed: Atom feeds leak email address
* Fixed: Case sensitivity in Issue filtering
* Fixed: When reading RSS feed, the inline-embedded images are not properly shown


== 2009-05-17 v0.8.4

* Allow textile mailto links
* Fixed: memory consumption when uploading file
* Fixed: Mercurial integration doesn't work if Redmine is installed in folder path containing space
* Fixed: an error is raised when no tab is available on project settings
* Fixed: insert image macro corrupts urls with excalamation marks
* Fixed: error on cross-project gantt PNG export
* Fixed: self and alternate links in atom feeds do not respect Atom specs
* Fixed: accept any svn tunnel scheme in repository URL
* Fixed: issues/show should accept user's rss key
* Fixed: consistency of custom fields display on the issue detail view
* Fixed: wiki comments length validation is missing
* Fixed: weak autologin token generation algorithm causes duplicate tokens


== 2009-04-05 v0.8.3

* Separate project field and subject in cross-project issue view
* Ability to set language for redmine:load_default_data task using REDMINE_LANG environment variable
* Rescue Redmine::DefaultData::DataAlreadyLoaded in redmine:load_default_data task
* CSS classes to highlight own and assigned issues
* Hide "New file" link on wiki pages from printing
* Flush buffer when asking for language in redmine:load_default_data task
* Minimum project identifier length set to 1
* Include headers so that emails don't trigger vacation auto-responders
* Fixed: Time entries csv export links for all projects are malformed
* Fixed: Files without Version aren't visible in the Activity page
* Fixed: Commit logs are centered in the repo browser
* Fixed: News summary field content is not searchable
* Fixed: Journal#save has a wrong signature
* Fixed: Email footer signature convention
* Fixed: Timelog report do not show time for non-versioned issues


== 2009-03-07 v0.8.2

* Send an email to the user when an administrator activates a registered user
* Strip keywords from received email body
* Footer updated to 2009
* Show RSS-link even when no issues is found
* One click filter action in activity view
